webpackJsonp([1],{

/***/ 0:
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(1);
	__webpack_require__(6);
	module.exports = __webpack_require__(42);


/***/ },

/***/ 42:
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _vue = __webpack_require__(10);

	var _vue2 = _interopRequireDefault(_vue);

	var _vueResource = __webpack_require__(12);

	var _vueResource2 = _interopRequireDefault(_vueResource);

	var _nativeA = __webpack_require__(13);

	var _method = __webpack_require__(14);

	var _vueFilter = __webpack_require__(22);

	var _vueFilter2 = _interopRequireDefault(_vueFilter);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	__webpack_require__(43);
	var querystring = __webpack_require__(38);

	_vue2.default.use(_vueResource2.default);
	_vue2.default.use(_vueFilter2.default);

	window.addEventListener('DOMContentLoaded', function () {
		var CITY = (0, _nativeA.getN)('getCity');
		var BASEINFO = (0, _nativeA.getN)('getBase');
		var FOODLIST = (0, _nativeA.getN)('getFoodList');

		new _vue2.default({
			el: "#main",
			data: {
				top_img: '',
				status_nav: [], // 头部菜单
				guess_like: [] // 猜你喜欢
			},
			mounted: function mounted() {
				var _this = this;

				// 马蜂窝城市状态
				var url1 = BASEINFO.host.trim() + '/api/web/v1/mafengwo/citystatus?' + querystring.stringify({
					param: JSON.stringify({
						"cityName": CITY.cityName,
						"platform": BASEINFO.platform
					})
				});
				// 艺龙酒店列表
				var url2 = BASEINFO.host.trim() + '/api/web/v1/elong/lists?' + querystring.stringify({
					param: JSON.stringify({
						"ArrivalDate": (0, _method.time2MonthDateYear)(Date.now()),
						"DepartureDate": (0, _method.time2MonthDateYear)(Date.now() + 1000 * 3600 * 24),
						"CityName": CITY.cityName,
						"PageIndex": 1,
						"PageSize": 3,
						"PaymentType": "All",
						"ResultType": "1,3,4,6",
						"platform": BASEINFO.platform
					})
				});
				// 马蜂窝城市推荐
				var url3 = BASEINFO.host.trim() + '/api/web/v1/mafengwo/lists?' + querystring.stringify({
					param: JSON.stringify({
						"cityName": CITY.cityName,
						"platform": BASEINFO.platform
					})
				});
				// 大众点评美食数据列表
				var url4 = BASEINFO.host.trim() + '/api/web/v1/dianping/foodlist?' + querystring.stringify({
					param: JSON.stringify({
						"platform": BASEINFO.platform,
						"idfa": FOODLIST.idfa,
						"mac": FOODLIST.mac,
						"imei": FOODLIST.imei,
						"lat": "",
						"lng": "",
						"cityId": CITY.cityId,
						"food_cat_id": "",
						"region_id": "",
						"distance": "",
						"sortname": 'dpscore',
						"page_index": 0,
						"page_size": 3
					})
				});

				var aType = ['美食', '景点', '住宿', '攻略', '周边游'];
				var aStatus = ['status_meishi', 'status_jingdian', 'status_hotel', 'status_gonglue', 'status_zoubianyou'];
				var aLink = ['link_meishi', 'link_jingdian', 'link_hotel', 'link_gonglue', 'link_zoubianyou'];
				this.$http.jsonp(url1).then(function (message) {
					var data = message.body.data;
					data.link_meishi = 'travel-cate.html';
					var status_nav = [];
					for (var i = 0; i < aStatus.length; i++) {
						status_nav[i] = {
							type: aType[i],
							status: data[aStatus[i]],
							link: data[aStatus[i]] == 1 ? data[aLink[i]] : 'javascript:;'
						};
					}
					_this.status_nav = status_nav;
					_this.top_img = data.img;
				}, function () {});

				this.$http.jsonp(url2).then(function (message) {
					var Hotels = message.body.data.Result.Hotels;
					var aHotels = Hotels.map(function (item) {
						item.Detail = item.Detail || {};
						return {
							type: 'Hotels',
							LowRate: item.LowRate,
							name: item.Detail.HotelName + '(' + item.Detail.Address + ')',
							img: item.Detail.ThumbNailUrl,
							url: 'javascript:;'
						};
					});
					_this.guess_like = _this.guess_like.concat(aHotels);
				}, function () {});
				this.$http.jsonp(url3).then(function (message) {
					var data = message.body.data;
					var aList = [];
					var poiList = data.poiList.map(function (a) {
						return a.type = "poiList", a;
					});
					aList = aList.concat(poiList);
					if (data.localdealsList.length) {
						var localdealsList = data.localdealsList[0];
						localdealsList.type = 'localdealsList';
						localdealsList.link = localdealsList.links;
						delete localdealsList.links;
						localdealsList.price_l = /\d+/.exec(localdealsList.price)[0];
						localdealsList.price_r = localdealsList.price.split(/\d+/)[1];
						delete localdealsList.price;

						aList.push(localdealsList);
					}
					if (data.gonglveList.length) {
						var gonglveList = data.gonglveList[0];
						gonglveList.type = 'gonglveList';
						gonglveList.link = gonglveList.links;
						delete gonglveList.links;

						aList.push(gonglveList);
					}

					_this.guess_like = _this.guess_like.concat(aList);
				}, function () {});
				this.$http.jsonp(url4).then(function (message) {
					var data = message.body.data;
					var list = data.list.map(function (item) {
						return {
							type: 'list',
							img: item.img_url,
							link: item.landing_url,
							name: item.shopname + (item.branchname ? '(' + item.branchname + ')' : ''),
							region_name: item.region_name,
							category_name: item.category_name,
							avg_price: item.avg_price
						};
					});
					_this.guess_like = _this.guess_like.concat(list);
				}, function () {});
			}
		});
	}, false);

/***/ },

/***/ 43:
/***/ function(module, exports) {

	// removed by extract-text-webpack-plugin

/***/ }

});