webpackJsonp([5],{

/***/ 0:
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(1);
	__webpack_require__(6);
	module.exports = __webpack_require__(65);


/***/ },

/***/ 65:
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _vue = __webpack_require__(10);

	var _vue2 = _interopRequireDefault(_vue);

	var _vueResource = __webpack_require__(12);

	var _vueResource2 = _interopRequireDefault(_vueResource);

	var _nativeA = __webpack_require__(13);

	var _loading = __webpack_require__(16);

	var _loading2 = _interopRequireDefault(_loading);

	var _vueFilter = __webpack_require__(22);

	var _vueFilter2 = _interopRequireDefault(_vueFilter);

	var _method = __webpack_require__(14);

	var _vDate = __webpack_require__(23);

	var _vDate2 = _interopRequireDefault(_vDate);

	var _errorMsg = __webpack_require__(27);

	var _errorMsg2 = _interopRequireDefault(_errorMsg);

	var _eventHub = __webpack_require__(25);

	var _eventHub2 = _interopRequireDefault(_eventHub);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	__webpack_require__(66);
	var querystring = __webpack_require__(38);

	_vue2.default.use(_vueResource2.default);
	_vue2.default.use(_vueFilter2.default);

	window.addEventListener('DOMContentLoaded', function () {
		var TICKETINFO = (0, _nativeA.useClientFunction)('getTicketInfo');
		new _vue2.default({
			el: "#main",
			data: {
				nowTime: (0, _method.format2Time)(TICKETINFO.train_date), // 当前选中时间
				isWaiting: true, // ajax 请求等待控制器
				isError: false, // ajax 请求失败控制器
				tabClass: 0, // 出发时间、全程历时、到达时间控制器
				isShowPrice: false, // 余票和价格控制器
				error_msg: '', // 请求成功无数据的错误信息
				error_code: 0,
				items: [], // 请求获取的数据
				isReverse: false // 是否倒序
			},
			mounted: function mounted() {
				this.getData();
			},

			watch: {
				isShowPrice: function isShowPrice(now) {
					if (now) {
						(0, _nativeA.callNative)(99, 'buytraintickets.1007');
					} else {
						(0, _nativeA.callNative)(99, 'buytraintickets.1030');
					}
				}
			},
			methods: {
				goToBuyTicket: function goToBuyTicket(item) {
					//if (item.canBuyNow === 'Y') {
					var d = (0, _method.clone)(item);
					d.start_full_time = (0, _method.format2Time)(d.start_full_time);
					d.arrive_full_time = (0, _method.format2Time)(d.arrive_full_time);
					d.runTime = (0, _method.time2HoursAndMinutes)(d.runTime);
					d.trainStartDate = (0, _method.time2YearMonthDate)(this.nowTime);
					(0, _nativeA.useClientFunction)('ticketItem', d);
					//}
				},
				getData: function getData() {
					var _this = this;

					this.isWaiting = true;
					this.error_msg = '';
					var url = TICKETINFO.TRAIN_REQUEST_BASE_URL.trim() + '/api/web/v1/ticket/queryticket?' + querystring.stringify({
						param: JSON.stringify({
							"userID": TICKETINFO.userID,
							"token": TICKETINFO.token,
							"train_date": (0, _method.time2YearMonthDate)(this.nowTime),
							"from_station_telecode": TICKETINFO.from_station_telecode,
							"to_station_telecode": TICKETINFO.to_station_telecode,
							"platform": TICKETINFO.platform
						})
					});
					this.$http.jsonp(url).then(function (message) {
						var code = message.body.error_code;
						_this.error_code = code;
						_this.isWaiting = false;
						_this.isError = false;
						_this.tabClass = 0;
						_this.isReverse = false;
						if (code === 0) {
							_this.items = (0, _method.clone)(message.body.data);
						} else {
							_this.error_msg = message.body.error_msg;
							_this.items = [];
						}
					}, function () {
						_this.items = [];
						_this.isWaiting = false;
						_this.isError = true;
					});
				},
				tab: function tab(index) {
					var isReverse = this.tabClass === index && !this.isReverse;
					this.tabClass = index;
					switch (index) {
						case 0:
							(0, _nativeA.callNative)(99, 'buytraintickets.1029');
							this.sortTime('startTime', isReverse);
							break;
						case 1:
							(0, _nativeA.callNative)(99, 'buytraintickets.1005');
							this.sortTime('runTime', isReverse);
							break;
						case 2:
							(0, _nativeA.callNative)(99, 'buytraintickets.1006');
							this.sortTime('arriveTime', isReverse);
							break;
					}
				},
				sortTime: function sortTime(key, isReverse) {
					var _this2 = this;

					this.items.sort(function (a, b) {
						return isReverse ? _this2.str2time(b[key]) - _this2.str2time(a[key]) : _this2.str2time(a[key]) - _this2.str2time(b[key]);
					});
					this.isReverse = isReverse;
				},
				str2time: function str2time(str) {
					// 02:12:12 or 12:12
					var arr = str.split(':');
					return arr.length === 2 ? arr[0] * 60 + (arr[1] - 0) : arr[0] * 24 + arr[1] * 60 + (arr[2] - 0);
				}
			},
			created: function created() {
				var _this3 = this;

				_eventHub2.default.$on('set-day', function (time) {
					_this3.nowTime = time;
					_this3.getData();
				});
			},

			components: {
				loading: _loading2.default,
				vDate: _vDate2.default,
				errorMsg: _errorMsg2.default
			}
		});
	}, false);

/***/ },

/***/ 66:
/***/ function(module, exports) {

	// removed by extract-text-webpack-plugin

/***/ }

});