webpackJsonp([7],{

/***/ 0:
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(1);
	__webpack_require__(6);
	module.exports = __webpack_require__(79);


/***/ },

/***/ 79:
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _vue = __webpack_require__(10);

	var _vue2 = _interopRequireDefault(_vue);

	var _vueResource = __webpack_require__(12);

	var _vueResource2 = _interopRequireDefault(_vueResource);

	var _nativeA = __webpack_require__(13);

	var _loading = __webpack_require__(16);

	var _loading2 = _interopRequireDefault(_loading);

	var _vueFilter = __webpack_require__(22);

	var _vueFilter2 = _interopRequireDefault(_vueFilter);

	var _method = __webpack_require__(14);

	var _errorMsg = __webpack_require__(27);

	var _errorMsg2 = _interopRequireDefault(_errorMsg);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	__webpack_require__(80);

	var querystring = __webpack_require__(38);

	_vue2.default.use(_vueResource2.default);
	_vue2.default.use(_vueFilter2.default);

	//总支付款；
	function getSum(arr) {
		var sum = 0;
		for (var i = 0; i < arr.length; i++) {
			sum += parseFloat(arr[i].price);
		}
		return sum;
	}

	window.addEventListener('DOMContentLoaded', function () {

		var itemInfo = (0, _nativeA.useClientFunction)('getPayingOrdersInfo');
		var TRAIN_REQUEST_BASE_URL = itemInfo.TRAIN_REQUEST_BASE_URL.trim();

		itemInfo.station_train_date = (0, _method.time2yearmonthdate)((0, _method.format2Time)(itemInfo.trainDate));
		var param = {
			"userID": itemInfo.userID,
			"token": itemInfo.token,
			"bind_user": itemInfo.bind_user,
			"station_train_date": itemInfo.station_train_date,
			"station_train_code": itemInfo.trainNum,
			"platform": itemInfo.platform
		};
		itemInfo.start_full_time = (0, _method.format2Time)(itemInfo.start_full_time);
		itemInfo.arrive_full_time = itemInfo.arrive_full_time || '';
		new _vue2.default({
			el: "#main",
			data: {
				items: (0, _method.clone)(itemInfo),
				pay: getSum(itemInfo.passengers), //支付金额
				cost: "",
				isWaiting: true, // ajax 请求等待控制器
				isError: false, // ajax 请求失败控制器器
				openPay: false, // 打开支付页面
				error_msg: '' // 请求成功无数据的错误信息
			},
			mounted: function mounted() {
				this.getData();
			},

			methods: {
				payByaliPay: function payByaliPay() {
					(0, _nativeA.useClientFunction)('payByaliPay', getSum(itemInfo.passengers));
				},
				getData: function getData() {
					var _this = this;

					this.isWaiting = true;
					this.error_msg = '';
					var url = TRAIN_REQUEST_BASE_URL + '/api/web/v1/train/getstationinfobyjuhe?' + querystring.stringify({
						param: JSON.stringify(param)
					});
					this.$http.jsonp(url).then(function (message) {
						var code = message.body.error_code;
						_this.isWaiting = false;
						_this.isError = false;
						if (code === 0) {
							var station_list = message.body.data.station_list;
							var start, end;
							for (var i = 0; i < station_list.length; i++) {
								// 车票的起点
								if (station_list[i].station_name === _this.items.fromStationName) {
									start = station_list[i].full_leave_date;
								} else if (station_list[i].station_name === _this.items.toStationName) {
									end = station_list[i].full_arrived_date;
									break;
								}
							}
							_this.items.arrive_full_time = (0, _method.format2Time)(end);
							_this.cost = Math.ceil(((0, _method.format2Time)(end) - (0, _method.format2Time)(start)) / 1000 / 60);
						} else {
							// this.error_msg = message.body.error_msg;
						}
					}, function () {
						_this.isWaiting = false;
						_this.isError = true;
					});
				},
				goRemind: function goRemind() {
					(0, _nativeA.useClientFunction)('goRemind');
					(0, _nativeA.callNative)(99, 'buytraintickets.1027');
				},
				goHome: function goHome() {
					(0, _nativeA.useClientFunction)('goHome');
				},
				showTravel: function showTravel() {
					(0, _nativeA.useClientFunction)('showTravel');
					(0, _nativeA.callNative)(99, 'buytraintickets.1028');
				}
			},
			components: {
				loading: _loading2.default,
				errorMsg: _errorMsg2.default
			}
		});
	}, false);

/***/ },

/***/ 80:
/***/ function(module, exports) {

	// removed by extract-text-webpack-plugin

/***/ }

});