webpackJsonp([10],{

/***/ 0:
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(1);
	__webpack_require__(6);
	module.exports = __webpack_require__(102);


/***/ },

/***/ 102:
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _vue = __webpack_require__(10);

	var _vue2 = _interopRequireDefault(_vue);

	var _vueResource = __webpack_require__(12);

	var _vueResource2 = _interopRequireDefault(_vueResource);

	var _nativeA = __webpack_require__(13);

	var _loading = __webpack_require__(16);

	var _loading2 = _interopRequireDefault(_loading);

	var _vueFilter = __webpack_require__(22);

	var _vueFilter2 = _interopRequireDefault(_vueFilter);

	var _method = __webpack_require__(14);

	var _vDate = __webpack_require__(23);

	var _vDate2 = _interopRequireDefault(_vDate);

	var _errorMsg = __webpack_require__(27);

	var _errorMsg2 = _interopRequireDefault(_errorMsg);

	var _eventHub = __webpack_require__(25);

	var _eventHub2 = _interopRequireDefault(_eventHub);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	__webpack_require__(103);

	var querystring = __webpack_require__(38);

	_vue2.default.use(_vueResource2.default);
	_vue2.default.use(_vueFilter2.default);

	window.addEventListener('DOMContentLoaded', function () {
	    var TRAINLINEINFO = (0, _nativeA.useClientFunction)('getTrainLineInfo');
	    var GETTINGDATE = (0, _nativeA.useClientFunction)('gettingDate');
	    var TRAIN_INFO;
	    var oEnd;

	    new _vue2.default({
	        el: "#main",
	        data: {
	            nowTime: (0, _method.format2Time)(GETTINGDATE), // 当前选中时间
	            train_info: {
	                start: '', // 起点
	                starttime: '', // 列车始发时间
	                name: '', // 车次
	                end: '', // 终点
	                endtime: '', // 列车到达时间
	                cost: '' // 行程时间
	            },
	            iStationNum: 0, // 添加车站的数量（0~2）
	            station_list: [], // 车站列表
	            error_code: 0,
	            error_msg: '',
	            isError: false,
	            isWaiting: false,
	            isAnimation: false, // 是否进行动画
	            isRunning: false // 是否正在进行动画
	        },
	        mounted: function mounted() {
	            this.getData();
	            this.$nextTick(function () {
	                oEnd = document.getElementById('js-animation-end'); // 动画判断对象
	            });
	        },

	        methods: {
	            addToTravelByTrainLine: function addToTravelByTrainLine() {
	                if (this.iStationNum === 2) {
	                    var aIndex = this.getStationIndex();
	                    var start_station = this.station_list[aIndex[0]];
	                    var end_station = this.station_list[aIndex[1]];

	                    var nowDateStr = (0, _method.time2YearMonthDate)(this.nowTime) + ' ' + start_station.leave_time + ':00';

	                    var startArr = start_station.full_leave_date.split(' ');
	                    var endArr = end_station.full_arrived_date.split(' ');
	                    var nowArr = nowDateStr.split(' ');
	                    var startT = (0, _method.format2Time)(startArr[0]);
	                    var endT = (0, _method.format2Time)(endArr[0]);
	                    // 微秒无影响忽略
	                    var dis = (0, _method.format2Time)(nowArr[0]) - startT;
	                    endT += dis;
	                    var endL = (0, _method.time2YearMonthDate)(endT) + ' ' + end_station.arrived_time + ':00';

	                    // 按用户选择的日期 定 日期
	                    var json = {
	                        "userID": TRAINLINEINFO.userID,
	                        "token": TRAINLINEINFO.token,
	                        "bind_user": TRAINLINEINFO.bind_user,
	                        "start_time_page": start_station.leave_time,
	                        "arrive_time_page": end_station.arrived_time,
	                        "from_station_name": start_station.station_name,
	                        "to_station_name": end_station.station_name,
	                        "station_train_code": TRAIN_INFO.name,
	                        "distance": '0',
	                        "start_train_date_page": nowDateStr,
	                        "full_leave_date": nowDateStr,
	                        "full_arrived_date": endL,
	                        "platform": TRAINLINEINFO.platform
	                    };
	                    (0, _nativeA.callNative)(98, json);
	                }
	            },
	            getData: function getData() {
	                var _this2 = this;

	                this.iStationNum = 0;
	                this.isWaiting = true;
	                this.isError = false;
	                this.error_msg = '';

	                var paramJson = {
	                    "station_train_date": (0, _method.time2yearmonthdate)(this.nowTime),
	                    "userID": TRAINLINEINFO.userID,
	                    "token": TRAINLINEINFO.token,
	                    "station_train_code": TRAINLINEINFO.station_train_code,
	                    "platform": TRAINLINEINFO.platform
	                };
	                if (!TRAINLINEINFO.bind_user) {
	                    paramJson.bind_user = TRAINLINEINFO.bind_user;
	                }
	                var url = TRAINLINEINFO.TRAIN_REQUEST_BASE_URL.trim() + '/api/web/v1/train/getstationinfobyjuhe?' + querystring.stringify({
	                    param: JSON.stringify(paramJson)
	                });
	                this.$http.jsonp(url).then(function (message) {
	                    _this2.isWaiting = false;
	                    _this2.isError = false;
	                    var code = message.body.error_code;
	                    _this2.error_code = code;
	                    if (code === 0) {
	                        TRAIN_INFO = (0, _method.clone)(message.body.data.train_info);
	                        var station_list = (0, _method.clone)(message.body.data.station_list);
	                        station_list.forEach(function (ele) {
	                            ele.active = false;
	                        });

	                        _this2.train_info = (0, _method.clone)(TRAIN_INFO);

	                        _this2.station_list = station_list;
	                    } else {
	                        _this2.error_msg = message.body.error_msg;
	                        _this2.station_list = [];
	                    }
	                }, function () {
	                    _this2.station_list = [];
	                    _this2.isWaiting = false;
	                    _this2.isError = true;
	                });
	            },

	            // 点击切换确认站点
	            chooseStation: function chooseStation(item, index) {
	                if (this.isRunning) {
	                    return;
	                }

	                var aIndex = this.getStationIndex();
	                if (!item.active) {
	                    if (aIndex.length === 2) {
	                        // 离起点近取消起点，离终点近取消终点
	                        var disS = Math.abs(index - aIndex[0]);
	                        var disE = Math.abs(index - aIndex[1]);
	                        if (disS < disE) {
	                            this.station_list[aIndex[0]].active = false;
	                        } else {
	                            this.station_list[aIndex[1]].active = false;
	                        }
	                    }
	                }
	                item.active = !item.active;
	                this.changeTrain(aIndex[0] === index);
	            },

	            // 获取确认站点的位置
	            getStationIndex: function getStationIndex() {
	                var arr = [];
	                for (var i = 0; i < this.station_list.length; i++) {
	                    if (this.station_list[i].active) {
	                        arr.push(i);
	                    }
	                }
	                return arr;
	            },

	            // 计算途经时间/min、修改始终点
	            changeTrain: function changeTrain(bool) {
	                var _this3 = this;

	                var aIndex = this.getStationIndex();
	                this.iStationNum = aIndex.length;
	                bool = bool && aIndex.length === 1;
	                var start = aIndex[0] || 0;
	                var end = aIndex[1] || this.station_list.length - 1;

	                // 第一次点击终点
	                if (start === end) {
	                    // 前一个条件代表从2个取消 前1个 变为1个(如果是终点就不让动画)
	                    bool = false;
	                    start = 0;
	                }
	                // 终点在起点之前,出现交换动画(2-1 || 1+1)
	                // 前一个条件代表从2个取消 前1个 变为1个，后一个条件代表从1个添加1个到2个
	                if (bool || this.train_info.start === this.station_list[end].station_name) {
	                    // 视觉上的更改
	                    this.isRunning = true;
	                    // 不要判断也可以
	                    if (bool) {
	                        this.train_info.start = this.station_list[end].station_name;
	                        this.train_info.starttime = this.station_list[end].arrived_time;
	                    } else {
	                        this.train_info.end = this.station_list[start].station_name;
	                        this.train_info.endtime = this.station_list[start].arrived_time;
	                    }

	                    // 实际的更改
	                    this.$nextTick(function () {
	                        _this3.changeAnimation(function () {
	                            _fn.call(_this3);
	                            _this3.isRunning = false;
	                            _this3.isAnimation = false;
	                        });
	                    });
	                } else {
	                    _fn.call(this);
	                }

	                function _fn() {
	                    this.train_info.start = this.station_list[start].station_name;
	                    this.train_info.starttime = this.station_list[start].leave_time;
	                    this.train_info.end = this.station_list[end].station_name;
	                    this.train_info.endtime = this.station_list[end].arrived_time;

	                    this.train_info.cost = Math.ceil(((0, _method.format2Time)(this.station_list[end].full_arrived_date) - (0, _method.format2Time)(this.station_list[start].full_leave_date)) / 1000 / 60);
	                }
	            },
	            changeAnimation: function changeAnimation(callback) {
	                var _this = this;
	                this.isAnimation = true;
	                oEnd.addEventListener('webkitAnimationEnd', _fn, false);
	                oEnd.addEventListener('animationend', _fn, false);
	                function _fn() {
	                    oEnd.removeEventListener('webkitAnimationEnd', _fn, false);
	                    oEnd.removeEventListener('animationend', _fn, false);
	                    callback && callback();
	                }
	            }
	        },
	        created: function created() {
	            var _this4 = this;

	            _eventHub2.default.$on('set-day', function (time) {
	                _this4.nowTime = time;
	                _this4.getData();
	            });
	        },

	        components: {
	            loading: _loading2.default,
	            vDate: _vDate2.default,
	            errorMsg: _errorMsg2.default
	        }
	    });
	}, false);

/***/ },

/***/ 103:
/***/ function(module, exports) {

	// removed by extract-text-webpack-plugin

/***/ }

});