var id = Comm.getQueryString('id');
var time = Comm.getQueryString('time');
var type = '';
var locationUrl = location.href;
//详情页显示内容区分
var detailTxt = '';
if(locationUrl.indexOf('appDetail') > 0){
	type = 'app';
	Comm.recordDataPv('app.detail.' + id,"app.detail",id);
	detailTxt = '应用截图';
}else{
	type = 'game';
	Comm.recordDataPv('game.detail.' + id,"game.detail",id);
	detailTxt = '游戏截图';
}
$.ajax({
	type:"get",
	url:"data/newapps/detail/" + time + "/" + id + '?t=' + Date.parse(new Date()),
	async:true,
	dataType:'json',
	success:function(data){
		
		var appDetail = '<div class="app-app-detail-tips">' +
			'<p class="app-app-detail-tips-pic">' +
				'<img src="'+data.logo+'"/>' +
			'</p>' +
			'<div class="app-app-detail-tips-info">' +
				'<p class="app-app-detail-tips-info-name">'+data.name+'</p>' +
				'<p class="app-app-detail-tips-info-dec">'+data.category+'</p>' +
			'</div>' +
			'<div class="app-app-detail-tips-banlance">' +
				'<p class="app-app-detail-tips-banlance-num"></p>' + 
				'<p class="app-app-detail-tips-banlance-btn" data-file="'+data.file+'">安装</p>' +
			'</div>' +
		'</div>' +
		'<div class="app-app-detail-pic">' +
			'<div class="app-app-detail-pic-title">' + detailTxt + '</div>' +
				'<div class="app-app-detail-pic-item">' +
					'<div  class="app-app-detail-pic-item-inner">' +
						'<img src="images/14_03.jpg"  data-src="'+ data.picture1 +'" class="lazyload"/>' +
						'<img src="images/14_03.jpg"  data-src="'+ data.picture2 +'" class="lazyload"/>' +
						'<img src="images/14_03.jpg"  data-src="'+ data.picture3 +'" class="lazyload"/>' +
						'<img src="images/14_03.jpg"  data-src="'+ data.picture4 +'" class="lazyload"/>' + 
					'</div>' +
				'</div>' +
		'</div>' +
		'<div class="app-app-detail-dec">' +
			'<div class="app-app-detail-dec-title">简介</div>' +
			'<div class="app-app-detail-dec-txt">' +data.description +'</div>' +
		'</div>' +
		'<div class="amui-app-download-first">正在下载<span class="app-download-name">'+data.name+'</span>,请稍后...... 恭喜获得<span class="app-download-balance"></span>积分</div>' +
  		'<div class="amui-app-download">正在下载 <span class="app-download-name">'+data.name+'</span>,请稍后.....</div>';
		
		$('body').append(appDetail);
		var AppTaskIdUrl = Comm.uc + '/score/gamelist?ids=' + id + '&t=' + Date.parse(new Date());
		$.ajax({
			type:"get",
			url:AppTaskIdUrl,
			async:true,
			dataType:'json',
			success:function(data){
				for(var i=0;i<data.result.length;i++){
					$('.app-app-detail-tips-banlance-btn').eq(i).attr('data-taskId',data.result[i].id);
					$('.app-app-detail-tips-banlance-btn').eq(i).attr('data-balance',data.result[i].balance);
					if(data.result[i].balance != 0){
						$('.app-app-detail-tips-banlance-num').eq(i).html('送' + data.result[i].balance + '积分');
						$('.app-download-balance').html(data.result[i].balance);
					}
				}
			},
			error:function(){
				
			}
		});
		var appDetailBtn = $('.app-app-detail-tips-banlance-btn');
		installApk(appDetailBtn);
	},
	error:function(){
		
	}
});
//点击安装按钮
function installApk(installItem){
	installItem.click(function(){
		if(type == 'app'){
			Comm.recordDataClick('app.detail.download.' + id,"app.detail.download",id);
		}else if(type == 'game'){
			Comm.recordDataClick('game.detail.download.' + id,"game.detail.download",id);
		}
		if(Comm.getCookie('userId')){
			var appFile = $(this).attr('data-file');
			var balance = $(this).attr('data-balance');
			var taskId = $(this).attr('data-taskId');
			if(balance == 0){
				zeroBanlance(appFile);
			}else{
				doTask(taskId, appFile);
			}
		}else{
			Comm.login();
		}
		
	});
};
//做任务
function doTask(id, appFile){
	var doTaskUrl = Comm.uc + '/score/executetask?userId='+Comm.getCookie('userId')+'&channel=3&taskId=' + id + '&mac=appmac&t=' + Date.parse(new Date());
	$.ajax({
		type:"get",
		url:doTaskUrl,
		async:true,
		dataType:'json',
		success:function(data){
			if(data.err == 'none'){
				$('.amui-app-download-first').show();
				setTimeout(function(){
					$('.amui-app-download-first').hide();
					window.location.href = appFile;
				},2000);
			}else{
				$('.amui-app-download').show();
				setTimeout(function(){
					$('.amui-app-download').hide();
					window.location.href = appFile;
				},2000);
			}
		},
		error:function(){
			$('.amui-app-download').show();
			setTimeout(function(){
				$('.amui-app-download').hide();
				window.location.href = appFile;
			},2000);
		}
	});
};
//0积分提示
function zeroBanlance(appFile){
	$('.amui-app-download').show();
	setTimeout(function(){
		$('.amui-app-download').hide();
		window.location.href = appFile;
	},2000);
};
var ua = navigator.userAgent;
if(ua.indexOf('App/') > 0) {
	App.finishLoad();
}

