//获取影视分类
var typeId = parseInt(Comm.getQueryString('id'));
//初始页码
var page = 0;
var hotPage = 1;
var movieTypeId = -1;
//初始化视频分类
getType(typeId);
//默认获取视频位第一页数据
hotPlay(typeId,hotPage);
//默认存储视频位字段
localStorage.setItem('name','热播');
//大视频获取分类
function getType(typeId){
	var typeApi = Comm.host + 'api/web/v1/media/filtercondition?t=' + Date.parse(new Date());
	 var param = {
	    "type":typeId,
	    "platform": "h5",
	    "data":{
	    }
	 };
	$.ajax({
		type:"get",
		url:typeApi,
		data:{param:JSON.stringify(param)},
		dataType:'jsonp',
		jsonp:'callback',
		success:function(data){
			var videoType = data.data.tag;
			var videoTypeLength =  data.data.tag.length;
			var videoTypeList = '';
			videoType.shift(0);
			videoType.unshift({"id":1,"name":"热播"});
			$(".video-type-list-inner").width(videoTypeLength * 2.026 + "rem");
			for(var i=0;i<videoTypeLength;i++){
				videoTypeList += '<p class="video-type-item" data-name="'+data.data.tag[i].name+'" data-id="'+data.data.tag[i].id+'">'+data.data.tag[i].name+'</p>';
			}
			$('.video-type-list-inner').append(videoTypeList);
			$('.video-type-list-inner').find("video-type-item").eq(0).addClass("active");
			var videoTypeItem = $('.video-type-item');
			changeStyle(videoTypeItem);
		},
		error:function(){
			console.log('数据未请求成功');
		}
	});
};
//点击改变样式
function changeStyle(videoTypeItem){
	videoTypeItem.unbind('click').on('click',function(){
		var name = $(this).attr('data-name');
		//防止重复点击
		if(name != localStorage.getItem('name')){
			var _index = $(this).index(); 
			$('.video-line').animate({
				left:$(this).width() * (_index-1)
			},200);
			page = 0;
			hotPage = 1;
			$('.amui-loading').removeClass('amui-new-template-hide');
			$(".hot-play").children().remove();
			$(".amui-new-template-03-content-items").children().remove();
			localStorage.setItem('name',name);
			if(name == '热播'){
				movieTypeId = -1;
				Comm.recordDataClick('movie.' + movieTypeId);
				hotPlay(typeId,hotPage);
			}else{
				movieTypeId = $(this).attr('data-id');
				Comm.recordDataClick('movie.' + movieTypeId);
				updataInfo(name,page);
			}
		}
	});
};
//导航滚动，选中条滚动
//$('.video-type-list').on('scroll',function(){
//	var _name = localStorage.getItem('name');
//	var _left = $('.video-type-item[data-name="'+_name+'"]').position().left;
//	$('.video-line').css({
//		left:_left
//	})
//});
//点击分类更新数据
function updataInfo(name,page){
	var listApi = Comm.host + 'api/web/v1/media/search?t=' + Date.parse(new Date());
	var param = {
	    "type":typeId,
	    "tag":name,
	    "sort":"最热",
	    "limit":page,
	    "count":Comm.bigVideo,
	    "platform": "h5",
	    "data":{
	    }
	 };
	$.ajax({
		type:"get",
		url:listApi,
		data:{param:JSON.stringify(param)},
		dataType:'jsonp',
		jsonp:'callback',
		success:function(data){
			if(name == '热播'){
				hotPlay(typeId);
			}else{
				var videoList = '';
				if(data.data){
					//存在数据
					var list = data.data.list;
					var length = data.data.list.length;
					if(list && length == 0 || length < Comm.bigVideo){
						$('.amui-loading').addClass('amui-new-template-hide');
					}
					if(list && length > 0){
						for(var i=0;i<length;i++){
							var num = parseInt(list[i].play_count) > 10000 ? parseInt(list[i].play_count/10000).toFixed(1) + '万' :parseInt(list[i].play_count).toFixed(1);
							if(list[i].douban_score && list[i].douban_score > 0 ){
								videoList += '<div class="amui-new-template-03-content-item item" data-id="'+list[i].id+'">' +
									'<p>' +
									'<img  src="./images/new_index/3_zw.png"  data-src="' + list[i].image + '" width="100%" class="fadeIn lazyload">' +
									'<span class="amui-movie-code">'+list[i].douban_score+'</span>'+
									'</p>' +
								'<div class="amui-new-template-content-info">' +
								'<p class="amui-new-template-content-title">' + list[i].title + '</p>' +
								'<p class="amui-new-template-content-subtitle">播放数' + num + '</p>' +
								'</div>' +
								'</div>';
							}else{
								videoList += '<div class="amui-new-template-03-content-item item" data-id="'+list[i].id+'">' +
									'<p>' +
									'<img  src="./images/new_index/3_zw.png"  data-src="' + list[i].image + '" width="100%" class="fadeIn lazyload">' +
								'</p>' +
								'<div class="amui-new-template-content-info">' +
								'<p class="amui-new-template-content-title">' + list[i].title + '</p>' +
								'<p class="amui-new-template-content-subtitle">播放数' + num + '</p>' +
								'</div>' +
								'</div>';
							}

						}
					}
				}else{
					//不存在数据
					$('.amui-loading').addClass('amui-new-template-hide');
				}
				$('.amui-new-template-03-content-items').append(videoList);
			}
			var videoItem =$('.item');
			goDetail(videoItem);
		},
		error:function(){
			console.log('数据未请求成功');
		}
	});
};
//跳转详情页
function goDetail(videoItem){
	videoItem.unbind('click').on('click',function(){
		var id = $(this).attr('data-id');
		Comm.recordDataClick('movie.list.click.'+typeId +"." + movieTypeId + '.' + id,"movie.list.click",typeId);
		if(typeId ==1){
			//电影
			window.location.href = 'movieDetailTX.html?type=' + typeId +'&id=' + id;
		}else if(typeId ==2 || typeId ==4){
			//电视剧
			window.location.href = 'teleplayDetail.html?type=' + typeId +'&id=' + id;
		}else if(typeId ==3){
			//综艺
			window.location.href = 'varietyDetailTX.html?type=' + typeId +'&id=' + id;
		}
	});
};
//大视频热播数据
function hotPlay(typeId, hotPage){
	var hotPlayId = '';
	if(typeId ==1){
		//电影首页
		hotPlayId = 3;
	}else if(typeId ==2){
		//电视剧首页
		hotPlayId = 4;
	}else if(typeId ==3){
		//综艺首页
		hotPlayId = 5;
	}else if(typeId ==4){
		//动漫首页
		hotPlayId = 6;
	}
	var hotPlayUrl = Comm.host + 'api/web/v1/pindaowei/list?t=' + Date.parse(new Date());
	var param = {
	    "pageNumber":hotPage,//页码
	    "pageSize": Comm.hotPlay, //一页显示数目
	    "page": hotPlayId//所属页面//1首页2影视首页3电影频道首页4电视剧频道首页5综艺频道首页6动漫频道首页
	  };
	$.ajax({
		type:"get",
		url:hotPlayUrl,
		data:{param:JSON.stringify(param)},
		dataType:'jsonp',
		jsonp:'callback',
		success:function(data){
			var hotPlayLength = data.data.result.length;
			var hotPlayList = data.data.result;
			if(hotPlayList && hotPlayLength == 0 || hotPlayLength < Comm.hotPlay){
				$('.amui-loading').addClass('amui-new-template-hide');
			}
			if(hotPlayList && hotPlayLength > 0){
				for(var i=0;i<hotPlayLength;i++){
					if(data.data.result[i].type ==2){
						//图片翻播
						$('.hot-play').append(loadOne(data.data.result[i]));
					}else if(data.data.result[i].type ==3 && data.data.result[i].style ==1){
						//图片列表一大四小
						$('.hot-play').append(loadTwo(data.data.result[i]));
						var changeItem = $('.change');
						changeTwo(changeItem);
					}else if(data.data.result[i].type ==3 && data.data.result[i].style ==2){
						//图片列表一大六小
						$('.hot-play').append(loadThree(data.data.result[i]));
						var changeItem = $('.change');
						changeThree(changeItem);
					}else if(data.data.result[i].type ==3 && data.data.result[i].style ==3){
						//图片列表四小
						$('.hot-play').append(loadFive(data.data.result[i]));
						var changeItem = $('.change');
						changeFive(changeItem);
					}else if(data.data.result[i].type ==3 && data.data.result[i].style ==4){
						//图片列表六小
						$('.hot-play').append(loadSix(data.data.result[i]));
						var changeItem = $('.change');
						changeSix(changeItem);
					}else if(data.data.result[i].type ==4){
						//矩形横幅
						$('.hot-play').append(loadFour(data.data.result[i]));
						var changeItem = $('.change');
						changeFour(changeItem);
					}
				}
				setTimeout(function(){
					$(".fadeIn").removeClass("fadeIn");
				},800);
			}	
			 new Swiper('.amui-new-template-01-content', {
				effect: 'coverflow',
				grabCursor: true,
				slidesPerView: 1.12,
				centeredSlides: true,
				loop : true,
				loopedSlides : 2,
				coverflow: {
					rotate: 0,
					stretch: 0,
					depth: 0,
					modifier: 1,
					slideShadows : false
				},
				paginationClickable: false
			});
			new Swiper('.amui-new-template-04-content-top', {
				effect: 'coverflow',
				grabCursor: true,
				slidesPerView: 1.12,
				centeredSlides: true,
				loop : true,
				loopedSlides : 2,
				coverflow: {
					rotate: 0,
					stretch: 0,
					depth: 0,
					modifier: 1,
					slideShadows : false
				},
				paginationClickable: false
			});
			var itemOne = $('.hot-play .item');
			go(itemOne);
			var itemMore = $('.hot-play .item-more');
			goMore(itemMore);
		},
		error:function(){
			console.log('数据未请求成功');
		}
	});
};
//换一换图片列表一大四小
function changeTwo(item){
	item.click(function(){
		var $el = $(this).closest("div").find("+div").find("img");
		$el.addClass("fadeIn");
		var num = $(this).attr('data-num').split(',');
		var length = num.length - 1;
		var name = $(this).attr('data-name');
		var data = JSON.parse(localStorage.getItem(name)).wuliaoList;
		for(var i=1;i<=length;i++){
			var dataNum = changeNum(data[i]);
			if(i == 1){
				$('.amui-new-template-02[data-name="'+name+'"]').find('.amui-new-template-02-content-top[data-key="1"]').attr('data-id',dataNum[0].id);
				$('.amui-new-template-02[data-name="'+name+'"]').find('.amui-new-template-02-content-top[data-key="1"]').find('img').attr('src',dataNum[0].img);
				$('.amui-new-template-02[data-name="'+name+'"]').find('.amui-new-template-02-content-top[data-key="1"]').attr('data-url',dataNum[0].url);
				$('.amui-new-template-02[data-name="'+name+'"]').find('.amui-new-template-02-content-top[data-key="1"]').find('.amui-new-template-content-title').html(dataNum[0].title);
				$('.amui-new-template-02[data-name="'+name+'"]').find('.amui-new-template-02-content-top[data-key="1"]').find('.amui-new-template-content-subtitle').html(dataNum[0].sub_title);
			}else{
				$('.amui-new-template-02[data-name="'+name+'"]').find('.amui-new-template-02-content-item[data-key="'+i+'"]').attr('data-id',dataNum[0].id);
				$('.amui-new-template-02[data-name="'+name+'"]').find('.amui-new-template-02-content-item[data-key="'+i+'"]').find('img').attr('src',dataNum[0].img);
				$('.amui-new-template-02[data-name="'+name+'"]').find('.amui-new-template-02-content-item[data-key="'+i+'"]').attr('data-url',dataNum[0].url);
				$('.amui-new-template-02[data-name="'+name+'"]').find('.amui-new-template-02-content-item[data-key="'+i+'"]').find('.amui-new-template-02-content-title').html(dataNum[0].title);
				$('.amui-new-template-02[data-name="'+name+'"]').find('.amui-new-template-02-content-item[data-key="'+i+'"]').find('.amui-new-template-02-content-subtitle').html(dataNum[0].sub_title);
			}
		}
		setTimeout(function(){
			$el.removeClass("fadeIn");
		},800);
	});
};
//换一换图片列表一大六小
function changeThree(item){
	item.click(function(){
		var $el = $(this).closest("div").find("+div").find("img");
		$el.addClass("fadeIn");
		var num = $(this).attr('data-num').split(',');
		var length = num.length-1;
		var name = $(this).attr('data-name');
		var data = JSON.parse(localStorage.getItem(name)).wuliaoList;
		for(var i=1;i<=length;i++){
			var dataNum = changeNum(data[i]);
			if(i == 1){
				$('.amui-new-template-03[data-name="'+name+'"]').find('.amui-new-template-03-content-top[data-key="1"]').attr('data-id',dataNum[0].id);
				$('.amui-new-template-03[data-name="'+name+'"]').find('.amui-new-template-03-content-top[data-key="1"]').find('img').attr('src',dataNum[0].img);
				$('.amui-new-template-03[data-name="'+name+'"]').find('.amui-new-template-03-content-top[data-key="1"]').attr('data-url',dataNum[0].url);
				$('.amui-new-template-03[data-name="'+name+'"]').find('.amui-new-template-03-content-top[data-key="1"]').find('.amui-new-template-content-title').html(dataNum[0].title);
				$('.amui-new-template-03[data-name="'+name+'"]').find('.amui-new-template-03-content-top[data-key="1"]').find('.amui-new-template-content-subtitle').html(dataNum[0].sub_title);
			}else{
				$('.amui-new-template-03[data-name="'+name+'"]').find('.amui-new-template-03-content-item[data-key="'+i+'"]').attr('data-id',dataNum[0].id);
				$('.amui-new-template-03[data-name="'+name+'"]').find('.amui-new-template-03-content-item[data-key="'+i+'"]').find('img').attr('src',dataNum[0].img);
				$('.amui-new-template-03[data-name="'+name+'"]').find('.amui-new-template-03-content-item[data-key="'+i+'"]').attr('data-url',dataNum[0].url);
				$('.amui-new-template-03[data-name="'+name+'"]').find('.amui-new-template-03-content-item[data-key="'+i+'"]').find('.amui-new-template-03-content-info').html(dataNum[0].title);
			}
		}
		setTimeout(function(){
			$el.removeClass("fadeIn");
		},800);
	});
};
//换一换矩形横幅
function changeFour(item){
	item.click(function(){
		var $el = $(this).closest("div").find("+div").find("img");
		$el.addClass("fadeIn");
		var num = $(this).attr('data-num').split(',');
		var length = num.length-1;
		var name = $(this).attr('data-name');
		var data = JSON.parse(localStorage.getItem(name)).wuliaoList;
		for(var i=1;i<=length;i++){
			var dataNum = changeNum(data[i]);
			$('.amui-new-template-04[data-name="'+name+'"]').find('.amui-new-template-04-item[data-key="'+i+'"]').attr('data-id',dataNum[0].id);
			$('.amui-new-template-04[data-name="'+name+'"]').find('.amui-new-template-04-item[data-key="'+i+'"]').find('img').attr('src',dataNum[0].img);
			$('.amui-new-template-04[data-name="'+name+'"]').find('.amui-new-template-04-item[data-key="'+i+'"]').attr('data-url',dataNum[0].url);
			$('.amui-new-template-04[data-name="'+name+'"]').find('.amui-new-template-04-item[data-key="'+i+'"]').find('.amui-new-template-content-title').html(dataNum[0].title);
			$('.amui-new-template-04[data-name="'+name+'"]').find('.amui-new-template-04-item[data-key="'+i+'"]').find('.amui-new-template-content-subtitle').html(dataNum[0].sub_title);
		}
		setTimeout(function(){
			$el.removeClass("fadeIn");
		},800);
	});
};
//换一换图片列表四小
function changeFive(item){
	item.click(function(){
		var $el = $(this).closest("div").find("+div").find("img");
		$el.addClass("fadeIn");
		var num = $(this).attr('data-num').split(',');
		var length = num.length-1;
		var name = $(this).attr('data-name');
		var data = JSON.parse(localStorage.getItem(name)).wuliaoList;
		for(var i=1;i<=length;i++){
			var dataNum = changeNum(data[i]);
			$('.amui-new-template-05[data-name="'+name+'"]').find('.amui-new-template-05-item[data-key="'+i+'"]').attr('data-id',dataNum[0].id);
			$('.amui-new-template-05[data-name="'+name+'"]').find('.amui-new-template-05-item[data-key="'+i+'"]').find('img').attr('src',dataNum[0].img);
			$('.amui-new-template-05[data-name="'+name+'"]').find('.amui-new-template-05-item[data-key="'+i+'"]').attr('data-url',dataNum[0].url);
			$('.amui-new-template-05[data-name="'+name+'"]').find('.amui-new-template-05-item[data-key="'+i+'"]').find('.amui-new-template-content-title').html(dataNum[0].title);
			$('.amui-new-template-05[data-name="'+name+'"]').find('.amui-new-template-05-item[data-key="'+i+'"]').find('.amui-new-template-content-subtitle').html(dataNum[0].sub_title);
		}
		setTimeout(function(){
			$el.removeClass("fadeIn");
		},800);
	});
};
//换一换图片列表六小
function changeSix(item){
	item.click(function(){
		var $el = $(this).closest("div").find("+div").find("img");
		$el.addClass("fadeIn");
		var num = $(this).attr('data-num').split(',');
		var length = num.length-1;
		var name = $(this).attr('data-name');
		var data = JSON.parse(localStorage.getItem(name)).wuliaoList;
		for(var i=1;i<=length;i++){
			var dataNum = changeNum(data[i]);
			$('.amui-new-template-06[data-name="'+name+'"]').find('.amui-new-template-06-item[data-key="'+i+'"]').attr('data-id',dataNum[0].id);
			$('.amui-new-template-06[data-name="'+name+'"]').find('.amui-new-template-06-item[data-key="'+i+'"]').find('img').attr('src',dataNum[0].img);
			$('.amui-new-template-06[data-name="'+name+'"]').find('.amui-new-template-06-item[data-key="'+i+'"]').attr('data-url',dataNum[0].url);
			$('.amui-new-template-06[data-name="'+name+'"]').find('.amui-new-template-06-item[data-key="'+i+'"]').find('.amui-new-template-content-title').html(dataNum[0].title);
		}
		setTimeout(function(){
			$el.removeClass("fadeIn");
		},800);
	});
};
//变更位置
function changeNum(data){
	return data.sort(function(){ return 0.5 - Math.random() })
};
//上拉加载
function loadMore(page){
	var name = localStorage.getItem('name');
	if(name == '热播'){
		hotPlay(typeId, page);
	}else{
		updataInfo(name, page);
	}
};
//监听滚动
var _isLoading = false;
window.onscroll = function(){
   var scrollH = $(this).scrollTop(),
       clientH = document.documentElement.clientHeight,
       h = $("body").height();
 	if(!_isLoading && !$('.amui-loading').hasClass('amui-new-template-hide')){
 		if(scrollH + clientH+50  >= h ){
 			_isLoading = true;
 			var name = localStorage.getItem('name');
 			if(name == '热播'){
				 hotPage++;
				 loadMore(hotPage);
			}else{
				page++;
				loadMore(page);
			}
			setTimeout(function(){
				_isLoading = false;
				console.log("加载。。。。")
			},500);
		}
 	}
};
//跳转
function go(item){
	item.unbind('click').on('click',function(){
		var url = $(this).attr('data-url');
		var positionId = $(this).attr('data-position');
		var modelId = $(this).attr('data-model');
		var id = $(this).attr('data-id');
		Comm.recordDataClick('movie.list.click.' +typeId+"."+movieTypeId+"."+ modelId + '.' + positionId + '.' + id,"movie.list.click",typeId);
		window.location.href = $(this).attr('data-url');
	});
};
//更多精彩跳转
function goMore(itemMore){
	itemMore.unbind('click').on('click',function(){
		var url = $(this).attr('data-url');
		var id = $(this).attr('data-id');
		Comm.recordDataClick('movie.more.' + id);
		window.location.href = url;
	})
};


	

