var id,
    time;

//解析参数
function getQueryString(name) {
  var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
  var r = window.location.search.substr(1).match(reg);
  if(r != null) return unescape(r[2]);
  return null;
}

function getData() {
  var url;

  if(time == '' || time == undefined || time == null){
    url = "data/live/detail/" + id;
  } else {
    url = "data/live/detail/" + time + "/" + id;
  }

  $.ajax({
    type: "GET",
    url: url,
    dataType: "json",
    async: true,
    success: function (data) {
      var movieData = data,
        actor = movieData.actor,
        name = movieData.name,
        picture1 = movieData.picture1,
        description = movieData.description,
        region = movieData.region,
        type = movieData.type,
        files = movieData.file;
      console.log(movieData);

      $('.amui-information-desc-title').text(name);
      $('.amui-information-desc-rengion').text(region);
      $('.amui-information-desc-actor').text(actor);
      $('.amui-introduce-bd').text(description);
      $('#movieVideo').attr('src', files);
      $('.amui-information-pic img').attr('src', picture1);
    },
    error: function (err) {
      console.log(err);
    }
  })
}

function videoPlay() {
  var video = $('video');
  video.show();
  $('.amui-video-mask').hide();
  Comm.recordDataClick('live.detail.play.' + id);
  video[0].play();
}

$(function () {
  id = getQueryString('id');
  time = getQueryString('time');
  getData();
  Comm.recordDataClick('live.detail.' + id);
});
var ua = navigator.userAgent;
if(ua.indexOf('App/') > 0) {
	App.finishLoad();
}



























