// JavaScript Document

//判断访问终端
var browser={
	versions:function(){
		var u = navigator.userAgent;
		return {         //移动终端浏览器版本信息
			weibo:u.toLowerCase().match(/Weibo/i)=="weibo",
			micromessenger:u.toLowerCase().match(/MicroMessenger/i)=="micromessenger",          //是否是微信
			mobile: !!u.match(/AppleWebKit.*Mobile.*/), //是否为移动终端
			ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
			android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或uc浏览器
			iPhone: u.indexOf('iPhone') > -1 , //是否为iPhone或者QQHD浏览器
			iPad: u.indexOf('iPad') > -1, //是否iPad
			isSAUMSUNG:u.indexOf('SAMSUNG')>-1,
			isMomo:u.indexOf('momoWebView')>-1,
			isApp:u.indexOf('haigou')>-1
		};
	}(),
	language:(navigator.browserLanguage || navigator.language).toLowerCase()
};
//console.log(browser.versions);


function getNativeParam(flag){
	if(browser.versions.ios && browser.versions.mobile){
		//调用IOS客户端方法
		return window.wangfanApp.getNativeParam(flag);
	}else{
		//调用Android客户端方法；
		return JSON.parse(window.wangfanApp.getNativeParam(flag));
	}
}

function callNative(flag,param){
	if(browser.versions.ios && browser.versions.mobile){
		//调用IOS客户端方法
		return window.wangfanApp.callNative(flag,param);
	}else{
		//调用Android客户端方法；
		var param = JSON.stringify(param);
		return window.wangfanApp.callNative(flag,param);
	}
}

//window.wangfanApp.getNativeParam(flag);
//window.wangfanApp.callNative(flag,param);

//alert(getNativeParam(5));	//使用实例
//alert(callNative(5, "ffsfefsfsf"));	//使用实例

var isNative = false;

//Native里面这段内容放开，本地测试时务必注释
/*var getNativData = getNativeParam(1);
if(getNativData.host != undefined){
	isNative = true;
}*/

//本地测试调用native本地假方法，Native环境务必注释
function getNativeParam(){}
function callNative(){}


var pageHost,	//服务器地址
	userID,		//用户id
	token,		//是否登陆标记
	from,		//平台类型
	shop_id,		//店铺id
	platform,	//设备类型
	userPhone,	//用户电话
	orderId,    //订单号
	taskId,     //任务Id
	mac,        //手机唯一标识
	goodsList,	//订单列表
	service_number,	//客服电话
	version_code;	//版本号
	


if(isNative){
	pageHost = getNativData.host;
	userID = getNativData.userID;
	token = getNativData.token;
	from = getNativData.from || 3;
	shop_id = getNativData.shop_id;
	platform = getNativData.platform || "ios";
	userPhone = getNativData.userPhone || "";
	orderId = getNativData.orderId || "";
	taskId = getNativData.taskId || "";
	mac = getNativData.mac || "";
	goodsList = getNativData.goodsList || "";
	service_number = getNativData.service_number || "";
	version_code = getNativData.version_code || "";
}else{
	pageHost = "http://api.test.amol.com.cn:8083";
	userID = "875ce695fccd426eb26368910d29d65a";
	token = "0495fcb971424d54af619694c3e7593d";
	from = 3;
	shop_id = 1;
	platform = "ios";
	userPhone = "13800138000";
	orderId = "1338479298488745";
	taskId = "9451";
	mac = "mac";
	goodsList = [{"goodsid":"2","img":"http://res.amol.com.cn/cms/images/2016/8/24/1472027388542.png","goodsnum":1,"name":"小笼包","price":10},{"goodsid":"3","img":"http://res.amol.com.cn/cms/images/2016/8/24/1472027470404.png","goodsnum":1,"name":"奥尔良鸡块","price":15}];
	service_number = "400-111-111";
	version_code = "V1.9.2";
}
//获取nativeAPI
//getNativeParam(5);
//callNative(5, "ffsfefsfsf");