// JavaScript Document

//跳转连接;
function jumpLink(val){
	//打点
	Comm.recordDataClick("onlinegame."+val);
	window.location.href = "olGame_channel.html?id=" +  val;
}
//返回1位小数
function toDecimal(x,u) {    
	var f = parseFloat(x);    
	if (isNaN(f)) {    
		return;    
	}    
	f = Math.round(x*10)/10;    
	return f + u;    
}

$(function(){

	//pv打点
	Comm.recordDataPv('onlinegame');

	var pageHost = Comm.host;
	var data = "";
	//轮播图片
	$.ajax({
		type: "get",
		url : "data/banner/appbanner_olgame?t="+new Date().getTime(),
		dataType: "json",
		data: data,
		success: function (result) {
			var result = result.olgame.one;
			var newBanner = [];
   			var length = result.length;
   			var now = new Date().getTime();
   			for(var i = 0; i < length; i++){
   				var onlineTime = result[i].onlineTime;
				var offlineTime = result[i].offlineTime;
				if(now > onlineTime && now < offlineTime) {
					newBanner.push(result[i]);
				}
   			}
			bannerAjax(newBanner);			
		},
		error: function (error) {
			//stockFn("请求失败",true);
		}
	});	
	
	function bannerAjax(result){
		var integralHtml = template("swiperHtml",{integral:result});
		$("#game-swiper").find(".swiper-wrapper").html(integralHtml);
		if($('#game-swiper').length > 0){
			var detailSwiper = new Swiper('#game-swiper', {
				loop : true,
				autoplay: 3000,
				paginationType:"bullets",
				direction : "horizontal",
				pagination: '#game-swiper .swiper-pagination',
				paginationClickable: false,
				onSlideChangeEnd : function(swiper){
				//切换banner打点
				var _id = $(".container .swiper-slide-active .swiperClick").attr("_id");
				Comm.recordDataClick("onlinegame.adbanner.load."+_id,"onlinegame.adbanner.load",_id,3);
				swiper.startAutoplay();
				}
			});
		}
		//打点和点击事件
		$("#game-swiper").on("click",".swiperClick",function(){
				var _url = $(this).attr("_url"),
					  _id = $(this).attr("_id");
				Comm.recordDataClick("onlinegame.adbanner."+_id,"onlinegame.adbanner",_id);
			window.location.assign(_url);
		});
	}

	//推荐计算滚动总宽度
	var boxW = $(".recommend li").outerWidth() * $(".recommend li").length;
	$(".recommend ul").width(Number(boxW+1) + "px");

	template.helper('$jf', function (val) {
		if(val < 10000){
			return val;
		}else if(val >= 10000 * 1000){
			var val = val/10000/1000;
			return toDecimal(val,"千万");
		}else{
			var val = val/10000;	
			return toDecimal(val,"万");
		}
	});

	//接口地址
	var urlObj = {
			"hot" : "/api/web/v1/game/gethot",	//热门
			"uptime" : "/api/web/v1/game/getuptime",	//最新	
			"games" : "/api/web/v1/game/getcateg"		//分类
		}
	
	//初始化加载
	var $Q = QueryFn().init();

	//绑定事件 and  打点  热门 最新	 分类
	$("#uptimeGame,#gamesGame,#hotGame").on("click",".clickDiv",function(){
			var _url = $(this).attr("_url"), _id = $(this).attr("_id"),
					_type = $(this).attr("_type");
		  //热门经典  火爆最新 点击打点
			if(_type == 'hot'){
				Comm.recordDataClick('onlinegame.hot.'+_id,"onlinegame.hot",_id);
			}else if(_type == 'new'){
				Comm.recordDataClick('onlinegame.new.'+_id,"onlinegame.new",_id);
			}else{
				Comm.recordDataClick('onlinegame.other.'+_id,"onlinegame.other",_id);
			}
			window.location.assign(_url);
	});
	
	//换一批
	window.changeList = function(t,type){
		if(type == 'uptime'){
			Comm.recordDataClick('onlinegame.hot.change');
		}
		$(t).find("img").addClass("Rotation");
		$Q.ajaxQuest(urlObj.uptime,"uptime",1);
	}
	
	function QueryFn(){
		var o = {};
		var that = o;
		var dataName = (function(){	var arr = [];for( name in urlObj){ arr.push(name);}return arr;})();
		
		o.status = {} //储存加载状态
		
		//初始化加载
		o.init = function(){
			for(var i=0,len = dataName.length; i<len; i++){
				var name = dataName[i]
				o.ajaxQuest(urlObj[name],name,i);				
			}
			return this;
		}
		o.init.prototype = o.prototype;
		
		//获取数据
		o.ajaxQuest = function(url,ele,n){
			this.status[n] = false;
			$.ajax({
				type: "get",
				url : pageHost + url,				
				dataType: "jsonp",
				data: data,
//				beforeSend : function(){
//					loadingShowFn()
//	     		},
				success: function (result) {
					var result = result.data[ele];
					if(ele == "games"){	//加载分类列表
						var titleHtml = template("gamesTitleHtml",{integral:result});
						$("#gamesTitle").html(titleHtml);	
					}
					var integralHtml = template(ele+"Html",{integral:result});
					$("#" + ele + "Game").html(integralHtml);				
				},
				error: function (error) {
					stockFn("请求失败",true);
				},
				complete : function(){
					that.status[n] = true;
//					that.isSucess() ? loadingCloseFn() : "";
					$(".Rotation").removeClass("Rotation");
	      		}
			});	
		}		
		o.isSucess = function(){	//判断是否ajax全部请求完成
			for(p in this.status){
				if(this.status[p] != true){					
					return false;					
				}
			}	
			return true;	
		}
		return o;
	}	
	
});
var ua = navigator.userAgent;
if(ua.indexOf('App/') > 0) {
	App.finishLoad();
}