webpackJsonp([3],{

/***/ 0:
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(1);
	__webpack_require__(6);
	module.exports = __webpack_require__(54);


/***/ },

/***/ 54:
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _vue = __webpack_require__(10);

	var _vue2 = _interopRequireDefault(_vue);

	var _vueResource = __webpack_require__(12);

	var _vueResource2 = _interopRequireDefault(_vueResource);

	var _nativeA = __webpack_require__(13);

	var _vueFilter = __webpack_require__(22);

	var _vueFilter2 = _interopRequireDefault(_vueFilter);

	var _dataFormat = __webpack_require__(15);

	var _dataFormat2 = _interopRequireDefault(_dataFormat);

	var _method = __webpack_require__(14);

	var _errorMsg = __webpack_require__(27);

	var _errorMsg2 = _interopRequireDefault(_errorMsg);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	// 本地开发进入本地测试服务器，详见 server.js测试接口1
	var POSITIONURL = /^localhost|^10\.10\.\d{2}\./.test(window.location.hostname) ? '/op/packageinfo?name=gpsv2' : 'http://www.wangfanwifi.com:16621/op/packageinfo?name=gpsv2';

	__webpack_require__(55);
	var querystring = __webpack_require__(38);

	_vue2.default.use(_vueResource2.default);
	_vue2.default.use(_vueFilter2.default);

	window.addEventListener('DOMContentLoaded', function () {
		var BASEINFO = (0, _nativeA.getN)("getBase");
		var MAPINFO = (0, _nativeA.getN)("getTrip");
		var isAddPoint = false;
		var isNoData = false; // 没数据不弹窗
		if (!MAPINFO) {
			isNoData = true;
			// 假数据
			MAPINFO = {
				"station_train_code": "Z201",
				"from_station_name": "郑州",
				"to_station_name": "东方",
				"start_time_page": "23:53",
				"arrive_time_page": "06:58",
				"time_cha": "",
				"station_train_date": "",
				"start_train_date_page": (0, _dataFormat2.default)(Date.now() - 1 * 24 * 3600 * 1000, "YYYY-MM-DD 23:53:00"), //发车日期
				"end_train_date_page": (0, _dataFormat2.default)(Date.now() + 1 * 24 * 3600 * 1000, "YYYY-MM-DD 06:58:00"), //车站到达时间
				"from_station_telecode": "ZZF",
				"to_station_telecode": "UFQ"
			};
		}

		var map, MYGEO, CONVERTOR, PROJECTION;
		var myvue = new _vue2.default({
			el: "#main",
			data: {
				isError: false,
				error_msg: '',
				topInfo: (0, _method.clone)(MAPINFO), // 头部文字
				cost: '', // 历时
				station_list: [], // 地图线路 始~终
				iNowStation: -1, // 当前在哪个站点
				target: {
					nextPlace: '', // 下个站点
					place: '', // 目的地
					remTime: '', // 终点多长时间到达
					nextTime: '' // 下个站点多长时间到达
				},
				train_date_time: (0, _method.format2Time)(MAPINFO.start_train_date_page.split(' ')[0]), // 列车发车时间
				intervalTimer: null, // 定时器
				position: '获取中...'
			},
			mounted: function mounted() {
				var _this2 = this;

				this.getData();
				this.$nextTick(function () {
					_this2.setMap();
				});

				if (!isNoData) {
					this.nativePos();
				} else {
					this.getPosition({});
				}
			},

			methods: {
				setMap: function setMap() {
					// 地图自适应
					function setHeight() {
						// 安卓机器反应慢,开个定时器等待
						clearTimeout(timer);
						timer = setTimeout(function () {
							oMap.style.height = window.innerHeight - oTop.clientHeight - oBottom.clientHeight + 'px';
						}, _method.isAndroid ? 16.7 : 0);
					}
					var oMap = document.getElementById('line-map-content');
					var oTop = document.querySelector('.line-map-top');
					var oBottom = document.querySelector('.line-map-bottom');
					var timer = null;
					setHeight();
					// 安卓webview刚进入高度会变
					window.addEventListener('resize', setHeight, false);

					var mapstyle = [{
						"featureType": "highway",
						"elementType": "all",
						"stylers": {
							"visibility": "off"
						}
					}, {
						"featureType": "arterial",
						"elementType": "all",
						"stylers": {
							"visibility": "off"
						}
					}, {
						"featureType": "local",
						"elementType": "all",
						"stylers": {
							"visibility": "off"
						}
					}];
					map = new BMap.Map("line-map-content");
					map.setMapStyle({
						style: 'googlelite',
						styleJson: mapstyle
					});
					map.centerAndZoom(new BMap.Point(111.43673, 27.244197), 5);
					map.setMaxZoom(8);

					MYGEO = new BMap.Geocoder(); // 地理位置对象
					CONVERTOR = new BMap.Convertor(); // 实际坐标转换百度坐标对象
					PROJECTION = map.getMapType().getProjection(); // 经纬度坐标、摩卡托坐标转换函数
				},

				// 每分钟执行一次
				interval: function interval() {
					var _this = this;
					_fn();
					this.intervalTimer = setInterval(_fn, 60000);
					function _fn() {
						_this.getINow();
						_this.addLineMark();
					}
				},
				getPos: function getPos() {
					if (this.position == '定位失败，点击重试') {
						this.nativePos();
					}
				},
				getData: function getData(isSecond) {
					var _this3 = this;

					var url = BASEINFO.host.trim() + '/api/web/v1/train/getstationinfobyjuhe?' + querystring.stringify({
						param: JSON.stringify({
							"userID": BASEINFO.userID,
							"token": BASEINFO.token,
							"bind_user": BASEINFO.bind_user,
							"station_train_code": MAPINFO.station_train_code,
							"station_train_date": (0, _method.time2yearmonthdate)(this.train_date_time),
							"platform": BASEINFO.platform
						})
					});
					this.$http.jsonp(url).then(function (message) {
						if (message.body.error_code === 0) {
							var station_list = message.body.data.station_list;
							var start, end;
							for (var i = 0; i < station_list.length; i++) {
								// 此处中文就用==了
								if (station_list[i].station_name == MAPINFO.from_station_name) {
									start = i;
								} else if (station_list[i].station_name == MAPINFO.to_station_name) {
									end = i;
									break;
								}
							}
							var list = station_list.slice(start, end + 1);
							_this3.cost = Math.ceil(((0, _method.format2Time)(station_list[end].full_arrived_date) - (0, _method.format2Time)(station_list[start].full_leave_date)) / 1000 / 60);
							_this3.setList(list, station_list, isSecond);
						} else {
							_this3.error_msg = message.body.error_msg;
						}
					}, function () {
						_this3.isError = true;
					});
				},

				// 后台挖的坑，此处处理--根据始发站的时间请求当天的车次，如果始发站跨天了则请求了第N天的车次，此处回退处理
				setList: function setList(list, station_list, isSecond) {
					var _this4 = this;

					var time = (0, _method.format2Time)(list[0].leave_date);
					// 同一时刻，微秒数不一样
					var t = (this.train_date_time - time) / 1000 | 0;
					// 二次请求直接进入设置（这里真绕）
					if (t === 0 || isSecond) {
						this.station_list = list;
						this.interval();
					} else {
						// 此处跨天，再请求一次
						this.train_date_time += t * 1000;
						this.$nextTick(function () {
							_this4.getData(true);
						});
					}
				},

				// 获取当前在哪个站点
				getINow: function getINow() {
					var _this = this;
					if (this.station_list.length === 0) {
						clearInterval(_this.intervalTimer);
						this.iNowStation = -1;
						return;
					}

					var time = Date.now();
					var start = (0, _method.format2Time)(this.station_list[0].full_leave_date);
					var end = (0, _method.format2Time)(this.station_list[this.station_list.length - 1].full_arrived_date);

					this.target.place = this.station_list[this.station_list.length - 1].station_name;
					if (time < start) {
						// 暂未出发
						!isAddPoint && (0, _nativeA.callN)("dot", { "dotId": "route.1001" });
						isAddPoint = true;

						this.target.nextPlace = this.station_list[0].station_name;
						this.target.remTime = Math.ceil((start - time) / 1000 / 60);
						this.target.nextTime = Math.ceil((start - time) / 1000 / 60);
						this.iNowStation = -1;
					} else if (time > end) {
						// 已经到达
						!isAddPoint && (0, _nativeA.callN)('dot', { "dotId": "route.1003" });
						isAddPoint = true;

						clearInterval(_this.intervalTimer);
						this.iNowStation = this.station_list.length - 1;
						this.target.remTime = 0;
						this.target.nextTime = 0;
					} else {
						!isAddPoint && (0, _nativeA.callN)('dot', { "dotId": "route.1002" });
						isAddPoint = true;

						for (var i = 1; i < this.station_list.length; i++) {
							var t = (0, _method.format2Time)(this.station_list[i].full_arrived_date);
							if (time < t) {
								this.target.nextPlace = this.station_list[i].station_name;
								this.target.remTime = Math.ceil(((0, _method.format2Time)(this.station_list[this.station_list.length - 1].full_arrived_date) - time) / 1000 / 60);
								this.target.nextTime = Math.ceil((t - time) / 1000 / 60);
								this.iNowStation = i - 1;
								return;
							}
						}
						// 到达最后一个站点
						this.target.remTime = 0;
						this.target.nextTime = 0;
						this.iNowStation = this.station_list.length - 1;
					}
				},

				// 移动到下一站
				moveNextPlace: function moveNextPlace() {
					var poi = this.station_list[this.iNowStation + 1].station_poi.split(',');
					if (poi[0] === "0" || poi[1] === "0") {
						return;
					}
					var point = new BMap.Point(poi[1], poi[0]);
					map.panTo(point);
				},

				// 移动到终点
				moveToPlace: function moveToPlace() {
					var poi = this.station_list[this.station_list.length - 1].station_poi.split(',');
					if (poi[0] === "0" || poi[1] === "0") {
						return;
					}
					var point = new BMap.Point(poi[1], poi[0]);
					map.panTo(point);
				},

				// 打点画线
				addLineMark: function addLineMark() {
					map.clearOverlays(); // 清除覆盖物

					var polylineBlue = []; // 已走过的线
					var polylineGrey = []; // 未走过的线

					// iNowStation = -1; 火车还没出发
					// iNowStation = station_list.length-1; 火车已到站
					// 已上车

					var s_list, poi, address, icon, marker, point_train;
					for (var i = 0; i < this.station_list.length; i++) {
						s_list = this.station_list[i].station_poi;
						if (!s_list) {
							continue;
						}
						poi = s_list.split(',');
						if (poi[0] === "0" || poi[1] === "0") {
							continue;
						}
						address = new BMap.Point(poi[1], poi[0]);

						// 每个站点
						if (i <= this.iNowStation) {
							polylineBlue.push(address);
							icon = new BMap.Icon("../../assets/images/tmp/dian_p.png", new BMap.Size(12, 12), { anchor: new BMap.Size(6, 6), imageSize: new BMap.Size(12, 12) });
						} else {
							polylineGrey.push(address);
							icon = new BMap.Icon("../../assets/images/tmp/dian_b.png", new BMap.Size(12, 12), { anchor: new BMap.Size(6, 6), imageSize: new BMap.Size(12, 12) });
						}
						marker = new BMap.Marker(address, { icon: icon });
						map.addOverlay(marker);

						// 起点终点
						if (i === 0) {
							icon = new BMap.Icon("../../assets/images/tmp/dian_s.png", new BMap.Size(19, 27), { anchor: new BMap.Size(10, 27), imageSize: new BMap.Size(19, 27) });
							marker = new BMap.Marker(address, { icon: icon });
							marker.setTop(true);
							map.addOverlay(marker);
						} else if (i === this.station_list.length - 1) {
							icon = new BMap.Icon("../../assets/images/tmp/dian_e.png", new BMap.Size(19, 27), { anchor: new BMap.Size(10, 27), imageSize: new BMap.Size(19, 27) });
							marker = new BMap.Marker(address, { icon: icon });
							marker.setTop(true);
							map.addOverlay(marker);
						}

						// 火车头 闪烁点
						if (i === this.iNowStation) {
							// 非终点需要灰色的起点线
							if (i !== this.station_list.length - 1) {
								// 此处画火车出现在该路上的百分比
								var poi2 = this.station_list[i + 1].station_poi.split(',');

								if (poi2[0] !== "0" && poi2[1] !== "0") {
									var address2 = new BMap.Point(poi2[1], poi2[0]);
									var start = PROJECTION.lngLatToPoint(address);
									var end = PROJECTION.lngLatToPoint(address2);
									var time = Date.now();
									var startTime = (0, _method.format2Time)(this.station_list[i].full_leave_date);
									var endTime = (0, _method.format2Time)(this.station_list[i + 1].full_arrived_date);
									var dis = (time - startTime) / (endTime - startTime);
									if (!dis) {
										dis = 0;
									} // 此处容错
									var curX = (start.x + (end.x - start.x) * dis).toFixed(2);
									var curY = (start.y + (end.y - start.y) * dis).toFixed(2);
									var pixel = new BMap.Pixel(curX, curY);
									// 替换上面的address
									address = PROJECTION.pointToLngLat(pixel);
								}
								// 蓝色线的终点、灰色线的起点
								polylineBlue.push(address);
								polylineGrey.push(address);

								// 以火车头为地图中点
								point_train = new BMap.Point(poi[1], poi[0]);
							}

							icon = new BMap.Icon("../../assets/images/tmp/dian_c.png", new BMap.Size(26, 29), { anchor: new BMap.Size(13, 15), imageSize: new BMap.Size(26, 29) });
							marker = new BMap.Marker(address, { icon: icon });
							marker.setTop(true);
							map.addOverlay(marker);
						} else if (i !== 0 && i === this.iNowStation + 1) {
							icon = new BMap.Icon("../../assets/images/tmp/dian_a.gif", new BMap.Size(12, 12), { anchor: new BMap.Size(6, 6), imageSize: new BMap.Size(12, 12) });
							marker = new BMap.Marker(address, { icon: icon });
							marker.setTop(true);
							map.addOverlay(marker);
						}
					}

					// 还没出发
					if (this.iNowStation === -1) {
						poi = this.station_list[0].station_poi.split(',');
						address = new BMap.Point(poi[1], poi[0]);
						icon = new BMap.Icon("../../assets/images/tmp/dian_c.png", new BMap.Size(26, 29), { anchor: new BMap.Size(13, 15), imageSize: new BMap.Size(26, 29) });
						marker = new BMap.Marker(address, { icon: icon });
						marker.setTop(true);
						map.addOverlay(marker);
					}

					// 线 此处不做空数组处理
					var polylineB = new BMap.Polyline(polylineBlue, { strokeColor: "#13C083", strokeWeight: 5, strokeOpacity: 1 });
					var polylineG = new BMap.Polyline(polylineGrey, { strokeColor: "#CAEAD7", strokeWeight: 5, strokeOpacity: 1 });
					map.addOverlay(polylineB);
					map.addOverlay(polylineG);

					_setCenter();
					// 二次设置中心解决dom渲染图标不一致问题
					window.setTimeout(_setCenter, 0);

					function _setCenter() {
						if (point_train) {
							map.centerAndZoom(point_train, 7);
						} else {
							map.setViewport(polylineBlue.concat(polylineGrey));
						}
					}
				},


				/*  
	    *	params json Object
	    *	params json.aPoint 坐标点集合组多10个
	    *	params json.success 成功
	    *	params json.error 失败
	    *	params json.type 默认1,1原始坐标，3google坐标
	    *	原始坐标->百度坐标 
	    */
				convertorLatLng: function convertorLatLng(_ref) {
					var _ref$type = _ref.type,
					    type = _ref$type === undefined ? 1 : _ref$type,
					    aPoint = _ref.aPoint,
					    success = _ref.success,
					    error = _ref.error;

					CONVERTOR.translate(aPoint, type, 5, function (data) {
						if (data.status === 0) {
							success && success(data.points);
						} else {
							error && error(data.message);
						}
					});
				},

				// 向客户端请求定位信息 
				nativePos: function nativePos() {
					this.position = '获取中...';
					(0, _nativeA.callN)("getLocation", { type: 0 });
				},
				getPosition: function getPosition(json) {
					var _this = this;

					if (json.status == 1) {
						// 因为客户端获取的坐标是百度的，故不用转换坐标
						_fnS([new BMap.Point(json.lng, json.lat)]);
					} else {
						// 设备定位
						_devPos();
					}

					function _devPos() {
						// 设备定位
						_this.$http.get(POSITIONURL, { "timeout": 10000, "onTimeout": function onTimeout() {
								_fnE('设备定位超时');
							} }).then(function (message) {
							var data = message.body;
							if (data && typeof data === "string") {
								try {
									data = JSON.parse(data);
								} catch (e) {}
							}
							// 经纬度可能带有厂商前缀或后缀
							var reNum = /\d+\.?\d+/;
							var t1 = reNum.exec(data.latitude);
							var t2 = reNum.exec(data.longitude);
							var lat = t1 ? t1[0] : 0;
							var lng = t2 ? t2[0] : 0;
							if (lat && lng) {
								_success(lat, lng);
							} else {
								_fnE('设备定位失败');
							}
						}, function () {
							_fnE('设备定位服务器错误');
						});
					}

					// 定位成功转换坐标
					function _success(lat, lng) {
						var ggPoint = new BMap.Point(lng, lat);
						_this.convertorLatLng({
							aPoint: [ggPoint],
							success: _fnS,
							error: _fnE
						});
					}

					// 成功应该做的事
					function _fnS(points) {
						MYGEO.getLocation(points[0], function (rs) {
							var addComp = rs.addressComponents;
							var s = addComp.city + addComp.district + addComp.street;
							if (addComp.province !== addComp.city) {
								s = addComp.province + s;
							}
							_this.position = s;
						});
					}
					// 失败
					function _fnE(msg, type) {
						msg && console.log(msg);
						_this.position = '定位失败，点击重试';
					}
				},
				showTimeTable: function showTimeTable() {
					if (!isNoData) {
						(0, _nativeA.callN)("openTimetable");
					}
				}
			},
			components: {
				errorMsg: _errorMsg2.default
			}
		});

		// 客户端调用h5方法，之所以传tag是为了以后控件跨页面应用

		window.nativeCallback = function (tag, param) {
			if (tag === 'getStationInfo') {
				var _ref2 = [myvue.$data.iNowStation, '', '', myvue.$data.target.remTime, Date.now(), 0],
				    now = _ref2[0],
				    cur = _ref2[1],
				    next = _ref2[2],
				    remTime = _ref2[3],
				    curTime = _ref2[4],
				    percentage = _ref2[5];

				if (now !== -1) {
					cur = myvue.$data.station_list[now].station_name;
				}
				if (now !== myvue.$data.station_list.length - 1) {
					next = myvue.$data.station_list[now + 1].station_name || ''; // 防station_list不存在 undefined处理
				}
				if (now > -1 && now < myvue.$data.station_list.length - 1) {
					percentage = (curTime - (0, _method.format2Time)(myvue.$data.station_list[0].full_leave_date)) / 1000 / 60 / myvue.$data.cost * 100 | 0;
				} else if (now === myvue.$data.station_list.length - 1) {
					percentage = 100;
				}
				var d = {
					"curStation": cur,
					"nextStation": next,
					"remTime": (0, _method.timer2dayhoursMinutes)(remTime),
					"curTime": curTime,
					"percentage": percentage
				};
				if (_method.isAndroid) {
					(0, _nativeA.callN)(tag, d);
				} else {
					return d;
				}
			} else if (tag === 'getLocation') {
				if (_method.isAndroid || typeof param === 'string') {
					param = param ? JSON.parse(param) : {};
				}
				myvue.getPosition(param);
			} else {
				alert('参数值不正确，当前参数为' + tag);
			}
		};
	}, false);

/***/ },

/***/ 55:
/***/ function(module, exports) {

	// removed by extract-text-webpack-plugin

/***/ }

});