webpackJsonp([6],{

/***/ 0:
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(1);
	__webpack_require__(6);
	module.exports = __webpack_require__(75);


/***/ },

/***/ 75:
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _vue = __webpack_require__(10);

	var _vue2 = _interopRequireDefault(_vue);

	var _vueResource = __webpack_require__(12);

	var _vueResource2 = _interopRequireDefault(_vueResource);

	var _nativeA = __webpack_require__(13);

	var _loading = __webpack_require__(16);

	var _loading2 = _interopRequireDefault(_loading);

	var _vueFilter = __webpack_require__(22);

	var _vueFilter2 = _interopRequireDefault(_vueFilter);

	var _method = __webpack_require__(14);

	var _errorMsg = __webpack_require__(27);

	var _errorMsg2 = _interopRequireDefault(_errorMsg);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	__webpack_require__(76);

	var querystring = __webpack_require__(38);

	_vue2.default.use(_vueResource2.default);
	_vue2.default.use(_vueFilter2.default);

	window.addEventListener('DOMContentLoaded', function () {
		var ORDERSDETAILINFO = (0, _nativeA.useClientFunction)('getOrdersDetailInfo');
		new _vue2.default({
			el: "#main",
			data: {
				isWaiting: true, // ajax 请求等待控制器
				isError: false, // ajax 请求失败控制器
				error_msg: '', // 请求成功无数据的错误信息
				orderId: ORDERSDETAILINFO.orderId - 0, // 订单号
				cost: '', // 行程时间
				canRefund: false, // 能否退票
				items: {
					trainDate: '', // 出发日期
					trainNum: '', // 车次
					fromStationName: '', // 起点
					startTime: '', // 出发时间
					start_full_time: '', // 出发时间
					toStationName: '', // 终点
					arriveTime: '', // 到达时间
					arrive_full_time: '', // 到达时间
					order_status: '', // 订单状态
					passengers: [] // 乘客信息
				}
			},
			mounted: function mounted() {
				this.getData();
			},

			methods: {
				getData: function getData() {
					var _this = this;

					this.isWaiting = true;
					this.error_msg = '';
					var url = ORDERSDETAILINFO.TRAIN_REQUEST_BASE_URL.trim() + '/api/web/v1/order/getallorderinfo?' + querystring.stringify({
						param: JSON.stringify({
							"userID": ORDERSDETAILINFO.userID,
							"token": ORDERSDETAILINFO.token,
							"orderId": ORDERSDETAILINFO.orderId - 0,
							"platform": ORDERSDETAILINFO.platform
						})
					});

					this.$http.jsonp(url).then(function (message) {
						_this.isWaiting = false;
						_this.isError = false;
						var code = message.body.error_code;

						if (code === 0) {
							var items;
							var order_info = message.body.data.order_info;
							// 从所有的订单中找到自己需要的
							for (var i = 0; i < order_info.length; i++) {
								if (order_info[i].orderId === _this.orderId) {
									items = order_info[i];
									items.start_full_time = (0, _method.format2Time)(items.start_full_time);
									items.arrive_full_time = '';
									_this.items = items;
									_this.countRefund(items.start_full_time);
									_this.getLiShi(items);
									break;
								}
							}
						} else {
							_this.error_msg = message.body.error_msg;
						}
					}, function () {
						_this.isWaiting = false;
						_this.isError = true;
					});
				},
				getLiShi: function getLiShi(items) {
					var _this2 = this;

					var station_train_date = (0, _method.time2yearmonthdate)((0, _method.format2Time)(items.trainDate));
					var url = ORDERSDETAILINFO.TRAIN_REQUEST_BASE_URL.trim() + '/api/web/v1/train/getstationinfobyjuhe?' + querystring.stringify({
						param: JSON.stringify({
							"userID": ORDERSDETAILINFO.userID,
							"token": ORDERSDETAILINFO.token,
							"bind_user": ORDERSDETAILINFO.bind_user,
							"station_train_date": station_train_date,
							"station_train_code": items.trainNum,
							"platform": ORDERSDETAILINFO.platform
						})
					});

					this.$http.jsonp(url).then(function (message) {
						_this2.isWaiting = false;
						_this2.isError = false;
						var code = message.body.error_code;
						if (code === 0) {
							var station_list = message.body.data.station_list;
							var start, end;
							for (var i = 0; i < station_list.length; i++) {
								// 车票的起点
								if (station_list[i].station_name === _this2.items.fromStationName) {
									start = station_list[i].full_leave_date;
								} else if (station_list[i].station_name === _this2.items.toStationName) {
									end = station_list[i].full_arrived_date;
									break;
								}
							}
							_this2.items.arrive_full_time = (0, _method.format2Time)(end);
							_this2.cost = Math.ceil(((0, _method.format2Time)(end) - (0, _method.format2Time)(start)) / 1000 / 60);
						} else {
							// this.error_msg = message.body.error_msg;
						}
					}, function () {
						_this2.isWaiting = false;
						_this2.isError = true;
					});
				},
				refund: function refund(items) {
					(0, _nativeA.callNative)(99, 'order.1008');
					(0, _nativeA.useClientFunction)('tipForReturnTicket', (0, _method.clone)(items));
				},
				countRefund: function countRefund(start_full_time) {
					var t = start_full_time - Date.now();
					// 距离发车时间大于两小时可以退票
					if (t > 1000 * 60 * 60 * 2) {
						this.canRefund = true;
					} else {
						this.canRefund = false;
					}
				}
			},
			components: {
				loading: _loading2.default,
				errorMsg: _errorMsg2.default
			}
		});
	}, false);

/***/ },

/***/ 76:
/***/ function(module, exports) {

	// removed by extract-text-webpack-plugin

/***/ }

});