//获取版本号
var version = '';
$.ajax({
	type: "get",
	url: "ver?t=" + Date.parse(new Date()),
	async: true,
	success: function(data) {
		version = '&version=' + JSON.parse(data).ver;
		document.cookie = 'version=' + version;
	},
	error: function() {
		version = '&version=';
		document.cookie = 'version=' + version;
	}
});
//判断是浏览器还是app
var IsApp = false;
var appHitLog = '';
var ua = navigator.userAgent;
//var ua = 'AndroidApp/wangfan';
if(ua.indexOf('App/') > 0) {
	IsApp = true;
}
if(ua.indexOf('AndroidApp/wangfan') >= 0) {
	appHitLog = '&app=Android';
}
if(ua.indexOf('iOSApp/wangfan') >= 0) {
	appHitLog = '&app=Ios';
}
//检验browserID是否存在
if(getCookie('browserID')) {
	//存在
} else {
	//不存在
	document.cookie = 'browserID=' + randomNum(32);
}
//页面时长打点
var pageTime = null;

function pageTimeLog(userId, oldHit, oldVersion) {
	console.log(oldHit);
	//定义browserID
	var browserID = getCookie('browserID');
	//判断Cookie是否可用
	if(browserID) {
		//可用
	} else {
		//不可用重新赋值UA信息
		browserID = navigator.userAgent;
	}
	//加载页面调用一次接口
	$.get('http://www.wangfanwifi.com:16621/api/pageTime?uid=' + userId + '&hitID=' + getCookie('hit') + version + '&browserID=' + browserID + appHitLog);
	//清除计时器
	clearInterval(pageTime);
	//计时器1s
	pageTime = setInterval(function() {
		$.get('http://www.wangfanwifi.com:16621/api/pageTime?uid=' + userId + '&hitID=' + getCookie('hit') + version + '&browserID=' + browserID + appHitLog);
	}, 1000);
};
//获取cookie
function getCookie(name) {
	var arr, reg = new RegExp("(^| )" + name + "=([^;]*)(;|$)");
	if(arr = document.cookie.match(reg)) {
		return unescape(arr[2]);
	} else {
		return null;
	}
};
//生成随机数
function randomNum(a) {
	var d,
		e,
		b = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",
		c = "";
	for(d = 0; a > d; d += 1)
		e = Math.random() * b.length, e = Math.floor(e), c += b.charAt(e);
	return c
};
// 获取mac地址
var mac = '';
$.ajax({
	type: 'get',
	url: 'http://www.wangfanwifi.com:16621/api/getMac',
	success: function(data) {
		if(JSON.parse(data).mac) {
			mac = JSON.parse(data).mac;
			console.log(mac);
		} else {
			$.ajax({
				type: "get",
				url: 'http://obs.amol.com.cn:4000/user/mac/',
				async: true,
				success: function(r) {
					if(r.mac) {
						mac = r.mac;
						console.log(mac);
					}
				}
			});
		}
	},
	error: function() {
		$.ajax({
			type: "get",
			url: 'http://obs.amol.com.cn:4000/user/mac/',
			async: true,
			success: function(r) {
				if(r.mac) {
					mac = r.mac;
					console.log(mac);
				}
			}
		});
	}
});
//设备类型
var groupId = '2';
//判断终端
var browser={
	versions:function(){
		var ua = navigator.userAgent;
		return {//移动终端浏览器版本信息
			mobile: !!ua.match(/AppleWebKit.*Mobile.*/), //是否为移动终端
			ios: !!ua.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
			android: ua.indexOf('Android') > -1 || ua.indexOf('Linux') > -1, //android终端或uc浏览器
			androidApp: ua.indexOf('AndroidApp/wangfan') > -1,
			iosApp: ua.indexOf('AndroidApp/wangfan') > -1
		};
	}()
};
if (browser.versions.android && browser.versions.mobile) {
	// Cookie.set('platform', 'android');
	document.cookie = 'platform=android';
} else if (browser.versions.ios && browser.versions.mobile) {
	// Cookie.set('platform', 'ios');
	document.cookie = 'platform=ios';
} else if (browser.versions.androidApp) {
	// Cookie.set('platform', 'androidApp');
	document.cookie = 'platform=androidApp';
} else if (browser.versions.iosApp) {
	// Cookie.set('platform', 'iosApp');
	document.cookie = 'platform=iosApp';	
} else {
	// Cookie.set('platform', 'unkonw');
	document.cookie = 'platform=unkonw';
}
