//页面加载
Comm.recordDataPv('app');
getBanner();
getApps();
//读取bannner数据
 function getBanner(){
   	var bannerUrl = './data/banner/appbanner_apps?t=' + Date.parse(new Date());
   	$.ajax({
   		type:"get",
   		url:bannerUrl,
   		async:true,
   		dataType:'json',
   		success:function(data){
   			var newBanner = [];
   			var length = data.apps.one.length;
   			var bannerList ='';
   			var now = new Date().getTime();
   			for(var i = 0; i < length; i++){
   				var onlineTime = data.apps.one[i].onlineTime;
				var offlineTime = data.apps.one[i].offlineTime;
				if(now > onlineTime && now < offlineTime) {
					newBanner.push(data.apps.one[i]);
				}
   			}
   			var newLength = newBanner.length;
   			for(var i=0;i<newLength;i++){
   				bannerList +='<div class="swiper-slide" data-url="'+ newBanner[i].externalUrl +'" data-id="'+newBanner[i].id+'"><img src="images/14_03.jpg" data-src="' + newBanner[i].picture + '" class="lazyload" width="100%"></div>';
   			}
   			$('.swiper-wrapper').append(bannerList);
   			if(length == 0){
   				$('.app-app-list-banner').hide();
   			}else if(length == 1){
   				var swiper = new Swiper('.swiper-container', {});
   			}else{
   				var swiper = new Swiper('.swiper-container', {
							pagination: '.swiper-pagination',
							loop : true,
							autoplay : 4000,
							paginationClickable: true,
							onSlideChangeEnd : function(swiper){
								//切换banner打点
								var _id = $(".app-app-list-banner .swiper-slide-active").data("id");
								Comm.recordDataClick("app.adbanner.load."+_id,"app.adbanner.load",_id,5);
								swiper.startAutoplay();
							}
			 });
   			}
			$('.swiper-slide').click(function(){
				var id = $(this).attr('data-id');
			 	Comm.recordDataClick('app.adbanner.' + id,"app.adbanner",id);
			 	window.location.href = $(this).attr('data-url');
			});
   		},
   		error:function(){
   			var bannerUrlOld1 = './data/banner/banner?t=' + Date.parse(new Date());
   			$.ajax({
   				type:"get",
   				url:bannerUrlOld1,
   				async:true,
   				dataType:'json',
   				success:function(data){
   					var newBanner = [];
		   			var length = data.apps.one.length;
		   			var bannerList ='';
		   			var now = new Date().getTime();
		   			for(var i = 0; i < length; i++){
		   				var onlineTime = data.apps.one[i].onlineTime;
						var offlineTime = data.apps.one[i].offlineTime;
						if(now > onlineTime && now < offlineTime) {
							newBanner.push(data.apps.one[i]);
						}
		   			}
		   			var newLength = newBanner.length;
		   			for(var i=0;i<newLength;i++){
		   				bannerList +='<div class="swiper-slide" data-url="'+ newBanner[i].externalUrl +'" data-id="'+newBanner[i].id+'"><img src="images/14_03.jpg" data-src="' + newBanner[i].picture + '" class="lazyload" width="100%"></div>';
		   			}
		   			$('.swiper-wrapper').append(bannerList);
		   			if(length == 0){
		   				$('.app-app-list-banner').hide();
		   			}else if(length == 1){
		   				var swiper = new Swiper('.swiper-container', {});
		   			}else{
		   				var swiper = new Swiper('.swiper-container', {
								pagination: '.swiper-pagination',
								loop : true,
								autoplay : 4000,
								paginationClickable: true,
								onSlideChangeEnd : function(swiper){
									//切换banner打点
									var _id = $(".app-app-list-banner .swiper-slide-active").data("id");
									Comm.recordDataClick("app.adbanner.load."+_id,"app.adbanner.load",_id,5);
									swiper.startAutoplay();
								}
					 });
		   			}
					$('.swiper-slide').click(function(){
						var id = $(this).attr('data-id');
					 	Comm.recordDataClick('app.adbanner.' + id,"app.adbanner",id);
					 	window.location.href = $(this).attr('data-url');
					});
   				}
   			});
   		}
   	});
 };
 //获取应用列表数据
 function getApps(){
   	var bannerUrl = './data/newapps/list/1201/1?t=' + Date.parse(new Date());
   	$.ajax({
   		type:"get",
   		url:bannerUrl,
   		async:true,
   		dataType:'json',
   		success:function(data){
   			var appsList = '';
   			var appsId = [];
   			for(var i = 0;i<data.length;i++){
   				appsId[i] = data[i].id;
				appsList += '<div class="app-app-item" >' +
					'<p class="app-app-item-pic item" data-url="' + data[i].fullUrl + '" data-id="'+data[i].id+'">' +
						'<img  src="'+ data[i].logo +'" alt="" />' +
					'</p>' +
					'<div class="app-app-item-tips item" data-url="' + data[i].fullUrl + '" data-id="'+data[i].id+'">' +
						'<p class="app-app-item-name">'+ data[i].name +'</p>' +
						'<p class="app-app-item-dec">'+data[i].category +'</p>' +
					'</div>' +
					'<div class="app-app-item-install">' +
						'<p class="app-app-item-balance"></p>' +
						'<p class="app-app-item-btn" data-file="'+data[i].file+'" data-id="'+data[i].id+'" data-name="'+data[i].name+'">安装</p>' +
					'</div>' +
				'</div>';
   			}
   			//获取任务id和积分值
   			appsId = appsId.join(",");
   			var AppTaskIdUrl = Comm.uc + '/score/gamelist?ids=' + appsId + '&t=' + Date.parse(new Date());
			$.ajax({
				type:"get",
				url:AppTaskIdUrl,
				async:true,
				dataType:'json',
				success:function(data){
					var newAppList = appsId.split(',');
					for(var i=0;i<data.result.length;i++){
						for(var j=0; j<newAppList.length;j++){
							if(data.result[i].prodId == newAppList[j]){
								$('.app-app-item-btn').eq(j).attr('data-taskId',data.result[i].id);
								$('.app-app-item-btn').eq(j).attr('data-balance',data.result[i].balance);
								if(data.result[i].balance != 0){
									$('.app-app-item-balance').eq(j).html('送' + data.result[i].balance + '积分');
								}
							}
						}
					}
				},
				error:function(){
					
				}
			});
   			$('.app-app-list').append(appsList);
   			//跳转
   			var item = $('.item');
   			goAppDetail(item);
   			//点击安装
   			var installItem = $('.app-app-item-btn');
   			installApk(installItem);
   		},
   		error:function(){
   			var bannerUrlOld = './data/apps/list/1201/1?t=' + Date.parse(new Date());
   			$.ajax({
   				type:"get",
   				url:bannerUrlOld,
   				async:true,
   				dataType:'json',
   				success:function(data){
   					console.log(data);
   					var appsList = '';
		   			for(var i = 0;i<data.length;i++){
		   				var fullUrl = '';
		   				if(data[i].fullUrl){
		   					fullUrl = data[i].fullUrl
		   				}else{
		   					fullUrl = 'index.html#/app/app-detail/' + getDate(data[i].createTime) + '/' + data[i].id;
		   				}
						appsList += '<div class="app-app-item" >' +
							'<p class="app-app-item-pic item" data-url="' + fullUrl + '" data-id="'+data[i].id+'">' +
								'<img  src="'+ data[i].logo +'" alt="" />' +
							'</p>' +
							'<div class="app-app-item-tips item" data-url="' + fullUrl + '" data-id="'+data[i].id+'">' +
								'<p class="app-app-item-name">'+ data[i].name +'</p>' +
								'<p class="app-app-item-dec">'+data[i].category +'</p>' +
							'</div>' +
							'<div class="app-app-item-install">' +
								'<p class="app-app-item-balance"></p>' +
								'<p class="app-app-item-btn" data-file="'+data[i].file+'" data-id="'+data[i].id+'" data-name="'+data[i].name+'">安装</p>' +
							'</div>' +
						'</div>';
		   			}
		   			$('.app-app-list').append(appsList);
		   			//跳转
		   			var item = $('.item');
		   			goPortalAppDetail(item);
		   			//点击安装
		   			var installItem = $('.app-app-item-btn');
		   			installPortalApk(installItem);
   				}
   			});
   		}
   	});
 };
 //转化时间戳
function getDate(time) {
	var date = new Date(time);
	var year = date.getFullYear().toString();
	var month = (date.getMonth() + 1).toString();
	var day = date.getDate().toString();
	if(month < 10) {
		month = 0 + month;
	}
	if(day < 10) {
		day = 0 + day;
	}
	return year + month + day;
};
      
//跳转应用详情页
function goAppDetail(item){
	item.click(function(){
		var id = $(this).attr('data-id');
		var url = $(this).attr('data-url');
		Comm.recordDataClick('app.click.' + id,"app.click",id);
		window.location.href = url;
	});
};
//跳转portal应用详情页
function goPortalAppDetail(item){
	item.click(function(){
		var id = $(this).attr('data-id');
		var url = $(this).attr('data-url');
		Comm.recordDataClick('app.' + id);
		window.location.href = url;
	});
};
//点击安装按钮
function installApk(installItem){
	installItem.click(function(){
		var id = $(this).attr('data-id');
		Comm.recordDataClick('app.download.' + id,"app.download",id);
		if(Comm.getCookie('userId')){
			var balance = $(this).attr('data-balance');
			var appFile = $(this).attr('data-file');
			var taskId = $(this).attr('data-taskId');
			var name = $(this).attr('data-name');
			$('.app-download-name').html(name);
			if(balance == 0){
				zeroBanlance(appFile);
			}else{
				$('.app-download-balance').html(balance);
				doTask(taskId, appFile);
			}
		}else{
			Comm.login();
		}
	});
};
function installPortalApk(installItem){
	installItem.click(function(){
		var name = $(this).attr('data-name');
		var appFile = $(this).attr('data-file');
		$('.app-download-name').html(name);
		zeroBanlance(appFile);
	});
};
//做任务
function doTask(id, appFile){
	var doTaskUrl = Comm.uc + '/score/executetask?userId='+ Comm.getCookie('userId') +'&channel=3&taskId=' + id + '&mac=appmac&t=' + Date.parse(new Date());
	$.ajax({
		type:"get",
		url:doTaskUrl,
		async:true,
		dataType:'json',
		success:function(data){
			if(data.err == 'none'){
				$('.amui-app-download-first').show();
				setTimeout(function(){
					$('.amui-app-download-first').hide();
					window.location.href = appFile;
				},2000);
			}else{
				$('.amui-app-download').show();
				setTimeout(function(){
					$('.amui-app-download').hide();
					window.location.href = appFile;
				},2000);
			}
		},
		error:function(){
			$('.amui-app-download').show();
			setTimeout(function(){
				$('.amui-app-download').hide();
				window.location.href = appFile;
			},2000);
		}
	});
};
//0积分提示
function zeroBanlance(appFile){
	$('.amui-app-download').show();
	setTimeout(function(){
		$('.amui-app-download').hide();
		window.location.href = appFile;
	},2000);
};
var ua = navigator.userAgent;
if(ua.indexOf('App/') > 0) {
	App.finishLoad();
}

