$(function() {
	swiper();
	news();
	movie();
	novel();
	audio();
	// if(!getCookie('userId')) {
	// 	$('.amui-app-trip-add').show();
	// 	$('.amui-app-trip').hide();
	// }
	icon();
});

var one = "";
function swiper() {
	$.ajax({
		type: "GET",
		url: "data/banner/banner_app?t=" + Date.parse(new Date()),
		async: true,
		dataType: 'json',
		success: function(data) {
			one = data.home.one;
			if(one.length > 0){//判断是否有数据
				theOne(one);
			}
		},
		error: bannerPortal
	})
}

function bannerPortal() {
	$.ajax({
		type: "GET",
		url: "data/banner/banner?t=" + Date.parse(new Date()),
		async: true,
		dataType: 'json',
		success: function (data) {
			one = data.home.one;
			if(one.length > 0){
				theOne(one);
			}
		},
		error: function () {
			$('.amui-app-banner').hide();
		}
	})
}

var newBanner = [];
function theOne(one) {//处理banner
	var html = "";
	var HomeAdsArr = [];
	var date = new Date();
	var now = date.getTime();
	for(var i = 0, j = one.length; i < j; i++) {
		var onlineTime = one[i].onlineTime,
			offlineTime = one[i].offlineTime;
		if(now > onlineTime && now < offlineTime) {
			HomeAdsArr.push(one[i]);
		}
	}
	var banner = HomeAdsArr;
	for(var i = 0, j = banner.length; i < j; i++) {
		var jsonStr = {
			"title": banner[i].title,
			"picture": banner[i].picture,
			"externalUrl": banner[i].externalUrl,
			"id": banner[i].id,
			"isCheckLogin": banner[i].isCheckLogin
		};
		if(banner[i].externalUrl.indexOf('@@mac@@')>=0){
			getMac();
		}
		newBanner.push(jsonStr);
		// console.log(banner[i].externalUrl.replace(/@@mac@@/, mac))
	}

	for(var i = 0, j = newBanner.length; i < j; i++) {
		// var str = '<div class="swiper-slide amui-app-swiper-slide" _id="'+newBanner[i].id+'" _externalUrl="'+newBanner[i].externalUrl+'" _isCheckLogin="'+isCheckLogin+'" onclick="isCheckLogin(\''+newBanner[i].id+'\',\''+newBanner[i].externalUrl+'\','+i+','+newBanner[i].isCheckLogin+')" >' +
		// 	'<img src="' + newBanner[i].picture + '">' +
		// 	'</div>';
		var str = '<div class="swiper-slide amui-app-swiper-slide" _id="'+newBanner[i].id+'" _externalUrl="'+newBanner[i].externalUrl+'" _isCheckLogin="'+newBanner[i].isCheckLogin+'" _index="'+i+'">' +
			'<img src="' + newBanner[i].picture + '">' +
			'</div>';
		html += str;
	}
	$('.amui-app-swiper-wrapper').html(html);
	$('.amui-app-banner').show();

	//android swiper-slide  click 兼容性处理
	// $(".amui-app-banner").on("click",function(){
	// 	$(this).find(".swiper-slide-active").trigger("click");
	// });

	var mySwiper = new Swiper('.swiper-container', {
		loop: true,
		autoplay: 3000,
		pagination: '.swiper-pagination',
		onInit : function(){
			$(".amui-app-banner").on("click",function(){
				var _this = $(this).find(".swiper-slide-active");
				var _id = _this.attr("_id"), _externalUrl = _this.attr("_externalUrl"),
					_isCheckLogin = _this.attr("_isCheckLogin"),_index = _this.attr("_index");
				isCheckLogin(_id,_externalUrl,_index,_isCheckLogin);
			});
		}
	});

}

function icon() {
	var html = "",
		channel = "",
		url = "";
	if(getPlatform() == 'ios'){
		url = "data/index/index_app_ios?t=" + Date.parse(new Date());
	} else {
		url = "data/index/index_app_android?t=" + Date.parse(new Date());
	}
	$.ajax({
			type: "GET",
			url: url,
			dataType: 'json',
			success: function(data) {
				if(getCookie('channel')){
					var dataChannel = data['channel' + getCookie('channel')];
					if(dataChannel == '' || dataChannel == {} || dataChannel == undefined){
						channel = data.channel;
					}else{
						channel = dataChannel;
					}
				}else{
					channel = data.channel;
					console.log(channel)
				}

				if(channel.length > 0){//判断是否有数据
					for(var i = 0, j = channel.length; i < j; i++) {
						var str = "";
						if(channel[i].type == "shop" && channel[i].showtype != "force") {
							// if(getCookie('userId') && shopId != undefined){
							// 	str = '<a class="amui-app-channel-item" onclick="iconJump(\''+channel[i].icon+'\',\'iwangfan://shopping?needLogin=true&shopId='+shopId+'\','+i+')">' +
							// 		'<i>' +
							// 		'<img src="' + channel[i].icon + '"/>' +
							// 		'</i>' +
							// 		'<span>' + channel[i].name + '</span>' +
							// 		'</a>';
							// }
						}else{
							str = '<a class="amui-app-channel-item" onclick="iconJump(\''+channel[i].icon+'\',\''+channel[i].url+'\','+i+')">' +
								'<i>' +
								'<img src="' + channel[i].icon + '"/>' +
								'</i>' +
								'<span>' + channel[i].name + '</span>' +
								'</a>';
						}
						html += str;
					}
					$('.amui-app-channel').html(html);
				} else {
					iconPortal();
				}

			},
			error: iconPortal
		})
		.done(function () {
			if (getPlatform() == "ios"){
				$('.amui-app-channel-item').css("width", "25%");
			}
		})
}

function iconPortal() {
	$.ajax({
			type: "GET",
			url: "data/index/index?t=" + Date.parse(new Date()),
			dataType: 'json',
			success: function(data) {

				channel = data.channel;

				var num;
				if(getPlatform() == 'ios'){
					num = channel.length - 2;
				}else{
					num = channel.length;
				}

				for(var i = 0; i < num; i++) {
					var url = channel[i].url;
					if (url.indexOf('#') == 0){
						url = 'index.html' + url;
					}
					var str = '<a class="amui-app-channel-item" onclick="iconJump(\''+channel[i].icon+'\',\''+url+'\','+i+')" >'+
						'<i class="' + channel[i].icon + '"><span></span></i>'+
						'<span>' + channel[i].name + '</span>'+
						'</a>';
					html += str;
				}
				$('.amui-app-channel').html(html);

			}
		})
		.done(function () {
			if (getPlatform() == "ios"){
				$('.amui-app-channel-item').css("width", "25%");
			}
		})
}

function news() {
	$.ajax({
		type: "GET",
		url: "data/news/list/-1/1?t=" + Date.parse(new Date()),
		dataType: 'json',
		success: function(data) {
			if(data.length > 0){//判断是否有数据
				var html = "";
				for (var i = 0; i < 5; i ++){
					var title = data[i].title;
					var href = 'index.html#/app/article-detail/' + getDate(data[i].createTime) + '/' + data[i].id;
					var str = '<a class="amui-app-news-item" onclick="newsJump(\'' + data[i].id + '\',\'' + href + '\',' + i + ')" >' + title + '</a>';
					html += str;
				};
				$('.amui-app-news-inner').append(html);
				$('.amui-app-news-inner').append(html);
				$('.amui-app-news').show();
			}
		},
		error: function () {
			$('.amui-app-news').hide();
		}

	})
}

function movie() {
	var html = "",
		movie = "";

	$.ajax({
		type: "GET",
		url: "data/video_app/list/1?t=" + Date.parse(new Date()),
		dataType: 'json',
		success: function(data) {
			movie = data;
			if (movie.length == 0){//判断是否有数据
				moviePortal();
			} else {
				for(var i = 0; i < 3; i++) {
					var str = '<a class="amui-list-pic-item amui-list-pic-movie" >' +
						'<img class="amui-list-pic-item-pic lazyload" src="./images/14_03.jpg" data-src="' + movie[i].picture1 + '" >' +
						'<h2 class="amui-list-pic-item-title">' + movie[i].name + '</h2>' +
						'</a>';
					html += str;
				}

				$('.amui-list-movie').append(html);
				$('.amui-app-movie').show();

				$(".amui-list-pic-movie").on('click', function () {
					var index = $(this).index();
					var param = movie[index];
					var id = param.id;
					recordData('hitID=index.movie.' + id + '&posIdx=' + index);
					document.cookie='hitIdReferer=index.movie.' + id + '&posIdx=' + index;
					var fullUrl = param.fullUrl;
					if(fullUrl){
						location.assign(fullUrl);
					} else {
						location.assign('index.html#/app/movie-detail/' + getDate(param.createTime) + '/' + id);
					}
					
				});
			}
		},
		error: moviePortal
	})
}

function moviePortal() {//加载portal的movie
	var html = "";
	$.ajax({
		type: "GET",
		url: "data/video/list/1?t=" + Date.parse(new Date()),
		dataType: 'json',
		success: function (data) {
			var movie = data;
			if(movie.length > 0){//判断是否有数据
				for (var i = 0; i < 3; i++) {
					var str = '<a class="amui-list-pic-item amui-list-pic-movie" >' +
						'<img class="amui-list-pic-item-pic lazyload" src="./images/14_03.jpg" data-src="' + movie[i].picture1 + '" >' +
						'<h2 class="amui-list-pic-item-title">' + movie[i].name + '</h2>' +
						'</a>';
					html += str;
				}

				$('.amui-list-movie').append(html);
				$('.amui-app-movie').show();

				$(".amui-list-pic-movie").on('click', function () {
					var index = $(this).index();
					var param = movie[index];
					var id = param.id;
					recordData('hitID=index.movie.' + id + '&posIdx=' + index);
					document.cookie='hitIdReferer=index.movie.' + id + '&posIdx=' + index;
					var fullUrl = param.fullUrl;
					if(fullUrl){
						location.assign(fullUrl);
					} else {
						location.assign('index.html#/app/movie-detail/' + getDate(param.createTime) + '/' + id);
					}
					
				});
			}
		},
		error: function () {
			$('.amui-app-movie').hide();
		}
	})
}

function novel() {
	var html = "",
		novel = "";
	$.ajax({
		type: "GET",
		url: "data/novel/list/1?t=" + Date.parse(new Date()),
		dataType: 'json',
		success: function(data) {
			novel = data;
			if(novel.length > 0){//判断是否有数据
				for(var i = 0; i < 3; i++) {
					var href = "index.html#/app/novel-detail/" + getDate(novel[i].createTime) + "/" + novel[i].id;
					var str = '<a class="amui-list-pic-item" onclick="novelJump(\'' + novel[i].id + '\',\'' + href + '\',' + i + ')" >' +
						'<img class="amui-list-pic-item-pic lazyload" src="./images/14_03.jpg" data-src="' + novel[i].picture1 + '">' +
						'<h2 class="amui-list-pic-item-title">' + novel[i].name + '</h2>' +
						'</a>';
					html += str;
				}

				$('.amui-list-novel').append(html);
				$('.amui-app-novel').show();
			}
		},
		error: function () {
			$('.amui-app-novel').hide();
		}
	})
}

function audio() {
	var html = "",
		audio = "";
	$.ajax({
		type: "GET",
		url: "data/audio/list/1?t=" + Date.parse(new Date()),
		dataType: 'json',
		success: function(data) {
			audio = data;
			if(audio.length > 0){//判断是否有数据
				for(var i = 0; i < 3; i++) {
					var href = "audio-detail.html?date=" + getDate(audio[i].createTime) + "&id=" + audio[i].id;
					var str = '<a class="amui-list-pic-item" onclick="audioJump(\'' + audio[i].id + '\',\'' + href + '\',' + i + ')">' +
						'<img class="amui-list-pic-item-pic lazyload" src="./images/14_03.jpg" data-src="' + audio[i].picture1 + '" >' +
						'<h2 class="amui-list-pic-item-title">' + audio[i].name + '</h2>' +
						'</a>';
					html += str;
				}
				$('.amui-list-audio').append(html);
				$('.amui-app-audio').show();
			}
		},
		error: function () {
			$('.amui-app-audio').hide();
		}
	})
}

function getDate(time) {
	var date = new Date(Number(time));
	var year = date.getFullYear().toString();
	var month = (date.getMonth() + 1).toString();
	var day = date.getDate().toString();
	if(month < 10) {
		month = 0 + month;
	}
	if(day < 10) {
		day = 0 + day;
	}
	return year + month + day;
};

function getCookie(name) {
	var arr, reg = new RegExp("(^| )" + name + "=([^;]*)(;|$)");
	if(arr = document.cookie.match(reg)) {
		return unescape(arr[2]);
	} else {
		return null;
	}
};

function getPlatform() {
	var u = navigator.userAgent;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1;
	var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);
	if(isAndroid){
		return "android";
	} else if(isiOS){
		return "ios";
	}
}

$("#newMore").click(function() {
	recordData('hitID=index.headlines');
	document.cookie='hitIdReferer=index.headlines';
	location.assign('index.html#/app/article');
	
});
$('#movieMore').click(function() {
	
	recordData('hitID=block.movie');
	document.cookie='hitIdReferer=block.movie';
	location.assign('index.html#/app/movie');
	
});
$("#novelMore").click(function() {
	
	recordData('hitID=block.novel');
	document.cookie='hitIdReferer=block.novel';
	location.assign('index.html#/app/novel');
	
});
$("#audioMore").click(function() {
	
	recordData('hitID=block.audio');
	document.cookie='hitIdReferer=block.audio';
	location.assign('index.html#/app/audio');
	
});
function iconJump(icon,url,index){
	console.log(icon);
	
	if(icon == 'images/appimgs/icon/movie.png' || icon == 'amui-icon-movie'){
		recordData('hitID=index.icon.movie');
		document.cookie='hitIdReferer=index.icon.movie';
	}
	if(icon == 'images/appimgs/icon/novel.png' || icon == 'amui-icon-novel'){
		recordData('hitID=index.icon.novel');
		document.cookie='hitIdReferer=index.icon.novel';
	}
	if(icon == 'images/appimgs/icon/news.png' || icon == 'amui-icon-news'){
		recordData('hitID=index.icon.news');
		document.cookie='hitIdReferer=index.icon.news';
	}
	if(icon == 'images/appimgs/icon/audio.png' || icon == 'amui-icon-audio'){
		recordData('hitID=index.icon.audio');
		document.cookie='hitIdReferer=index.icon.audio';
	}
	if(icon == 'images/appimgs/icon/game.png' || icon == 'amui-icon-game'){
		recordData('hitID=index.icon.game');
		document.cookie='hitIdReferer=index.icon.game';
	}
	if(icon == 'images/appimgs/icon/app.png' || icon == 'amui-icon-app'){
		recordData('hitID=index.icon.app');
		document.cookie='hitIdReferer=index.icon.app';
	}
	if(icon == 'images/appimgs/icon/ticket.png'){
		recordData('hitID=index.icon.buyticket');
	}
	if(icon == 'images/appimgs/icon/taxi.png'){
		recordData('hitID=index.icon.usecar');
	}
	if(icon == 'images/appimgs/icon/shop.png'){
		recordData('hitID=index.icon.shopping');
	}
	location.assign(url);
	
};
function newsJump(id,url,index){
	
	recordData('hitID=index.news.' + id + '&posIdx=' + (index + 1));
	document.cookie='hitIdReferer=index.news.' + id + '&posIdx=' + (index + 1);
	location.assign(url);
	
};
function novelJump(id,url,index){
	
	recordData('hitID=index.novel.' + id + '&posIdx=' + (index + 1));
	document.cookie='hitIdReferer=index.novel.' + id + '&posIdx=' + (index + 1);
	location.assign(url);
	
};
function audioJump(id,url,index){
	
	recordData('hitID=index.audio.' + id + '&posIdx=' + (index + 1));
	document.cookie='hitIdReferer=index.audio.' + id + '&posIdx=' + (index + 1);
	location.assign(url);
	
};
function tripAdd(){
	recordData('hitID=index.addtrip');
	window.location.href='iwangfan://trip?action=add';
	
	
};
function tripJump() {
	recordData('hitID=addtrip.mytrip');
	location.assign('iwangfan://trip');
	
	
};
var shopId;
// function updateRoute (host) {
// 	if(getCookie('userId')) {//有userd
// 		var userID = getCookie('userId');
// 		var token = getCookie('token');
// 		var platform = navigator.platform.toUpperCase();
// 		var url = host + '/api/web/v1/user/showxingcheng?param={"userID":"' + userID +'","token":"'+token+'",';
// 		var bindUser = getCookie('bindUser');//是否绑定12306
// 		if(bindUser){
// 			url += '"bind_user":"'+bindUser+'",';
// 		}
// 			url += '"platform":"'+platform+'"}';
//
// 		$.ajax({
// 			type:"JSONP",
// 			jsonp:"callback",
// 			dataType:'jsonp',
// 			url:url,
// 			success:function (data) {
// 				var tripData = data.data;
// 				if(tripData == ""){//没有行程信息
// 					$('.amui-app-trip-add').show();
// 					$('.amui-app-trip').hide();
// 					shopId = undefined;
// 					// icon();
// 				} else {//有行程信息
// 					$('.amui-app-trip').show();
// 					$('.amui-app-trip-add').hide();
// 					$('.amui-app-trip-top-train').text(tripData.station_train_code);
// 					if(tripData.from_station_name.length > 5){
// 						$('.amui-app-trip-content-from').text(tripData.from_station_name.substring(0,5)+"...");
// 					}else{
// 						$('.amui-app-trip-content-from').text(tripData.from_station_name);
// 					}
// 					if(tripData.to_station_name.length > 5){
// 						$('.amui-app-trip-content-to').text(tripData.to_station_name.substring(0,5)+"...");
// 					}else{
// 						$('.amui-app-trip-content-to').text(tripData.to_station_name);
// 					}
// 					$('.amui-app-start-time').text(tripData.start_time_page);
// 					$('.amui-app-arrive-time').text(tripData.arrive_time_page);
// 					var reg = new RegExp("-", "g");
// 					var startDate = tripData.start_train_date_page.substr(0, 10).replace(reg, "/") + " 出发";
// 					$('.amui-app-trip-top-data').text(startDate);
// 					shopId = tripData.shop_ids[0];
// 					// icon();
// 				}
// 			},
// 			error: function () {
// 				$('.amui-app-trip-add').show();
// 				$('.amui-app-trip').hide();
// 				// icon();
// 			}
//
// 		})
// 	} else {//没有userid
// 		$('.amui-app-trip-add').show();
// 		$('.amui-app-trip').hide();
// 		// icon();
// 	}
// };

function isCheckLogin(id, urlTo, index, isCheckLogin){
	
	var url = urlTo.replace(/@@mac@@/, mac);
	if(isCheckLogin == 0){
		location.assign(url);
	}else{
		if(getCookie('userId')){
			location.assign(url);
		}else{
			window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
		}
	}
	recordData('hitID=home.adbanner.' + id + '&posIdx=' + (index+1));
	event.preventDefault();
	event.stopPropagation();
};


var mac = '';
function getMac() {
	console.log('getMac = true');
	// 获取mac地址
	$.ajax({
			type: 'get',
			url: 'http://www.wangfanwifi.com:16621/api/getMac',
			timeout:'10000',
			success: function(data) {
				if (JSON.parse(data).mac) {
					mac = JSON.parse(data).mac;
					console.log(mac);
				}
			}
		});

};
function recordData(hitId) {
	var ua = navigator.userAgent;
	if(ua.indexOf('iOSApp/wangfan') >= 0) {
		var url = 'iwangfan://hit?' + hitId + '&uID=' + getCookie('userId') + version + appHitLog;
		var iframe = document.createElement("iframe");
	    iframe.src = url;
	    iframe.width = 0;
	    iframe.height = 0;
	    iframe.addEventListener('load', function() {
	        setTimeout(function() {
	            iframe.removeEventListener('load',function(){});
	            document.body.removeChild(iframe);
	        }, 0);
	    });
	    document.body.appendChild(iframe);
	} else{
		var myDate = Date.parse(new Date());
		$.get('hit?' + hitId + '&uID=' + getCookie('userId') + version + appHitLog +'&t=' + myDate,function(){});
	}
};
