//获取频道id
var typeId = parseInt(Comm.getQueryString('id'));
if(typeId == 5){
	//娱乐
	Comm.recordDataPv('movie.shortvideo.list');
}else if(typeId == 6){
	//新闻
	Comm.recordDataPv('movie.news.list');
}else if(typeId == 7){
	//旅游
	Comm.recordDataPv('movie.travel.list');
}
var page = 0;
updataInfo(page);
var videoTypeTotal = [];
//获取数据
function updataInfo(page){
	var listApi = Comm.host + 'api/web/v1/media/search?t=' + Date.parse(new Date());
	var param = {
	    "type":typeId,
	    "sort":"最热",
	    "limit":page,
	    "count":Comm.smallVideo,
	    "platform": "h5",
	    "data":{
	    }
	};
	$.ajax({
		type:"get",
		url:listApi,
		data:{param:JSON.stringify(param)},
		dataType:'jsonp',
		jsonp:'callback',
		success:function(data){
			if(data.data){
				//存在数据
				var videoType = data.data.list;
				var videoTypeLength =  data.data.list.length;
				if(videoType && videoTypeLength == 0 || videoTypeLength < Comm.smallVideo){
					$('.amui-loading').addClass('amui-new-template-hide');
				}
				if(videoType && videoTypeLength > 0){
					var videoTypeList = '';
					for(var i=0;i<videoTypeLength;i++){
						videoTypeTotal.push(data.data.list[i])
						var lable = videoType[i].tag.split(';');
						var lable1 = '';
						var lable2 = '';
						var lable3 = '';
						if(lable[0]){
							lable1 = '<p>'+lable[0]+'</p>'
						}
						if(lable[1]){
							lable2 = '<p>'+lable[1]+'</p>'
						}
						if(lable[2]){
							lable3 = '<p>'+lable[2]+'</p>'
						}
						var num = parseInt(videoType[i].play_count) > 1000 ? fomatFloat(parseInt(videoType[i].play_count)/10000,1) + '万' :parseInt(videoType[i].play_count);
						videoTypeList += '<li class="amui-new-template-07-item item" data-id="'+videoType[i].id+'">' +
							'<div>' +
								'<img src="./images/new_index/1big_zw.png" data-src="'+videoType[i].imageLink+'" width="100%" height="100%" class="fadeIn lazyload">' +
 								'<p class="amui-new-template-07-item-title">' + videoType[i].title +'</p>' +
								'<p class="amui-new-template-07-item-palyInfo">' +
									'<span>' + fomatDate(videoType[i].duration) + '</span>' +
									'<span><em>' + num + '</em>次播放</span>' +
								'</p>' +
								'<p class="amui-new-template-07-item-playIcon"></p>' +
							'</div>' +
							'<div class="amui-new-template-07-item-info">' +
								lable1 + lable2 + lable3 +
							'</div>' +
						'</li>';	
					}
					$('.amui-new-template-07-items').append(videoTypeList);
					var videoItem =$('.item');
					goDetail(videoItem, videoTypeTotal);
				}
			}else{
				//不存在数据
				$('.amui-loading').addClass('amui-new-template-hide');
			}
		},
		error:function(){
			console.log('数据未请求成功');
		}
	});
};
//跳转详情页
function goDetail(videoItem, videoType){
	videoItem.unbind('click').on('click',function(){
		var _index = $(this).index();
		var id = $(this).attr('data-id');
		Comm.recordDataClick('movie.list.click.' + id,"movie.list.click",id);
		var param = encodeURIComponent(JSON.stringify(videoType[_index]));
	    location.assign('iwangfan://playTVKVideo?type='+typeId+'&param=' + param);
	});
};
//上拉加载
function loadMore(page){
	updataInfo(page);
};
var _isLoading = false;
window.onscroll = function(){
   var scrollH = $(this).scrollTop(),
       clientH = document.documentElement.clientHeight,
       h = $("body").height();
 	if(!_isLoading && !$('.amui-loading').hasClass('amui-new-template-hide')){
 		if(scrollH + clientH+50  >= h ){
 			_isLoading = true;
		    page++;
			loadMore(page);
			setTimeout(function(){
				_isLoading = false;
				console.log("加载。。。。")
			},500);
		}
 	}
  
};
//保留小数位
function fomatFloat(src,pos){     
     return Math.round(src*Math.pow(10, pos))/Math.pow(10, pos);     
};
//根据ss 获取 hh:mm:ss
function fomatDate(s){
	var hh = Math.floor(s/3600), mm = Math.floor(s/60), ss = s-(hh*3600)-(60*mm), str = "";
	if(hh > 0){
		str = (hh <10 ? ("0"+hh) : hh) +":"+ (mm <10 ? ("0"+mm) : mm) +":"+ (ss <10 ? ("0"+ss) : ss);
	}else{
		str = (mm <10 ? ("0"+mm) : mm) +":"+ (ss <10 ? ("0"+ss) : ss);
	}
	return str;
}
