//加载页面打点
Comm.recordDataPv('movie');
//插数据
getBanner();
getMovie();
getVariety();
getWangju();
//icon点击跳转
var iconItem = $('.app-icon-item');
iconItem.click(function(){
	if($(this).index() == 0){
		Comm.recordDataClick('movie.icon.movie');
		window.location.href = 'movieList.html?type=movie';
	}else if($(this).index() == 1){
		Comm.recordDataClick('movie.icon.show');
		window.location.href = 'varietyList.html?type=variety';
	}else if($(this).index() == 2){
		Comm.recordDataClick('movie.icon.drama');
		window.location.href = 'dramaList.html?type=wangju';
	}
});
//点击电影更多
$('.movie-more-1').click(function(){
	Comm.recordDataClick('movie.entermovie');
	window.location.href = 'movieList.html?type=movie';
});
$('.movie-more').click(function(){
	Comm.recordDataClick('movie.moremovie');
	window.location.href = 'movieList.html?type=movie';
});
//点击综艺更多
$('.variety-more-1').click(function(){
	Comm.recordDataClick('movie.entershow');
	window.location.href = 'varietyList.html?type=variety';
});
$('.variety-more').click(function(){
	Comm.recordDataClick('movie.moreshow');
	window.location.href = 'varietyList.html?type=variety';
});
//点击网剧更多
$('.wangju-more-1').click(function(){
	Comm.recordDataClick('movie.enterdrama');
	window.location.href = 'dramaList.html?type=wangju';
});
$('.wangju-more').click(function(){
	Comm.recordDataClick('movie.moredrama');
	window.location.href = 'dramaList.html?type=wangju';
});
//读取bannner数据
function getBanner(){
	var bannerUrl = './data/banner/appbanner_movie?t=' + Date.parse(new Date());
	$.ajax({
		type:"get",
		url:bannerUrl,
		async:true,
		dataType:'json',
		success:function(data){
			var newBanner = [];
			var length = data.movie.one.length;
			var bannerList ='';
			var now = new Date().getTime();
			for(var i = 0; i < length; i++){
				var onlineTime = data.movie.one[i].onlineTime;
				var offlineTime = data.movie.one[i].offlineTime;
				if(now > onlineTime && now < offlineTime) {
					newBanner.push(data.movie.one[i]);
				}
			}
			var newLength = newBanner.length;
			for(var i=0;i<newLength;i++){
				bannerList +='<div class="swiper-slide" data-url="'+ newBanner[i].externalUrl +'" data-id="'+newBanner[i].id+'"><img src="images/14_03.jpg" data-src="' + newBanner[i].picture + '" class="lazyload" width="100%"></div>';
			}
			$('.swiper-wrapper').append(bannerList);
			if(length == 0){
				$('.app-banner-swiper').hide();
			}else if(length == 1){
				var swiper = new Swiper('.swiper-container', {});
			}else{
				var swiper = new Swiper('.swiper-container', {
					pagination: '.swiper-pagination',
					loop : true,
					autoplay : 4000,
					paginationClickable: true
				});
			}
			$('.swiper-slide').click(function(){
				var id = $(this).attr('data-id');
				var index = $(this).index();
				Comm.recordDataClick('movie.adbanner.' + id +'&posIdx=' + index);
				window.location.href = $(this).attr('data-url');
			});
		}
	});
};
//获取电影频道内容
function getMovie(){
	var varietyUrl = './data/newvideo/list/1?t=' + Date.parse(new Date());
	$.ajax({
		type:"get",
		url:varietyUrl,
		async:true,
		dataType:'json',
		success:function(data){
			var movieRec = '<p class="app-section-recommend-pic"><img src="images/14_03.jpg" data-src="' + data[0].picture1 + '" alt="" width="100%" class="lazyload"/></p>'+
				'<p class="app-section-recommend-name">' + data[0].name + '</p>' +
				'<p class="app-section-recommend-dec">' + data[0].subTitle + '</p>';
			$('.movie-rec').attr('data-url', data[0].fullUrl);
			$('.movie-rec').attr('data-id', data[0].id);
			$('.movie-rec').append(movieRec);
			var movielist = '';
			var length = '';
			data.length - 5 >= 0 ? length = 5 : length = data.length;
			for(var i=1;i<length;i++){
				movielist +='<div class="app-section-item movieItem" data-url="'+data[i].fullUrl+'" data-id="'+data[i].id+'">' +
					'<img src="images/14_03.jpg" data-src="' + data[i].picture1  + '" class="lazyload"/>' +
					'<p class="app-section-item-name">' + data[i].name + '</p>' +
					'<p class="app-section-item-dec">' + data[i].subTitle + '</p>' +
					'</div>';
			}
			$('.movie-list').append(movielist);
			var movieItem = $('.movieItem');
			//跳转详情页
			goMovieDetail(movieItem);
		}
	});
};
//获取综艺频道内容
function getVariety(){
	var varietyUrl = './data/variety/list/1?t=' + Date.parse(new Date());
	$.ajax({
		type:"get",
		url:varietyUrl,
		async:true,
		dataType:'json',
		success:function(data){
			var varietyRec = '<p class="app-section-recommend-pic"><img src="images/14_03.jpg" data-src="' + data[0].picture1 + '" alt="" width="100%" class="lazyload"/></p>'+
				'<p class="app-section-recommend-name">' + data[0].name + '</p>' +
				'<p class="app-section-recommend-dec">' + data[0].dec + '</p>';
			$('.variety-rec').attr('data-id', data[0].id);
			$('.variety-rec').attr('data-time', data[0].createTime);
			$('.variety-rec').append(varietyRec);
			var varietylist = '';
			var length = '';
			data.length - 5 >= 0 ? length = 5 : length = data.length;
			for(var i=1;i<length;i++){
				varietylist +='<div class="app-section-item varietyItem" data-id="'+data[i].id+'" data-time="'+data[i].createTime+'">' +
					'<img src="images/14_03.jpg" data-src="' + data[i].picture1  + '" class="lazyload" width="100%"/>' +
					'<p class="app-section-item-name">' + data[i].name + '</p>' +
					'<p class="app-section-item-dec">' + data[i].dec + '</p>' +
					'</div>';
			}
			$('.variety-list').append(varietylist);
			var varietyItem = $('.varietyItem');
			//跳转详情页
			goVarietyDetail(varietyItem);
		}
	});
};
//获取网剧频道内容
function getWangju(){
	var varietyUrl = './data/variety/list/2?t=' + Date.parse(new Date());
	$.ajax({
		type:"get",
		url:varietyUrl,
		async:true,
		dataType:'json',
		success:function(data){
			var wangjuRec = '<p class="app-section-recommend-pic"><img src="images/14_03.jpg" data-src="' + data[0].picture1 + '" alt="" width="100%" class="lazyload"/></p>'+
				'<p class="app-section-recommend-name">' + data[0].name + '</p>' +
				'<p class="app-section-recommend-dec">' + data[0].dec + '</p>';
			$('.wangju-rec').attr('data-id', data[0].id);
			$('.wangju-rec').attr('data-time', data[0].createTime);
			$('.wangju-rec').append(wangjuRec);
			var wangjuList = '';
			var length = '';
			data.length - 5 >= 0 ? length = 5 : length = data.length;
			for(var i=1;i<length;i++){
				wangjuList +='<div class="app-section-item dramaItem" data-id="'+data[i].id+'" data-time="'+data[i].createTime+'">' +
					'<img src="images/14_03.jpg" data-src="' + data[i].picture1  + '" class="lazyload"/>' +
					'<p class="app-section-item-name">' + data[i].name + '</p>' +
					'<p class="app-section-item-dec">' + data[i].dec + '</p>' +
					'</div>';
			}
			$('.wangju-list').append(wangjuList);
			var dramaItem = $('.dramaItem');
			//跳转详情页
			goDramaDetail(dramaItem);
		}
	});
};
//跳转电影详情页
function goMovieDetail(movieItem){
	movieItem.click(function(){
		var id = $(this).attr('data-id');
		var url = $(this).attr('data-url');
		Comm.recordDataClick('movie.recom.movie.' + id);
		window.location.href = url;
	});
};
//跳转综艺详情页
function goVarietyDetail(varietyItem){
	varietyItem.click(function(){
		var id = $(this).attr('data-id');
		var time = $(this).attr('data-time');
		Comm.recordDataClick('movie.recom.show.' + id);
		window.location.href = 'varietyDetail.html?id=' + id + '&time=' + time;
	});
};
//跳转网剧详情页
function goDramaDetail(dramaItem){
	dramaItem.click(function(){
		var id = $(this).attr('data-id');
		var time = $(this).attr('data-time');
		Comm.recordDataClick('movie.recom.drama.' + id);
		window.location.href = 'dramaDetail.html?id=' + id + '&time=' + time;
	});
};
var ua = navigator.userAgent;
if(ua.indexOf('App/') > 0) {
	App.finishLoad();
}
