/**
 * @ngdoc function
 * @name wangfan.controller:homeController
 * @description
 * # homeController
 */

angular.module('wangfan')
// 文章控制器
	.controller('articleController', function($scope, $rootScope, $http, $timeout, Cookie, API_ENDPOINT, news_banner_Service, ArticleCatidService, ArticleService, RecordDataService, $compile) {
		if(!IsApp){
			$('#amui-article').css({
				'top':'43px'
			})
		}
//加载新闻页面打点
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=news&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'news&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;
		// 显示 Loading 状态
		vm.showloading = true;
		// 初始化异步请求数据
		ArticleCatidService.getStorage();
		ArticleService.getInitStorage();
		news_banner_Service.getInitStorage();

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('news_banner_Service.Updated', function() {

			vm.AdsService = news_banner_Service.getStorage();
			//banner广告
			vm.ArticleAdsService = [];
			var date = new Date();
			var now = date.getTime();
			var one = vm.AdsService.news.one;
			if(vm.AdsService.news.one){
				for(var i = 0, j = one.length; i < j; i++) {
					var onlineTime = one[i].onlineTime,
						offlineTime = one[i].offlineTime;
					if(now > onlineTime && now < offlineTime) {
						var onlyShow = one[i].onlyshow;
						switch (Cookie.get('platform')){
							case 'android':
								if(!onlyShow || onlyShow == 'noneapp' || onlyShow == 'android'){
									vm.ArticleAdsService.push(one[i]);
								}
								break;
							case 'ios':
								if(!onlyShow || onlyShow == 'noneapp' || onlyShow == 'ios'){
									vm.ArticleAdsService.push(one[i]);
								}
								break;
							case 'androidApp':
								if(!onlyShow || onlyShow == 'inapp' || onlyShow == 'android' || onlyShow == 'androidapp'){
									vm.ArticleAdsService.push(one[i]);
								}
								break;
							case 'iosApp':
								if(!onlyShow || onlyShow == 'inapp' || onlyShow == 'ios' || onlyShow == 'iosapp'){
									vm.ArticleAdsService.push(one[i]);
								}
								break;
							case 'unkonw':
								vm.ArticleAdsService.push(one[i]);
								break;
						}
					}
				}
			}
			//console.log(vm.ArticleAdsService);

			//底部浮窗广告
			var four = vm.AdsService.news.four;
			if(four) {
				vm.closeWindow = false;
				vm.staticBanner = [];
				if(vm.AdsService.news.four){
					for(var i = 0, j = four.length; i < j; i++) {
						var onlineTimeFour = four[i].onlineTime,
							offlineTimeFour = four[i].offlineTime;
						if(now > onlineTimeFour && now < offlineTimeFour) {
							vm.staticBanner.push(four[i]);
						}
					}
				}
				vm.staticId = vm.staticBanner[0].id;
				//console.log(vm.staticBanner);
				RecordDataService.recordData('hitID=news.bottom.onload.' + vm.staticId);

			}

			//信息流广告
			var three = vm.AdsService.news.three,
				adsArrayNum = 1,
				floorNum = -1;

			if(three.data.length > 0){
				$rootScope.posStepSize = three.posStepSize;
				$rootScope.floorNum = -1;
				$rootScope.adsPageNum = 0;
				$rootScope.adsArray = [
					[]
				];
				for(var i = 0, j = three.data.length; i < j; i++) {
					var onlineTimeThree = three.data[i].onlineTime,
						offlineTimeThree = three.data[i].offlineTime;
					floorNum = floorNum + $rootScope.posStepSize;
					if(now > onlineTimeThree && now < offlineTimeThree) {
						if(floorNum <= adsArrayNum * API_ENDPOINT.articlePageSize) {
							$rootScope.adsArray[adsArrayNum - 1].push(three.data[i]);
						} else {
							$rootScope.adsArray[adsArrayNum] = [];
							$rootScope.adsArray[adsArrayNum].push(three.data[i]);
							adsArrayNum += 1;
						}

					}
				}

				//填入内容
				for(var i = 0, j = $rootScope.adsArray[0].length; i < j; i++) {
					var picture = $rootScope.adsArray[0][i].picture,
						externalUrl = $rootScope.adsArray[0][i].externalUrl,
						id = $rootScope.adsArray[0][i].id,
						checkLogin = $rootScope.adsArray[0][i].isCheckLogin;
					$rootScope.floorNum = $rootScope.floorNum + $rootScope.posStepSize;
					var contentHtml = '<div class="amui-info-flow">' +
						'<a class="float" ng-click="mesLog(\'' + id + '\',\'{{$index+1}}\',\'' + externalUrl + '\',\'' + checkLogin + '\')">' +
						'<img src="' + picture + '" alt=""/>' +
						'</a>' +
						'</div>';
					var el = $compile(contentHtml)($scope);
					$('.amui-list-article-item').eq($rootScope.floorNum).after(el);
				}
			}

			vm.mesLog = vm.meslog;

		});

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('ArticleCatid.Updated', function() {

			vm.ArticleTypeNavs = ArticleCatidService.getCatid();
			//console.log(vm.ArticleTypeNavs);

			// 隐藏 Loading 状态
			vm.showloading = false;
			var catIdArr = [-1, 1100, 1101, 1102, 1103, 1104, 1105, 1106];
			var catIdIndex = catIdArr.indexOf($rootScope.cateId);
			setTimeout(function() {
				$('.amui-tabsnav-scroll a').eq(catIdIndex).addClass("active");
			}, 200);

		});

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('Article.Updated', function() {

			vm.ArticlesData = ArticleService.getStorage();
			//console.log(vm.ArticlesData.length);

			var timer = $timeout(function() {

				// 停止广播ion-refresher
				$scope.$broadcast('scroll.infiniteScrollComplete');

			}, 2000);

			// 隐藏 Loading 状态
			vm.showloading = false;

		});

		// 上拉更新
		vm.loadMore = function() {
			ArticleService.getMoreStorage();

			if($rootScope.adsArray && $rootScope.adsArray[0].length > 0){
				$rootScope.adsPageNum += 1;
				setTimeout(function() {
					for(var i = 0, j = $rootScope.adsArray[$rootScope.adsPageNum].length; i < j; i++) {
						var picture = $rootScope.adsArray[$rootScope.adsPageNum][i].picture,
							externalUrl = $rootScope.adsArray[$rootScope.adsPageNum][i].externalUrl,
							id = $rootScope.adsArray[$rootScope.adsPageNum][i].id,
							checkLogin = $rootScope.adsArray[$rootScope.adsPageNum][i].isCheckLogin;
						$rootScope.floorNum = $rootScope.floorNum + $rootScope.posStepSize;
						var contentHtml = '<div class="amui-info-flow">' +
							'<a class="float" ng-click="mesLog(\'' + id + '\',\'{{$index+1}}\',\'' + externalUrl + '\',\'' + checkLogin + '\')">' +
							'<img src="' + picture + '" alt=""/>' +
							'</a>' +
							'</div>';
						var el = $compile(contentHtml)($scope);
						$('.amui-list-article-item').eq($rootScope.floorNum).after(el);
					}
					vm.mesLog = vm.meslog;
				}, 1000);
			}

		};

		vm.hasNextPage = function() {

			return ArticleService.hasNextPage();

			// 停止广播ion-refresher
			vm.$broadcast('scroll.infiniteScrollComplete');

		};

		vm.changeTab = function(cateid, index) {

			// 新闻分类导航选中状态
			var aEls = document.querySelectorAll('.amui-tabsnav a');

			// 遍历删除所有元素的 className
			for(var i = 0; i < aEls.length; i++) {

				aEls[i].className = '';

			}

			// 当前元素添加 active className
			aEls[index].className = 'active';

			// 数据分类请求
			ArticleService.setStorage(cateid);

			//信息流广告
			if($rootScope.adsArray && $rootScope.adsArray[0].length > 0){
				$rootScope.floorNum = -1; //初始指针位置
				$rootScope.adsPageNum = 0;
				setTimeout(function() {
					for(var i = 0, j = $rootScope.adsArray[0].length; i < j; i++) {
						var picture = $rootScope.adsArray[0][i].picture,
							externalUrl = $rootScope.adsArray[0][i].externalUrl,
							id = $rootScope.adsArray[0][i].id,
							checkLogin = $rootScope.adsArray[0][i].isCheckLogin;
						$rootScope.floorNum = $rootScope.floorNum + $rootScope.posStepSize;
						var contentHtml = '<div class="amui-info-flow">' +
							'<a class="float" ng-click="mesLog(\'' + id + '\',\'{{$index+1}}\',\'' + externalUrl + '\',\'' + checkLogin + '\')">' +
							'<img src="' + picture + '" alt=""/>' +
							'</a>' +
							'</div>';
						var el = $compile(contentHtml)($scope);
						$('.amui-list-article-item').eq($rootScope.floorNum).after(el);
					};
					vm.mesLog = vm.meslog;
				}, 100);
			}
		};

		setTimeout(function() {
			var mySwiper = new Swiper('.swiper-container', {
				direction: 'horizontal',
				loop: true,
				pagination: '.swiper-pagination',
				scrollbarHide: true,
				autoplay: '4000'
			})
		}, 1000);

		//点击新闻打点
		vm.newsDetail = function(id, time, fullUrl) {
			RecordDataService.recordData('hitID=news.list.' + id);
			Cookie.set('hitIdReferer', 'news.list.' + id);
			if(fullUrl) {
				location.assign(fullUrl);
			} else {
				var url = "#/app/article-detail/" + time + '/' + id;
				location.assign(url || '/index.html#/app/home');
			}
		};
		//信息流判断开网
		vm.meslog = function(id, index, url, isCheckLogin) {
			RecordDataService.recordData('hitID=new.infoflow.' + id + '&posIdx=' + index);
			setTimeout(function() {
				if(isCheckLogin == 0) {
					location.assign(url);
				} else {
					if(Cookie.get('userId')) {
						location.assign(url);
					} else {
						if(IsApp) {
							//app登录
							window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
						} else {
							Cookie.set('bannerUrl', url);
							location.assign('#/app/userLogin?from=stream');
						}
					}
				}
			}, 200);
		};

		//关闭悬浮窗
		vm.closeBanner = function(id) {
			vm.closeWindow = true;
			RecordDataService.recordData('hitID=news.bottom.close.' + vm.staticId);
		};

		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer' ,'news.list');
			history.back();
		};
		//点击banner打点
		vm.clickUrl = function(id, url, index, isCheckLogin) {
			RecordDataService.recordData('hitID=article.adbanner.' + id + '&posIdx=' + index);
			Cookie.set('hitIdReferer', 'article.adbanner.' + id + '&posIdx=' + index);
			setTimeout(function() {
				if(isCheckLogin == 0) {
					location.assign(url);
				} else {
					if(Cookie.get('userId')) {
						location.assign(url);
					} else {
						if(IsApp) {
							//app登录
							window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
						} else {
							Cookie.set('bannerUrl', url);
							location.assign('#/app/userLogin?from=banner');
						}
					}
				}
			}, 200);
		};
		if(IsApp){
			App.finishLoad();
		}
	})

// 文章详情控制器
.controller('articleDetailController', function($scope, $stateParams, ArticleDetailService, Cookie, RecordDataService, API_ENDPOINT) {
	//加载新闻详情页打点
	// 获取新闻对应的 ID
	var id = $stateParams['id'];
	var hitIdReferer = Cookie.get('hitIdReferer');
	RecordDataService.recordData('hitID=news.' + id + '&refHitID=' + hitIdReferer);
	Cookie.set('hit', 'news.' + id + '&refHitID=' + hitIdReferer);
	pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
	var vm = $scope;

	// 显示 Loading 状态
	vm.showloading = true;

	// 获取新闻对应的时间戳
	var timestamp = $stateParams['date'];

	(function() {
		if(navigator.platform == "iPhone") {
			vm.phone = "iphone";
		}
	})();

	// 获取新闻接口内容
	ArticleDetailService.getTimestampId('data/news/detail/', timestamp, id);

	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('ArticleDetail.Updated', function() {

		// 获取新闻存储数据
		
		vm.ArticleDetailData = ArticleDetailService.getStorage();
		if(!vm.ArticleDetailData){
			history.back();
		}
		//console.log(vm.ArticleDetailData);

		// 隐藏 Loading 状态
		vm.showloading = false;

	});

	//返回按钮
	vm.back = function() {
		Cookie.set('hitIdReferer','news.' + id);
		history.back();
	};
	if(IsApp){
		App.finishLoad();
	}

})

// 影视控制器
.controller('movieController', function($scope, $timeout, $http, Cookie, API_ENDPOINT, MovieService, AdsService, RecordDataService) {
	//加载电影打点
	var hitIdReferer = Cookie.get('hitIdReferer');
	RecordDataService.recordData('hitID=movie&refHitID=' + hitIdReferer);
	Cookie.set('hit', 'movie&refHitID=' + hitIdReferer);
	pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
	var vm = $scope;
	//是否第一次进去页面增加页面
	if(IsApp){
		//console.log('isapp');
	}
	else{
		if(Cookie.get('userId')) {
		var ApiUrl = API_ENDPOINT.uc + '/api/mycenter/click?t=' + Date.parse(new Date());
			$.ajax({
				type: "post",
				url: ApiUrl,
				async: true,
				data: {
					userId: Cookie.get('userId'),
					taskId: '71f8f7t19x184a3f972c6f4ed19gv5tl',
					mac: mac,
					busId: groupId
				},
				success: function(data) {
					//console.log(data);
					if(data.flag == 1) {
						vm.num = data.balance;
						$('#movieFirst').show();
						RecordDataService.recordData('hitID=first.movie');
						setTimeout(function() {
							$('#movieFirst').hide();
						}, 2000);
					}
				}
			});
		}
	}
	
	// 显示 Loading 状态
	vm.showloading = true;

	// 初始化异步请求数据
	MovieService.getInitStorage();
	AdsService.getInitStorage();

	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('Ads.Updated', function() {
		vm.AdsService = AdsService.getStorage();
		vm.MovieAdsService = [];
		var one = vm.AdsService.movie.one;
		var date = new Date();
		var now = date.getTime();
		for(var i = 0, j = one.length; i < j; i++) {
			var onlineTime = one[i].onlineTime,
				offlineTime = one[i].offlineTime;
			if(now > onlineTime && now < offlineTime) {
				var onlyShow = one[i].onlyshow;
				switch (Cookie.get('platform')){
					case 'android':
						if(!onlyShow || onlyShow == 'noneapp' || onlyShow == 'android'){
							vm.MovieAdsService.push(one[i]);
						}
						break;
					case 'ios':
						if(!onlyShow || onlyShow == 'noneapp' || onlyShow == 'ios'){
							vm.MovieAdsService.push(one[i]);
						}
						break;
					case 'androidApp':
						if(!onlyShow || onlyShow == 'inapp' || onlyShow == 'android' || onlyShow == 'androidapp'){
							vm.MovieAdsService.push(one[i]);
						}
						break;
					case 'iosApp':
						if(!onlyShow || onlyShow == 'inapp' || onlyShow == 'ios' || onlyShow == 'iosapp'){
							vm.MovieAdsService.push(one[i]);
						}
						break;
					case 'unkonw':
						vm.MovieAdsService.push(one[i]);
						break;
				}
			}
		}
		//console.log(vm.MovieAdsService);

		//底部浮窗广告
		var four = vm.AdsService.movie.four;
		if(four){
			vm.closeWindow = false;
			vm.staticBanner = [];
			for(var i = 0, j = four.length; i < j; i++) {
				var onlineTimeFour = four[i].onlineTime,
					offlineTimeFour = four[i].offlineTime;
				if(now > onlineTimeFour && now < offlineTimeFour) {
					vm.staticBanner.push(four[i]);
				}
			}
			if(vm.staticBanner.length > 0) {
				vm.staticId = vm.staticBanner[0].id;
				RecordDataService.recordData('hitID=movie.bottom.onload.' + vm.staticId);
			}
		}
	});

	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('Movie.Updated', function() {

		vm.moviesData = MovieService.getStorage();
		var timer = $timeout(function() {

			// 停止广播ion-refresher
			$scope.$broadcast('scroll.infiniteScrollComplete');

		}, 2000);
		var videos = [];
		for(var i = 0; i < vm.moviesData.length; i++) {
			videos[i] = vm.moviesData[i].id;
		};

		videos = videos.join(",");
		var api = API_ENDPOINT.uc + '/api/resource/video/score?ids=' + videos + '&groupId=' + groupId + '&t=' + Date.parse(new Date());
		//console.log(api);
		$.ajax({
			type: "get",
			url: api,
			async: true,
			success: function(data) {
				vm.movieBalance = data.result;
				// console.log(vm.movieBalance);
				setTimeout(function() {
					var nums = $('.amui-list-horizontal-item-integral-num');
					var length = nums.length;
					for(var i = 0; i < length; i++) {
						if(vm.movieBalance[i].balance > 0 && !IsApp){
							nums.eq(i).parent().show();
							nums.eq(i).html(vm.movieBalance[i].balance);
						}
					}
				})
			}
		});

		// 隐藏 Loading 状态
		vm.showloading = false;

	});

	//点击具体电影打点
	vm.MovieDetail = function(id, time, fullUrl) {
		RecordDataService.recordData('hitID=movie.list.' + id);
		Cookie.set('hitIdReferer', 'movie.list.' + id);
		if(fullUrl) {
			location.assign(fullUrl);
		} else {
			var url = "#/app/movie-detail/" + time + '/' + id;
			location.assign(url);
		}
	};
	var video = document.getElementsByTagName('video');
	for(var i = video.length - 1; i >= 0; i--) {
		video[i].pause();
	}

	setTimeout(function() {
		var mySwiper = new Swiper('.swiper-container', {
			direction: 'horizontal',
			loop: true,
			pagination: '.swiper-pagination',
			scrollbarHide: true,
			autoplay: '4000'
		})
	}, 1000);

	// 上拉更新
	vm.loadMore = function() {

		// 重新获取一次
		MovieService.getMoreStorage();

	};

	vm.hasNextPage = function() {

		return MovieService.hasNextPage();

		// 停止广播ion-refresher
		vm.$broadcast('scroll.infiniteScrollComplete');

	};

	//返回按钮
	vm.back = function() {
		Cookie.set('hitIdReferer' , 'movie.list');
		history.back();
	};

	//关闭悬浮窗
	vm.closeBanner = function(id) {
		vm.closeWindow = true;
		RecordDataService.recordData('hitID=movie.bottom.close.' + vm.staticId);
	};

	//banner打点
	vm.clickUrl = function(id, url, index, isCheckLogin) {
		RecordDataService.recordData('hitID=movie.adbanner.' + id + '&posIdx=' + index);
		Cookie.set('hitIdReferer', 'movie.adbanner.' + id + '&posIdx=' + index);
		setTimeout(function() {
			if(isCheckLogin == 0) {
				location.assign(url);
			} else {
				if(Cookie.get('userId')) {
					location.assign(url);
				} else {
					if(IsApp) {
						//app登录
						window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
					} else {
						Cookie.set('bannerUrl', url);
						location.assign('#/app/userLogin?from=banner');
					}
				}
			}
		}, 200);
	};
	if(IsApp){
		App.finishLoad();

	}

})

// 小说控制器
.controller('novelController', function($scope, $http, $timeout, Cookie, API_ENDPOINT, NovelService, AdsService, RecordDataService) {
	//小说列表页打点
	var hitIdReferer = Cookie.get('hitIdReferer');
	RecordDataService.recordData('hitID=novel&refHitID=' + hitIdReferer);
	Cookie.set('hit', 'novel&refHitID=' + hitIdReferer);
	pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
	var vm = $scope;
	if(IsApp){
		
	}else{
		//是否第一次进去页面增加页面
		if(Cookie.get('userId')) {
			var ApiUrl = API_ENDPOINT.uc + '/api/mycenter/click?t=' + Date.parse(new Date());
			$.ajax({
				type: "post",
				url: ApiUrl,
				async: true,
				data: {
					userId: Cookie.get('userId'),
					taskId: 's59ef7t19x184a3f972c6f4ed19ga261',
					mac: mac,
					busId: groupId
				},
				success: function(data) {
					//console.log(data);
					if(data.flag == 1) {
						RecordDataService.recordData('hitID=first.novel');
						vm.num = data.balance;
						$('#novelFirst').show();
						setTimeout(function() {
							$('#novelFirst').hide();
						}, 2000);
					}
				}
			});
		}
	}
	
	// 显示 Loading 状态
	vm.showloading = true;

	// 初始化异步请求数据
	NovelService.getInitStorage();
	AdsService.getInitStorage();

	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('Ads.Updated', function() {

		vm.AdsService = AdsService.getStorage();
		vm.NovelAdsService = [];
		if(vm.AdsService.novel){
			var date = new Date();
			var now = date.getTime();
			if(vm.AdsService.novel.one){
				var one = vm.AdsService.novel.one;
				for(var i = 0, j = one.length; i < j; i++) {
					var onlineTime = one[i].onlineTime,
						offlineTime = one[i].offlineTime;
					if(now > onlineTime && now < offlineTime) {
						var onlyShow = one[i].onlyshow;
						switch (Cookie.get('platform')){
							case 'android':
								if(!onlyShow || onlyShow == 'noneapp' || onlyShow == 'android'){
									vm.NovelAdsService.push(one[i]);
								}
								break;
							case 'ios':
								if(!onlyShow || onlyShow == 'noneapp' || onlyShow == 'ios'){
									vm.NovelAdsService.push(one[i]);
								}
								break;
							case 'androidApp':
								if(!onlyShow || onlyShow == 'inapp' || onlyShow == 'android' || onlyShow == 'androidapp'){
									vm.NovelAdsService.push(one[i]);
								}
								break;
							case 'iosApp':
								if(!onlyShow || onlyShow == 'inapp' || onlyShow == 'ios' || onlyShow == 'iosapp'){
									vm.NovelAdsService.push(one[i]);
								}
								break;
							case 'unkonw':
									vm.NovelAdsService.push(one[i]);
								break;
						}
					}
				}
			}
			
			vm.closeWindow = false;
			vm.staticBanner = [];
			var four = vm.AdsService.novel.four;
			if(four){
				for(var i = 0, j = four.length; i < j; i++) {
					var onlineTimeFour = four[i].onlineTime,
						offlineTimeFour = four[i].offlineTime;
					if(now > onlineTimeFour && now < offlineTimeFour) {
						vm.staticBanner.push(four[i]);
					}
				}
				if(vm.staticBanner.length > 0) {
					vm.staticId = vm.staticBanner[0].id;
					RecordDataService.recordData('hitID=novel.bottom.onload.' + vm.staticId);
				}
			}
		}
	});

	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('Novel.Updated', function() {

		vm.novelsData = NovelService.getStorage();

		var timer = $timeout(function() {

			// 停止广播ion-refresher
			$scope.$broadcast('scroll.infiniteScrollComplete');

		}, 2000);

		// 隐藏 Loading 状态
		vm.showloading = false;

	});

	// 上拉更新
	vm.loadMore = function() {

		// 重新获取一次
		NovelService.getMoreStorage();

	};

	vm.hasNextPage = function() {

		return NovelService.hasNextPage();

		// 停止广播ion-refresher
		vm.$broadcast('scroll.infiniteScrollComplete');

	};

	setTimeout(function() {
		var mySwiper = new Swiper('.swiper-container', {
			direction: 'horizontal',
			loop: true,
			pagination: '.swiper-pagination',
			scrollbarHide: true,
			autoplay: '4000'
		})
	}, 1000);

	//返回按钮
	vm.back = function() {
		Cookie.set('hitIdReferer','novel.list');
		history.back();
	};
	//关闭悬浮窗
	vm.closeBanner = function(id) {
		vm.closeWindow = true;
		RecordDataService.recordData('hitID=novel.bottom.close.' + vm.staticId);
	};
	//点击具体小说打点
	vm.novelDetail = function(id, time, fullUrl) {
		RecordDataService.recordData('hitID=novel.list.' + id);
		Cookie.set('hitIdReferer', 'novel.list.' + id);
		if(fullUrl) {
			location.assign(fullUrl);
		} else {
			var url = "#/app/novel-detail/" + time + '/' + id;
			location.assign(url || '/index.html#/app/home');
		}
	};
	//banner打点
	vm.clickUrl = function(id, url, index, isCheckLogin) {
		RecordDataService.recordData('hitID=novel.adbanner.' + id + '&posIdx=' + index);
		Cookie.set('hitIdReferer', 'novel.adbanner.' + id + '&posIdx=' + index);
		setTimeout(function() {
			if(isCheckLogin == 0) {
				location.assign(url);
			} else {
				if(Cookie.get('userId')) {
					location.assign(url);
				} else {
					if(IsApp) {
						//app登录
						window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
					} else {
						Cookie.set('bannerUrl', url);
						location.assign('#/app/userLogin?from=banner');
					}
				}
			}
		}, 200);
	};
	if(IsApp){
		App.finishLoad();
	}

})

// 小说详情控制器
.controller('novelDetailController', function($scope, $stateParams, $rootScope, NovelDetailService, RecordDataService, Cookie, API_ENDPOINT) {
	//小说详情页打点
	var id = $stateParams['id'];
	var hitIdReferer = Cookie.get('hitIdReferer');
	RecordDataService.recordData('hitID=novel.' + id + '&refHitID=' + hitIdReferer);
	Cookie.set('hit', 'novel.' + id + '&refHitID=' + hitIdReferer);
	pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
	var vm = $scope;
	if(IsApp){
		vm.novelIcon = true;
	}
	// 显示 Loading 状态
	vm.showloading = true;

	// 获取小说对应的时间戳
	var timestamp = $stateParams['date'];
	//console.log(timestamp);

	// 获取小说对应的 ID
	var id = $stateParams['id'];
	$rootScope.novelId = id;
	localStorage.novelsId = id;
	localStorage.novelsId = id;

	// 获取小说接口内容
	NovelDetailService.getTimestampId('data/novel/detail/', timestamp, id);

	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('NovelDetail.Updated', function() {

		// 获取小说存储数据
		vm.NovelDetailData = NovelDetailService.getStorage();
		if(vm.NovelDetailData){
			//获取小说目录
			vm.NovelMenuData = vm.NovelDetailData.chapters;
			$rootScope.dir = vm.NovelMenuData;
			localStorage.dirLength = $rootScope.dir.length - 1;
			for(var i = localStorage.dirLength; i >= 0; i--) {
				localStorage.setItem("dir" + i, $rootScope.dir[i].id);
			}
	
			localStorage.novelId = location.hash;
	
			var desc = $scope.NovelDetailData.description,
				descLen = $scope.NovelDetailData.description.substring(0, 60) + '...';
	
			if(desc.length > 60) {
	
				$scope.NovelDetailDescData = descLen;
				$scope.onoff = true;
				$scope.toggleClass = "icon ion-chevron-down amui-introduce-btn";
	
			} else {
	
				$scope.NovelDetailDescData = desc;
				$scope.onoff = false;
	
			}
	
			$scope.changeNovelList = function() {
	
				if($scope.NovelDetailDescData == descLen) {
	
					$scope.NovelDetailDescData = desc;
	
					$scope.toggleClass = "icon ion-chevron-up amui-introduce-btn";
	
				} else {
	
					$scope.NovelDetailDescData = descLen;
	
					$scope.toggleClass = "icon ion-chevron-down amui-introduce-btn";
	
				}
	
			}
		}else{
			history.back();
		}
		// 隐藏 Loading 状态
		vm.showloading = false;

	});

	$scope.push = function(num, id) {
		//$rootScope.num = num;
		localStorage.num = num;
		location.assign('#/app/novel-content/' + id);
	};

	//返回按钮
	vm.back = function() {
		Cookie.set('hitIdReferer','novel.' + id);
		history.back();
	};
	if(IsApp){
		App.finishLoad();
	}
})

// 小说内容控制器
.controller('novelContentController', function($scope, $rootScope, $stateParams, NovelContentService) {
	var vm = $scope;

	// 显示 Loading 状态
	vm.showloading = true;

	// 获取小说对应的时间戳
	var timestamp = $stateParams['date'];
	//console.log(timestamp);

	// 获取小说对应的 ID
	var id = $stateParams['id'], novelsId = localStorage.novelsId || localStorage.novelsId;

	// 获取小说接口内容
	NovelContentService.getTimestampId('data/novel/chapter', novelsId, id);

	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('NovelContent.Updated', function() {

		// 获取小说存储数据
		vm.NovelContentData = NovelContentService.getStorage();

		// 隐藏 Loading 状态
		vm.showloading = false;

	});

	vm.dirId = localStorage.getItem("dir" + localStorage.num);
	vm.prevDirId = localStorage.getItem("dir" + (parseInt(localStorage.num) - 1));
	vm.nextDirId = localStorage.getItem("dir" + (parseInt(localStorage.num) + 1));

	//小说目录ID
	vm.novelId = localStorage.novelId;

	//上一章
	vm.prevPage = function() {
			if(localStorage.num == 0) {
				//alert("这是第一章！");
				var a = document.getElementsByClassName("amui-pagination-prev");
				var al = a[a.length - 1];
				al.removeAttribute("href");
				al.className = 'amui-pagination-prev amui-btn-disable';
			} else {
				vm.prevDirId = localStorage.getItem("dir" + (parseInt(localStorage.num) - 1));
				localStorage.num = parseInt(localStorage.num) - 1;
				location.replace("#/app/novel-content/" + vm.prevDirId);
				//console.log(localStorage.num);
			}
		};
		//下一章
	vm.nextPage = function() {
		if(localStorage.num == localStorage.dirLength) {
			var a = document.getElementsByClassName("amui-pagination-next");
			var ar = a[a.length - 1];
			ar.removeAttribute("href");
			ar.className = 'amui-pagination-next amui-btn-disable';
		} else {
			vm.nextDirId = localStorage.getItem("dir" + (parseInt(localStorage.num) + 1));
			localStorage.num = parseInt(localStorage.num) + 1;
			location.replace("#/app/novel-content/" + vm.nextDirId);
			//console.log(localStorage.num);
		}
	};

	//返回按钮
	vm.back = function() {
		history.back();
	};
	if(IsApp){
		App.finishLoad();
	}

})

// 听书控制器
.controller('audioController', function($scope, $http, $timeout, Cookie, RecordDataService, API_ENDPOINT, AudioService, AdsService) {
		//听书列表页打点
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=audio&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'audio&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;

		// 显示 Loading 状态
		vm.showloading = true;

		// 初始化异步请求数据
		AudioService.getInitStorage();
		AdsService.getInitStorage();

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('Ads.Updated', function() {

			vm.AdsService = AdsService.getStorage();
			vm.AudioAdsService = [];
			var one = vm.AdsService.audio.one;
			var date = new Date();
			var now = date.getTime();
			for(var i = 0, j = one.length; i < j; i++) {
				var onlineTime = one[i].onlineTime,
					offlineTime = one[i].offlineTime;
				if(now > onlineTime && now < offlineTime) {
					var onlyShow = one[i].onlyshow;
					switch (Cookie.get('platform')){
						case 'android':
							if(!onlyShow || onlyShow == 'noneapp' || onlyShow == 'android'){
								vm.AudioAdsService.push(one[i]);
							}
							break;
						case 'ios':
							if(!onlyShow || onlyShow == 'noneapp' || onlyShow == 'ios'){
								vm.AudioAdsService.push(one[i]);
							}
							break;
						case 'androidApp':
							if(!onlyShow || onlyShow == 'inapp' || onlyShow == 'android' || onlyShow == 'androidapp'){
								vm.AudioAdsService.push(one[i]);
							}
							break;
						case 'iosApp':
							if(!onlyShow || onlyShow == 'inapp' || onlyShow == 'ios' || onlyShow == 'iosapp'){
								vm.AudioAdsService.push(one[i]);
							}
							break;
						case 'unkonw':
							vm.AudioAdsService.push(one[i]);
							break;
					}
				}
			}
			//console.log(vm.AudioAdsService);

			//底部浮窗广告
			var four = vm.AdsService.audio.four;
			if(four){
				vm.closeWindow = false;
				vm.staticBanner = [];
				for(var i = 0, j = four.length; i < j; i++) {
					var onlineTimeFour = four[i].onlineTime,
						offlineTimeFour = four[i].offlineTime;
					if(now > onlineTimeFour && now < offlineTimeFour) {
						vm.staticBanner.push(four[i]);
					}
				}
				if(vm.staticBanner.length > 0) {
					vm.staticId = vm.staticBanner[0].id;
					RecordDataService.recordData('hitID=audio.bottom.onload.' + vm.staticId);
				}
			}
		});

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('Audio.Updated', function() {

			vm.audiosData = AudioService.getStorage();

			var timer = $timeout(function() {

				// 停止广播ion-refresher
				$scope.$broadcast('scroll.infiniteScrollComplete');

			}, 2000);

			// 隐藏 Loading 状态
			vm.showloading = false;

		});


		// 上拉更新
		vm.loadMore = function() {

			// 重新获取一次
			AudioService.getMoreStorage();

		};

		vm.hasNextPage = function() {

			return AudioService.hasNextPage();

			// 停止广播ion-refresher
			vm.$broadcast('scroll.infiniteScrollComplete');

		};
		//点击具体打点
		vm.audioDetal = function(id, time, fullUrl) {
			RecordDataService.recordData('hitID=audio.list.' + id);
			Cookie.set('hitIdReferer', 'audio.list.' + id);
			Cookie.set('audioDetailFrom','audioList');
			if(fullUrl) {
				location.assign(fullUrl);
			} else {
				var url = "audio-detail.html?date=" + time + '&id=' + id;
				location.replace(url || '/index.html#/app/home');
			}
		};
		vm.selectAudioDetail = function(createTime, id) {

			location.replace("#/app/audio-detail/" + createTime + "/" + id);
			location.reload();
		};

		setTimeout(function() {
			var mySwiper = new Swiper('.swiper-container', {
				direction: 'horizontal',
				loop: true,
				pagination: '.swiper-pagination',
				scrollbarHide: true,
				autoplay: '4000'
			})
		}, 1000);

		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer','audio.list');
			 history.back();
		};
		//关闭悬浮窗
		vm.closeBanner = function(id) {
			vm.closeWindow = true;
			RecordDataService.recordData('hitID=audio.bottom.close.' + vm.staticId);
		};
		var audio = document.getElementsByTagName('audio');
		for(var i = audio.length - 1; i >= 0; i--) {
			audio[i].pause();
		}
		//banner打点
		vm.clickUrl = function(id, url, index, isCheckLogin) {
			RecordDataService.recordData('hitID=audio.adbanner.' + id + '&posIdx=' + index);
			Cookie.set('hitIdReferer', 'audio.adbanner.' + id + '&posIdx=' + index);
			Cookie.set('audioDetailFrom','audioList');
			setTimeout(function() {
				if(isCheckLogin == 0) {
					location.assign(url);
				} else {
					if(Cookie.get('userId')) {
						location.assign(url);
					} else {
						if(IsApp) {
							//app登录
							window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
						} else {
							Cookie.set('bannerUrl', url);
							location.assign('#/app/userLogin?from=banner');
						}
					}
				}
			}, 200);
		};
		if(IsApp){
			App.finishLoad();
		}

	})
	// 应用控制器
	.controller('appController', function($scope, $http, $timeout, AppService, AdsService, LogApp, Cookie, RecordDataService, API_ENDPOINT, appGameDoTaskServise) {
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=app.list&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'app.list&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;
		// 显示 Loading 状态
		vm.showloading = true;
		// 初始化异步请求数据
		AppService.getInitStorage();
		AdsService.getInitStorage();
		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('Ads.Updated', function() {
			vm.AdsService = AdsService.getStorage();
			vm.AppAdsService = [];
			var one = vm.AdsService.apps.one;
			var date = new Date();
			var now = date.getTime();
			for(var i = 0, j = one.length; i < j; i++) {
				var onlineTime = one[i].onlineTime,
					offlineTime = one[i].offlineTime;
				if(now > onlineTime && now < offlineTime) {
					var onlyShow = one[i].onlyshow;
					switch (Cookie.get('platform')){
						case 'android':
							if(!onlyShow || onlyShow == 'noneapp' || onlyShow == 'android'){
								vm.AppAdsService.push(one[i]);
							}
							break;
						case 'ios':
							if(!onlyShow || onlyShow == 'noneapp' || onlyShow == 'ios'){
								vm.AppAdsService.push(one[i]);
							}
							break;
						case 'androidApp':
							if(!onlyShow || onlyShow == 'inapp' || onlyShow == 'android' || onlyShow == 'androidapp'){
								vm.AppAdsService.push(one[i]);
							}
							break;
						case 'iosApp':
							if(!onlyShow || onlyShow == 'inapp' || onlyShow == 'ios' || onlyShow == 'iosapp'){
								vm.AppAdsService.push(one[i]);
							}
							break;
						case 'unkonw':
							vm.AppAdsService.push(one[i]);
							break;
					}
				}
			}
			//底部浮窗广告
			var four = vm.AdsService.apps.four;
			if(four) {
				vm.closeWindow = false;
				vm.staticBanner = [];
				for(var i = 0, j = four.length; i < j; i++) {
					var onlineTimeFour = four[i].onlineTime,
						offlineTimeFour = four[i].offlineTime;
					if(now > onlineTimeFour && now < offlineTimeFour) {
						vm.staticBanner.push(four[i]);
					}
				}
				if(vm.staticBanner.length > 0) {
					vm.staticId = vm.staticBanner[0].id;
					RecordDataService.recordData('hitID=app.bottom.onload.' + vm.staticId);
				}
			}
		});
		// 存储返回结果
		vm.appsBanlance;
		//存储应用Id
		var appsId = [];
		vm.$on('App.Updated', function() {
			vm.AppsData = AppService.getStorage();
			setTimeout(function(){
				$('.amui-list-app-item-btn').show();
			});
			var timer = $timeout(function() {
				// 停止广播ion-refresher
				$scope.$broadcast('scroll.infiniteScrollComplete');
			}, 2000);
			// 隐藏 Loading 状态
			vm.showloading = false;
			setTimeout(function() {
				var mySwiper = new Swiper('.swiper-container', {
					direction: 'horizontal',
					loop: true,
					pagination: '.swiper-pagination',
					scrollbarHide: true,
					autoplay: '4000'
				})
			}, 1000);
		});
		// 上拉更新
		vm.loadMore = function() {
			// 重新获取一次
			AppService.getMoreStorage();
		};
		vm.hasNextPage = function() {
			return AppService.hasNextPage();
			// 停止广播ion-refresher
			vm.$broadcast('scroll.infiniteScrollComplete');
		};
		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer','app.list');
			history.back();
		};
		//关闭悬浮窗
		vm.closeBanner = function(id) {
			vm.closeWindow = true;
			RecordDataService.recordData('hitID=app.bottom.close.' + vm.staticId);
		};
		//banner
		setTimeout(function() {
			var mySwiper = new Swiper('.swiper-container', {
				direction: 'horizontal',
				loop: true,
				pagination: '.swiper-pagination',
				scrollbarHide: true,
				autoplay: '4000'
			})
		}, 1000);
		//列表页点击打点
		vm.appDetail = function(id, time, fullUrl) {
			RecordDataService.recordData('hitID=app.list.' + id);
			Cookie.set('hitIdReferer', 'app.list.' + id);
			if(fullUrl) {
				location.assign(fullUrl);
			} else {
				var url = "#/app/app-detail/" + time + '/' + id;
				location.assign(url || '/index.html#/app/home');
			}
		};
		//banner点击
		vm.clickUrl = function(id, url, index, isCheckLogin) {
			RecordDataService.recordData('hitID=app.adbanner.' + id + '&posIdx=' + index);
			Cookie.set('hitIdReferer', 'app.adbanner.' + id + '&posIdx=' + index);
			setTimeout(function() {
				if(isCheckLogin == 0) {
					location.assign(url);
				} else {
					if(Cookie.get('userId')) {
						location.assign(url);
					} else {
						if(IsApp) {
							//app登录
							window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
						} else {
							Cookie.set('bannerUrl', url);
							location.assign('#/app/userLogin?from=banner');
						}
					}
				}
			}, 200);
		};
		//应用列表页点击下载
		vm.clickApp = function(id, fileUrl, name, index) {
			RecordDataService.recordData('hitID=app.list.' + id + '.download');
			window.location.href = fileUrl;
		};
		//通知app加载完成
		if(IsApp){
			App.finishLoad();
		}
	})

// 游戏控制器
.controller('gameController', function($scope, $timeout, GameService, AdsService, LogApp, Cookie, RecordDataService, API_ENDPOINT, appGameDoTaskServise) {
	var hitIdReferer = Cookie.get('hitIdReferer');
	RecordDataService.recordData('hitID=game.list&refHitID=' + hitIdReferer);
	Cookie.set('hit', 'game.list&refHitID=' + hitIdReferer);
	pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
	var vm = $scope;
	// 显示 Loading 状态
	vm.showloading = true;
	// 初始化异步请求数据
	GameService.getInitStorage();
	AdsService.getInitStorage();
	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('Ads.Updated', function() {
		vm.AdsService = AdsService.getStorage();
		vm.GameAdsService = [];
		var one = vm.AdsService.game.one;
		var date = new Date();
		var now = date.getTime();
		for(var i = 0, j = one.length; i < j; i++) {
			var onlineTime = one[i].onlineTime,
				offlineTime = one[i].offlineTime;
			if(now > onlineTime && now < offlineTime) {
				var onlyShow = one[i].onlyshow;
				switch (Cookie.get('platform')){
					case 'android':
						if(!onlyShow || onlyShow == 'noneapp' || onlyShow == 'android'){
							vm.GameAdsService.push(one[i]);
						}
						break;
					case 'ios':
						if(!onlyShow || onlyShow == 'noneapp' || onlyShow == 'ios'){
							vm.GameAdsService.push(one[i]);
						}
						break;
					case 'androidApp':
						if(!onlyShow || onlyShow == 'inapp' || onlyShow == 'android' || onlyShow == 'androidapp'){
							vm.GameAdsService.push(one[i]);
						}
						break;
					case 'iosApp':
						if(!onlyShow || onlyShow == 'inapp' || onlyShow == 'ios' || onlyShow == 'iosapp'){
							vm.GameAdsService.push(one[i]);
						}
						break;
					case 'unkonw':
						vm.GameAdsService.push(one[i]);
						break;
				}
			}
		}
		//底部浮窗广告
		var four = vm.AdsService.game.four;
		if(four) {
			vm.closeWindow = false;
			vm.staticBanner = [];
			for(var i = 0, j = four.length; i < j; i++) {
				var onlineTimeFour = four[i].onlineTime,
					offlineTimeFour = four[i].offlineTime;
				if(now > onlineTimeFour && now < offlineTimeFour) {
					vm.staticBanner.push(four[i]);
				}
			}
			if(vm.staticBanner.length > 0) {
				vm.staticId = vm.staticBanner[0].id;
				RecordDataService.recordData('hitID=game.bottom.onload.' + vm.staticId);
			}
		}
	});
	// 存储返回结果
	vm.appsBanlance;
	//存储应用Id
	var appsId = [];
	vm.$on('Game.Updated', function() {
		vm.GamesData = GameService.getStorage();
		setTimeout(function(){
			$('.amui-list-app-item-btn').show();
		});
		var timer = $timeout(function() {
			// 停止广播ion-refresher
			$scope.$broadcast('scroll.infiniteScrollComplete');
		}, 2000);
		// 隐藏 Loading 状态
		vm.showloading = false;
		//banner
		setTimeout(function() {
			var mySwiper = new Swiper('.swiper-container', {
				direction: 'horizontal',
				loop: true,
				pagination: '.swiper-pagination',
				scrollbarHide: true,
				autoplay: '4000'
			})
		}, 1000);
	});
	// 上拉更新
	vm.loadMore = function() {
		// 重新获取一次
		GameService.getMoreStorage();
	};
	vm.hasNextPage = function() {
		return GameService.hasNextPage();
		// 停止广播ion-refresher
		vm.$broadcast('scroll.infiniteScrollComplete');
	};
	//列表页点击打点
	vm.gameDetail = function(id, time, fullUrl) {
		RecordDataService.recordData('hitID=game.list.' + id);
		Cookie.set('hitIdReferer', 'game.list.' + id);
		if(fullUrl) {
			location.assign(fullUrl);
		} else {
			var url = "#/app/game-detail/" + time + '/' + id;
			location.assign(url || '/index.html#/app/home');
		}
	};
	//返回按钮
	vm.back = function() {
		Cookie.set('hitIdReferer','game.list');
		history.back();
	};
	//关闭悬浮窗
	vm.closeBanner = function(id) {
		vm.closeWindow = true;
		RecordDataService.recordData('hitID=game.bottom.close.' + vm.staticId);
	};
	setTimeout(function() {
		var mySwiper = new Swiper('.swiper-container', {
			direction: 'horizontal',
			loop: true,
			pagination: '.swiper-pagination',
			scrollbarHide: true,
			autoplay: '4000'
		})
	}, 1000);
	//banner广告点击
	vm.clickUrl = function(id, url, index, isCheckLogin) {
		RecordDataService.recordData('hitID=game.adbanner.' + id + '&posIdx=' + index);
		Cookie.set('hitIdReferer', 'game.adbanner.' + id + '&posIdx=' + index);
		setTimeout(function() {
			if(isCheckLogin == 0) {
				location.assign(url);
			} else {
				if(Cookie.get('userId')) {
					location.assign(url);
				} else {
					if(IsApp) {
						//app登录
						window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
					} else {
						Cookie.set('bannerUrl', url);
						location.assign('#/app/userLogin?from=banner');
					}
				}
			}
		}, 200);
	};
	//游戏列表点击下载app
	vm.clickApp = function(id, fileUrl, name, index) {
		RecordDataService.recordData('hitID=game.list.' + id + '.download');
		window.location.href = fileUrl;
	};
	//判断是否是app
	if(IsApp){
		App.finishLoad();
	}
})

// 应用详情控制器
.controller('appDetailController', function($scope, $stateParams, $rootScope, AppDetailService, LogApp, Cookie, RecordDataService, API_ENDPOINT, appGameDoTaskServise) {
		var id = $stateParams['id'];
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=app.detail.' + id + '&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'app.detail.' + id + '&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;
		// 显示 Loading 状态
		vm.showloading = true;
		// 获取应用对应的时间戳
		var timestamp = $stateParams['date'];
		// 获取应用对应的 ID
		$rootScope.appId = id;
		// 获取应用接口内容
		AppDetailService.getTimestampId('data/apps/detail/', timestamp, id);
		vm.appBanlance;
		$('.amui-app-btn').show();
		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('AppDetail.Updated', function() {
			// 获取应用存储数据
			vm.AppDetailData = AppDetailService.getStorage();
			if(vm.AppDetailData){
				var arr = [];
				if(vm.AppDetailData.picture1) {
					arr.push(vm.AppDetailData.picture1);
				}
				if(vm.AppDetailData.picture2) {
					arr.push(vm.AppDetailData.picture2);
				}
				if(vm.AppDetailData.picture3) {
					arr.push(vm.AppDetailData.picture3);
				}
				if(vm.AppDetailData.picture4) {
					arr.push(vm.AppDetailData.picture4);
				}
				if(vm.AppDetailData.picture5) {
					arr.push(vm.AppDetailData.picture5);
				}
				var arrLen = arr.length;
				var inner = $('.amui-app-scroll-inner');
				inner.css({
					'width': arrLen * 150 + 'px'
				});
			}else{
				history.back();
			}
			// 隐藏 Loading 状态
			vm.showloading = false;

		});
		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer','app.detail.' + id);
			history.back();
		};
		//游戏详情页点击下载
		vm.clickApp = function(id, fileUrl, name) {
			RecordDataService.recordData('hitID=app.detail.' + vm.AppDetailData.id + '.download');
			window.location.href = fileUrl;
		};
		if(IsApp){
			App.finishLoad();
		}

	})
	//游戏详情控制器
	.controller('gameDetailController', function($scope, $stateParams, $rootScope, AppDetailService, LogApp, RecordDataService, API_ENDPOINT, Cookie) {
		var id = $stateParams['id'];
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=game.detail.' + id + '&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'game.detail.' + id + '&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;
		// 显示 Loading 状态
		vm.showloading = true;
		// 获取应用对应的时间戳
		var timestamp = $stateParams['date'];
		// 获取应用对应的 ID
		var id = $stateParams['id'];
		$rootScope.appId = id;
		// 获取应用接口内容
		AppDetailService.getTimestampId('data/apps/detail/', timestamp, id);
		vm.appBanlance;
		$('.amui-app-btn').show();
		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('AppDetail.Updated', function() {

			// 获取应用存储数据
			vm.AppDetailData = AppDetailService.getStorage();
			if(vm.AppDetailData){
				var arr = [];
				if(vm.AppDetailData.picture1) {
					arr.push(vm.AppDetailData.picture1);
				}
				if(vm.AppDetailData.picture2) {
					arr.push(vm.AppDetailData.picture2);
				}
				if(vm.AppDetailData.picture3) {
					arr.push(vm.AppDetailData.picture3);
				}
				if(vm.AppDetailData.picture4) {
					arr.push(vm.AppDetailData.picture4);
				}
				if(vm.AppDetailData.picture5) {
					arr.push(vm.AppDetailData.picture5);
				}
	
				var arrLen = arr.length;
				var inner = $('.amui-app-scroll-inner');
				inner.css({
					'width': arrLen * 150 + 'px'
				});
				//console.log(arrLen);
			}else{
				history.back();
			}
			
			// 隐藏 Loading 状态
			vm.showloading = false;

		});

		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer','game.detail.' + id);
			history.back();
		};
		//游戏详情页点击下载
		vm.clickApp = function(id, fileUrl, name) {
			RecordDataService.recordData('hitID=game.detail.' + vm.AppDetailData.id + '.download');
			window.location.href = fileUrl;
		};
		if(IsApp){
			App.finishLoad();
		}
	})
	//h5小游戏
	.controller('h5GameController', function($scope, $timeout, H5GameService, LogH5App, Cookie, RecordDataService, API_ENDPOINT) {
		//判断是否从游戏详情页返回
		if(localStorage.getItem('h5gamecookie')) {
			localStorage.removeItem('h5gamecookie');
			location.reload();
		} else {
			var hitIdReferer = Cookie.get('hitIdReferer');
			RecordDataService.recordData('hitID=h5Game&refHitID=' + hitIdReferer);
			Cookie.set('hit', 'h5Game&refHitID=' + hitIdReferer);
			pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		}
		var vm = $scope;
		// 显示 Loading 状态
		vm.showloading = true;

		// 初始化异步请求数据
		H5GameService.getInitStorage();

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('H5Game.Updated', function() {

			vm.H5GamesData = H5GameService.getStorage();

			var timer = $timeout(function() {

				// 停止广播ion-refresher
				$scope.$broadcast('scroll.infiniteScrollComplete');

			}, 2000);

			// 隐藏 Loading 状态
			vm.showloading = false;

		});

		// 上拉更新
		vm.loadMore = function() {

			// 重新获取一次
			H5GameService.getMoreStorage();

		};

		vm.hasNextPage = function() {
			return H5GameService.hasNextPage();

			// 停止广播ion-refresher
			vm.$broadcast('scroll.infiniteScrollComplete');

		};

		vm.clickGame = function(id) {
			LogH5App.appData(id);
			RecordDataService.recordData('hitID=h5Game.' + id);
		};

		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer','h5Game');
			history.back();
		};

	})
	//个人中心
	.controller('personController', function($scope, Cookie, API_ENDPOINT, RecordDataService, getBalanceFlowService) {
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=uc&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'uc&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;
		//状态显示
		vm.showloading = true;
		var mobile = Cookie.get('mobile');
		vm.phoneNum = mobile.substring(0, 3) + "****" + mobile.substring(7, 11);
		//读取数据
		getBalanceFlowService.getInitStorage();
		vm.$on('getBalanceFlow.Updated', function() {
			vm.BalanceFlow = getBalanceFlowService.getStorage();
			vm.totalBalance = vm.BalanceFlow.balance;
			vm.totalTraffic = vm.BalanceFlow.traffic;
			vm.showloading = false;
		});
		setTimeout(function() {
			if(vm.BalanceFlow == undefined) {
				vm.showloading = false;
				$('#perNoNet').show();
				vm.reload = function() {
					location.reload();
				}
			}
		}, 20000);
		//返回键
		vm.back = function() {
			Cookie.set('hitIdReferer','uc');
			location.assign("#/app/home");
		};
		//个人资料
		vm.personalmes = function() {
			RecordDataService.recordData('hitID=uc.info');
			Cookie.set('hitIdReferer', 'uc.info');
			location.assign("#/app/personalmes?from=uc");
		};
		//意见反馈
		vm.feedback = function() {
			RecordDataService.recordData('hitID=uc.feedback');
			Cookie.set('hitIdReferer', 'uc.feedback');
			location.assign("#/app/feedback");
		};
		//关于我们
		vm.about = function() {
			RecordDataService.recordData('hitID=uc.about');
			Cookie.set('hitIdReferer', 'uc.about');
			location.assign("#/app/about");
		};
		//积分任务分类
		vm.integralCenter = function() {
			RecordDataService.recordData('hitID=uc.renwu');
			Cookie.set('hitIdReferer', 'uc.renwu');
			location.assign("#/app/integralRenwu");
		};
		//流量供应站
		vm.flow = function() {
			RecordDataService.recordData('hitID=uc.flow');
			Cookie.set('hitIdReferer', 'uc.flow');
			location.assign("#/app/flow");
		};
	})
	//个人资料
	.controller('personalmesController', function($scope, $http, $timeout, Cookie, Storage, API_ENDPOINT, RecordDataService) {
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=info&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'info&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		//日历插件
		$('#date').mobiscroll().date({
			theme: 'android-ics light',
			cancelText: '取消',
			lang: 'zh',
		});
		//动态 设置高度
		var screenHeight = $(window).height();
		$('.amui-personal-chose-list').height(screenHeight - 44);

		var vm = $scope;
		//手机号加密处理
		var mobile = Cookie.get('mobile');
		vm.phoneNum = mobile.substring(0, 3) + "****" + mobile.substring(7, 11);
		var persondata = [];
		//显示状态信息
		vm.showloading = true;
		var personmes = [];
		var sexId = '';
		//读取城市和职业列表
		var ListUrl = API_ENDPOINT.uc + '/api/mycenter/dicts?channel=' + groupId + '&groupId=' + groupId + '&t=' + Date.parse(new Date());
		$.ajax({
			type: "get",
			url: ListUrl,
			async: false,
			timeout: 20000,
			success: function(data) {
				vm.showloading = false;
				vm.jobList = data.result.job;
				vm.CityList = data.result.province;
				//读取个人信息
				var readUrl = API_ENDPOINT.uc + '/api/mycenter/user/basicInfo?userId=' + Cookie.get('userId') + '&token=' + Cookie.get('token') + '&channel=' + groupId + '&groupId=' + groupId + '&t=' + Date.parse(new Date());
				$http.get(readUrl)
					.success(function(data) {
						//console.log(data);
						personmes[0] = data.result.genderStr;
						personmes[1] = data.result.birthdate.substring(0, 10);
						personmes[2] = data.result.province;
						personmes[3] = data.result.job;
						Cookie.set('cityId', data.result.provinceCode);
						Cookie.set('jobId', data.result.jobCode);
						if(persondata[0] == '') {
							vm.sex = '';
						} else if(personmes[0] == 'm') {
							personmes[4] = '男';
							Cookie.set('sexId', 'm');
						} else if(personmes[0] == 'w') {
							personmes[4] = '女';
							Cookie.set('sexId', 'w');
						}

						if(data.result.genderStr == '') {
							vm.sex = '';
						} else if(data.result.genderStr == 'm') {
							vm.sex = '男';
						} else if(data.result.genderStr == 'w') {
							vm.sex = '女';
						}
						$('#date').val(data.result.birthdate.substring(0, 10));
						vm.city = data.result.province;
						vm.job = data.result.job;
					});
				//性别数据
				vm.sexs = [{
					sex: '男'
				}, {
					sex: '女'
				}];
				//点击弹出选择框
				vm.chose = function(index) {
					$('.amui-personal-chose-list').hide();
					$('.amui-personal-chose-list').eq(index).show();
					Cookie.set('index', index);
				};
				//点击选择信息
				vm.chosed = function($index, id) {
					if(Cookie.get('index') == 0) {
						vm.sex = vm.sexs[$index].sex;
						if(vm.sex == '男') {
							Cookie.set('sexId', 'm');
						} else if(vm.sex == '女') {
							Cookie.set('sexId', 'w');
						}
					};
					if(Cookie.get('index') == 1) {
						vm.city = vm.CityList[$index].value;
						Cookie.set('cityId', id);
					};
					if(Cookie.get('index') == 2) {
						vm.job = vm.jobList[$index].value;
						Cookie.set('jobId', id);
					};
				};
				//点击取消
				vm.exit = function() {
					$('.amui-personal-chose-list').hide();
				};
				//本身点击取消
				$('.amui-personal-chose-list').on('click', function() {
					$(this).hide();
				});
				//每次点击完成判断按钮是否可提交
				document.ontouchend = document.onclick = function() {
					if($('#date').val() != '') {
						vm.birth = $('#date').val();
					}
					if(personmes[0] == '') {
						if(vm.sex != '' && vm.birth != '' && vm.city != '' && vm.job != '') {
							$('.amui-feedback-btn div').removeClass('no-style');
						}
					} else {
						if(vm.birth != personmes[1] || vm.city != personmes[2] || vm.job != personmes[3] || vm.sex != personmes[4]) {
							$('.amui-feedback-btn div').removeClass('no-style');
						}
					}

				};
				//提交按钮
				$('.amui-feedback-btn-txt').on('click', function() {
					if($(this).hasClass('no-style')) {} else {
						vm.showloading = true;
						var onLineStatus = API_ENDPOINT.uc + '/api/user4wifi/checkLogin?mac=' + mac + '&t=' + Date.parse(new Date());
						$http.get(onLineStatus)
							.success(function() {
								var ApiUrl = API_ENDPOINT.uc + '/api/mycenter/user/update?t=' + Date.parse(new Date());
								$.ajax({
									type: "post",
									url: ApiUrl,
									async: false,
									data: {
										"userId": Cookie.get('userId'),
										"token": Cookie.get('token'),
										"provinceCode": Cookie.get('cityId'),
										"jobCode": Cookie.get('jobId'),
										"genderStr": Cookie.get('sexId'),
										"birthdate": vm.birth,
										"mac": mac,
										"groupId": groupId,
									},
									contentType: 'application/x-www-form-urlencoded',
									success: function(data) {
										//console.log(data.result);
										if(data.result.balance) {
											vm.showloading = false;
											$('#mesFirst').show();
											vm.balance = data.result.balance;
											var time = $timeout(function() {
												goBack();
												location.reload();

											}, 2000);
										} else {
											if(data.err == '' || data.err == 'none') {
												vm.showloading = false;
												$('#mesSuccess').show();
												var time = $timeout(function() {
													goBack();
													location.reload();
												}, 2000);
											} else {
												vm.showloading = false;
												$('#mesError').show();
												setTimeout(function() {
													$('#mesError').hide();
												}, 2000);
											}
										}
									}
								});
							})
							.error(function() {
								$('#mes').show();
								vm.showloading = false;
								vm.reload = function() {
									$('#mes').hide();
									location.reload();
								};
							})

					}
				});

			},
			complete: function(XMLHttpRequest, status) {
				if(status == 'timeout') {
					$('#mes').show();
					vm.reload = function() {
						$('#mes').hide();
						location.reload();
					};
				}
			}
		});

		//返回按钮
		vm.back = function() {
			goBack();
		};
		
		function goBack(){
			Cookie.set('hitIdReferer','info');
			var url = window.location.href;
			var from = url.split("=")[1];
			switch(from){
				case 'uc':
				location.assign("#/app/person");
				break;
				case 'renwu':
				location.assign("#/app/integralRenwu");
				break;
			}
		};
	})
	//意见反馈
	.controller('feedbackController', function($http, $scope, Cookie, API_ENDPOINT, RecordDataService) {
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=feedback&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'feedback&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;
		//初始状态
		vm.sueecssshow = false;
		//获取问题列表
		localStorage.setItem('feedbackObj', '其他');
		localStorage.setItem('feedbackId', '1');
		localStorage.setItem('num', 0);
		var ApiUrl = API_ENDPOINT.uc + '/api/feedback/type/list?platform=1&groupId=2&channel=2&t=' + Date.parse(new Date());
		$.ajax({
			type: "get",
			url: ApiUrl,
			async: false,
			success: function(data) {
				vm.feedbackList = data.result;

				//寻找其他的位置
				for(var i = 0; i < vm.feedbackList.length; i++) {
					if(vm.feedbackList[i].name == '其他') {
						vm.num = i;
					}
				}
				//延时给其他位置添加样式
				setTimeout(function() {
					var aEls = document.querySelectorAll('.amui-feedback-question-list label');
					aEls[vm.num].className = 'active';
				});

				vm.listLength = Math.ceil(vm.feedbackList.length / 2);
				vm.labelClick = function(obj, id, index) {
					localStorage.setItem('feedbackObj', obj);
					localStorage.setItem('feedbackId', id);
					var aEls = document.querySelectorAll('.amui-feedback-question-list label');
					for(var i = 0; i < aEls.length; i++) {
						aEls[i].className = '';
					}
					aEls[index].className = 'active';
					if(obj == '其他') {
						$('.amui-feedback-btn-txt').addClass('no-style');
					}
					if(obj == '其他' && localStorage.getItem('num') >= 10) {
						$('.amui-feedback-btn-txt').removeClass('no-style');
					}
					if(obj != '其他') {
						$('.amui-feedback-btn-txt').removeClass('no-style');
					}
				};
				var textArea = $("#wordCount");
				var word = $('.word');
				//实时监测文本框字数
				document.onkeyup = function() {
					var len = textArea.val().length;
					localStorage.setItem('num', len);
					word.html(len);
					if(localStorage.getItem('feedbackObj') == '其他' && len >= 10) {
						$('.amui-feedback-btn-txt').removeClass('no-style');
					}
					if(localStorage.getItem('feedbackObj') == '其他' && len < 10) {
						$('.amui-feedback-btn-txt').addClass('no-style');
					}
					if(localStorage.getItem('feedbackObj') != '其他') {
						$('.amui-feedback-btn-txt').removeClass('no-style');
					}
					localStorage.setItem('feedbackDescription', textArea.val());
				};
				//点击提交数据
				$('.amui-feedback-btn-txt').on('click', function() {
					if($(this).hasClass('no-style')) {} else {
						vm.showloading = true;
						//判断网络是否连接
						var UA = navigator.userAgent;
						var onLineStatus = API_ENDPOINT.uc + '/api/user4wifi/checkLogin?mac=' + mac + '&t=' + Date.parse(new Date());
						$http.get(onLineStatus)
							.success(function() {
								var ApiUrl = API_ENDPOINT.uc + '/api/feedback/save?channel=' + groupId + '&groupId=' + groupId + '&t=' + Date.parse(new Date());
								$.ajax({
									type: "post",
									url: ApiUrl,
									async: false,
									data: {
										"fbTypeId": localStorage.getItem('feedbackId'),
										"platform": 1,
										"groupId": groupId,
										"userId": Cookie.get('userId'),
										"mobile": Cookie.get('mobile'),
										"deviceNo": "111",
										"userAgent": UA,
										"description": localStorage.getItem('feedbackDescription')
									},
									contentType: 'application/x-www-form-urlencoded',
									success: function(data) {
										if(data.err == 'none') {
											$('#feedbackSuccess').show();
											vm.showloading = false;
											setTimeout(function() {
												vm.sueecssshow = false;
												Cookie.set('hitIdReferer','feedback');
												location.assign("#/app/person");
												location.reload();
											}, 2000);
										} else {
											$('#feedbackError').show();
											vm.showloading = false;
											setTimeout(function() {
												$('#feedbackError').hide();
											}, 2000);
										}
									}
								});
							})
							.error(function() {
								vm.showloading = false;
								$('#feedbackNoNet').show();
								vm.reload = function() {
									location.reload();
								}
							})

					}
				});

			}
		});

		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer','feedback');
			location.assign("#/app/person");
		};
	})
	//关于我们
	.controller('aboutController', function($scope, RecordDataService, Cookie, API_ENDPOINT) {
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=about');
		var vm = $scope;
		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer','about');
			location.assign("#/app/person");
		};
	})
	//流量供应站
	.controller('flowController', function($scope, Cookie, API_ENDPOINT, getBalanceFlowService, RecordDataService) {
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=flow&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'flow&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;
		$('.amui-flow-outer').height($(window).height());
		//状态初始
		vm.showloading = true;
		getStorage();
		getBalanceFlowService.getInitStorage();
		vm.$on('getBalanceFlow.Updated', function() {
			vm.BalanceFlow = getBalanceFlowService.getStorage();
			vm.totalBalance = vm.BalanceFlow.balance;
			vm.exchange = function(url, id, prodId, balance) {
				RecordDataService.recordData('hitID=flow.' + id);
				//console.log(balance);
				vm.balance = balance;
				var totalBalance = vm.totalBalance;
				if(balance > totalBalance) {
					$('#flowLess').show();
					var time = setInterval(function() {
						$('#flowLess').hide();
					}, 2000);
				} else {
					$('#buytraffic').show();
					vm.buytrafficNo = function() {
						$('#buytraffic').hide();
					};
					vm.buytrafficOk = function() {
						$('#buytraffic').hide();
						vm.showloading = true;
						var ApiUrl = API_ENDPOINT.uc + '/traffic/score2traffic?token=' + Cookie.get('token') + '&userId=' + Cookie.get('userId') + '&taskId=' + id + '&mac=' + mac + '&productId=' + prodId + '&channel=2&t=' + Date.parse(new Date());
						//console.log(ApiUrl);
						$.ajax({
							type: "get",
							url: ApiUrl,
							async: true,
							success: function(data) {
								if(data.err == 'none') {
									$('#flowSuccess').show();
									var mytraffic = data.result.mytraffic;
									var openNet = API_ENDPOINT.obs;
									RecordDataService.recordData('hitID=flow.' + id + '.ok.' + mytraffic);
									$.ajax({
										type: "post",
										url: openNet,
										async: true,
										data: {
											mac: mac,
											traffic: mytraffic
										},
										contentType: 'application/x-www-form-urlencoded',
										success: function(data) {
											//console.log(data);
										}
									});
									setTimeout(function() {
										location.reload();
									}, 2000);
								} else {
									$('#flowError').show();
									setTimeout(function() {
										vm.showloading = false;
										$('#flowError').hide();
									}, 2000);
								}

							}
						});
					};

				}

			};

		});

		function getStorage() {
			var ApiUrl = API_ENDPOINT.uc + '/traffic/tasklist?token=' + Cookie.get('token') + '&userId=' + Cookie.get('userId') + '&pageSize=100&pageNo=1&channel=' + groupId + '&groupId=' + groupId + '&t=' + Date.parse(new Date());
			//console.log(ApiUrl);
			$.ajax({
				type: "get",
				url: ApiUrl,
				async: true,
				timeout: 20000,
				success: function(data) {
					vm.showloading = false;
					//console.log(data);
					vm.trafficList = data.result;
				},
				complete: function(XMLHttpRequest, status) {
					if(status == 'timeout') {
						vm.showloading = false;
						$('#feedbackNoNet').show();
						vm.reload = function() {
							$('#feedbackNoNet').hide();
							location.reload();
						};
					}
				}

			});
		};
		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer','flow');
			location.assign("#/app/person");
		};
	})
	//积分列表
	.controller('integralController', function($scope, $http, Cookie, API_ENDPOINT, AdsService, getBalanceFlowService, integralListService, RecordDataService) {
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=sc&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'sc&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;
		vm.showloading = true;
		vm.tasks = '';
		//下载app
		if(Cookie.get('iosApkUrl')){
			var iosApkUrl = Cookie.get('iosApkUrl');
			Cookie.remove('iosApkUrl');
			location.assign(iosApkUrl);
		}
		//匹配id
		var url = location.href;
		var taskId = url.split("=")[1];
		//拿数据
		integralListService.getInitStorage(taskId);
		//保存所有积分任务
		vm.$on('integralList.Updated', function() {
			vm.showloading = false;
			vm.tasks = integralListService.getStorage();
			//console.log(vm.tasks);
		});
		vm.loadMore = function() {
			// 重新获取一次
			//console.log(1);
			integralListService.getMoreStorage(taskId);
		};
		//是够有下一页
		vm.hasNextPage = function() {
			return integralListService.hasNextPage();
			// 停止广播ion-refresher
			vm.$broadcast('scroll.infiniteScrollComplete');
		};
		//断网操作
		setTimeout(function() {
			if(vm.tasks) {

			} else {
				vm.showloading = false;
				$('#nonet').show();
				vm.reload = function() {
					location.reload();
				}
			}
		}, 20000);
		//点击做任务跳转
		vm.UrlClick = function(prodId, type, id, balance, appLoadUrl, taskName) {
			var mac = mac;
			var token = Cookie.get('token');
			var userId = Cookie.get('userId');
			var callbackUrl = encodeURIComponent(location.href);
			RecordDataService.recordData('hitID=sc.' + id);
			Cookie.set('hitIdReferer', 'task.list.' + id);
			//首次注册
			if(type == 1) {
				var ApiUrl = API_ENDPOINT.uc + '/score/executetask?userId=' + userId + '&channel=' + groupId + '&taskId=' + id + '&mac=' + mac + '&token=' + token + '&referer=www.wangfanwifi.com&t=' + Date.parse(new Date());
				//console.log(ApiUrl);
				$.ajax({
					type: "get",
					url: ApiUrl,
					async: true,
					success: function(data) {
						//console.log(data);
						vm.firstBalance = data.result.balance;
						$('#firstLogin').show();
						setTimeout(function() {
							$('#firstLogin').hide();
							location.reload();
						}, 5000);
					}
				});
			}
			//跳转完善个人信息
			if(type == 2) {
				var ApiUrl = '#/app/personalmes';
				location.assign(ApiUrl);
			}
			//跳转增分广告任务
			if(type == 3) {
				if(id == 9451 || id == 9452 || id == 9453){
					var ApiUrl = 'http://www.wangfanwifi.com/topic/zengfen/index.html?id=' + id;
				}else{
					var ApiUrl = API_ENDPOINT.uc + '/points/custfans?cid=' + prodId + '&mac=' + mac + '&token=' + token + '&userId=' + userId + '&taskId=' + id + '&purl=' + callbackUrl + '&channel=' + groupId + '&groupId=' + groupId + '&t=' + Date.parse(new Date());
				}
				location.assign(ApiUrl);
			}
			//跳转注册广告任务
			if(type == 4) {
				var ApiUrl = API_ENDPOINT.uc + '/points/custreg?cid=' + prodId + '&mac=' + mac + '&token=' + token + '&userId=' + userId + '&taskId=' + id + '&purl=' + callbackUrl + '&channel=' + groupId + '&groupId=' + groupId + '&t=' + Date.parse(new Date());
				location.assign(ApiUrl);
			}
			//跳转一键上网广告任务
			if(type == 5) {
				var ApiUrl = API_ENDPOINT.uc + '/smartreg/register?from=wangfanwifi&referer=www.wangfanwifi.com&entrance=4&cid=' + prodId + '&mac=' + mac + '&token=' + token + '&userId=' + userId + '&taskId=' + id + '&callback=' + callbackUrl + '&channel=' + groupId + '&groupId=' + groupId + '&t=' + Date.parse(new Date());
				location.assign(ApiUrl);
			}
			//首次进入频道
			if(type == 7) {
				//电影频道
				if(id == '71f8f7t19x184a3f972c6f4ed19gv5tl') {
					var ApiUrl = '#/app/movie';
					location.assign(ApiUrl);
				}
				//小说频道
				if(id == 's59ef7t19x184a3f972c6f4ed19ga261') {
					var ApiUrl = '#/app/novel';
					location.assign(ApiUrl);
				}
				//新片速递
				if(id == 's53v8pt19x184a3f972c6f4e2m86axef') {
					var ApiUrl = './topic/20160525/newMovie.html';
					location.assign(ApiUrl);
				}
				//广告海报
				if(id == '4ab2b506d0a147f8beb2a94b198d177e') {
					var ApiUrl = '#/app/sanrenxing';
					location.assign(ApiUrl);
				}
			}
			if(type == 8){
				vm.appBalance = balance;
				vm.taskName = taskName;
				var apiLoadUrl = API_ENDPOINT.uc + '/score/executetask?userId=' + userId + '&channel=2&taskId=' + id + '&mac=' + mac + '&t=' + Date.parse(new Date());
				//请求增加积分任务
				$http.get(apiLoadUrl)
				.success(function(data){
					if(data.err == 'none'){
						showBanlance();
					}else{
						downloadApp();
					}
				})
				.error(function(){
					downloadApp();
				})
				//提示用户积分增加
				function showBanlance(){
					if(vm.appBalance){
						$('#appLoad').show();
						setTimeout(function(){
							$('#appLoad').hide();
							downloadApp();
						},2000);
					}
				};
				//下载app
				function downloadApp(){
					if(appLoadUrl){
						RecordDataService.recordData('hitID=wangfan.apk.download.' + id);
						var ua = navigator.userAgent.toLowerCase();	
						if (/iphone|ipad|ipod/.test(ua)) {
							Cookie.set('iosApkUrl',appLoadUrl);
							location.reload();
						} else if (/android/.test(ua)) {
							location.assign(appLoadUrl);
							setTimeout(function(){
								location.reload();
							},2000);
						}
					}
				};
			}
		};
		vm.history = function() {
			RecordDataService.recordData('hitID=sc.history');
			Cookie.set('hitIdReferer', 'sc.history');
			location.assign("#/app/integralrecord");
		};
		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer','sc');
			location.replace("#/app/integralRenwu");
		};
	})
	//积分分类
	.controller('integralRenwuController', function($http, $scope, Cookie, API_ENDPOINT, getBalanceFlowService, RecordDataService, taskListService) {
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=task.class.page&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'task.class.page&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;
		//初始状态定义
		vm.showloading = true;
		vm.taskList = '';
		//下载app
		if(Cookie.get('iosApkUrl')){
			var iosApkUrl = Cookie.get('iosApkUrl');
			Cookie.remove('iosApkUrl');
			location.assign(iosApkUrl);
		}
		//拿数据
		getBalanceFlowService.getInitStorage();
		taskListService.getInitStorage();
		//保存积分总量和流量总量
		vm.$on('getBalanceFlow.Updated', function() {
			vm.BalanceFlow = getBalanceFlowService.getStorage();
			vm.totalBalance = vm.BalanceFlow.balance;
		});
		//保存积分分类列表
		vm.$on('taskList.Updated', function() {
			vm.taskList = taskListService.getStorage();
			//console.log(vm.taskList);
			vm.showloading = false;
		});
		//设置超时加载
		setTimeout(function() {
			if(vm.taskList) {} else {
				$('#nonet').show();
				vm.showloading = false;
			}
		}, 20000);
		//页面数据超时点击重新加载
		vm.reload = function() {
			location.reload();
		};
		//跳转做任务
		vm.goWork = function(lastNum, allNum, id) {
			RecordDataService.recordData('hitID=task.class.' + id);
			Cookie.set('hitIdReferer', 'task.class.' + id);
			var userId = Cookie.get('userId');
			var token = Cookie.get('token');
			//任务总数为1当前可做任务为0
			if(allNum == 1 && lastNum == 0) {
				$('#taskNo').show();
				setTimeout(function() {
					$('#taskNo').hide();
				}, 2000);
			}
			//任务总数为1当前可任务为1
			if(allNum == 1 && lastNum == 1) {
				//下载wfapp
				if(id == 8){
					var ua = navigator.userAgent.toLowerCase();	
					if (/iphone|ipad|ipod/.test(ua)) {
						var app = 1;
					} else if (/android/.test(ua)) {
						var app = 2;
					}
					var apiUrl = API_ENDPOINT.uc + '/score/apptasklist?token=' + token + '&userId=' + userId + '&channel=2&app='+ app +'&categoryId=' + id + '&pageSize=10000&pageNo=1&t=' + Date.parse(new Date());
					//请求此类任务的积分值和下载路径
					$http.get(apiUrl)
					.success(function(data){
						vm.appBalance = data.result[0].balance;
						var appLoadUrl = data.result[0].url;
						var appTaskId = data.result[0].id;
						vm.taskName = data.result[0].taskName;
						var apiLoadUrl = API_ENDPOINT.uc + '/score/executetask?userId=' + userId + '&channel=2&taskId=' + appTaskId + '&mac=' + mac + '&t=' + Date.parse(new Date());
						//请求增加积分任务
						$http.get(apiLoadUrl)
						.success(function(data){
							if(data.err == 'none'){
								showBanlance();
							}else{
								downloadApp();
							}
						})
						.error(function(){
							downloadApp();
						})
						//提示用户积分增加
						function showBanlance(){
							if(vm.appBalance){
								$('#appLoad').show();
								setTimeout(function(){
									$('#appLoad').hide();
									downloadApp();
								},2000);
							}
						};
						//下载app
						function downloadApp(){
							if(appLoadUrl){
								RecordDataService.recordData('hitID=wangfan.apk.download.' + appTaskId);
								var ua = navigator.userAgent.toLowerCase();	
								if (/iphone|ipad|ipod/.test(ua)) {
									Cookie.set('iosApkUrl',appLoadUrl);
									location.reload();
								} else if (/android/.test(ua)) {
									location.assign(appLoadUrl);
									setTimeout(function(){
										location.reload();
									},2000);
								}
							}
						};
					})
				}
				//其他任务情况
				else{
					var apiUrl = API_ENDPOINT.uc + '/score/tasklist?token=' + Cookie.get('token') + '&userId=' + Cookie.get('userId') + '&channel=2&categoryId=' + id + '&t=' + Date.parse(new Date());
					$http.get(apiUrl)
					.success(function(data) {
						RecordDataService.recordData('hitID=task.class.only.' + data.result[0].id);
						//console.log(data);
						var mac = mac;
						var token = Cookie.get('token');
						var userId = Cookie.get('userId');
						var callbackUrl = encodeURIComponent(location.href);
						var finalaUrl = data.result[0].prodId + '&mac=' + mac + '&token=' + token + '&userId=' + userId + '&taskId=' + data.result[0].id + '&purl=' + callbackUrl + '&channel=' + groupId + '&groupId=' + groupId;
						if(data.result[0].taskType == 1) {
							//首次注册
							var ApiUrl = API_ENDPOINT.uc + '/score/executetask?userId=' + userId + '&channel=' + groupId + '&taskId=1&mac=' + mac + '&token=' + token + '&referer=www.wangfanwifi.com' + '&t=' + Date.parse(new Date());
							$.ajax({
								type: "get",
								url: ApiUrl,
								async: true,
								success: function(data) {
									vm.firstBalance = data.result.balance;
									setTimeout(function() {
										$('#firstLogin').show();
									}, 500);
									setTimeout(function() {
										$('#firstLogin').hide();
										location.reload();
									}, 5000);
								}
							});
						}
						if(data.result[0].taskType == 2) {
							//首次完善信息
							var ApiUrl = '#/app/personalmes?from=renwu';
							location.assign(ApiUrl);
						}
						//跳转增分广告任务
						if(data.result[0].taskType == 3) {
							var ApiUrl = API_ENDPOINT.uc + '/points/custfans?cid=' + finalaUrl + '&t=' + Date.parse(new Date());
							location.assign(ApiUrl);
						}
						//跳转注册广告任务
						if(data.result[0].taskType == 4) {
							var ApiUrl = API_ENDPOINT.uc + '/points/custreg?cid=' + finalaUrl + '&t=' + Date.parse(new Date());
							location.assign(ApiUrl);
						}
						//跳转一键上网广告任务
						if(data.result[0].taskType == 5) {
							var ApiUrl = API_ENDPOINT.uc + '/smartreg/register?from=wangfanwifi&referer=www.wangfanwifi.com&entrance=4&cid=' + finalaUrl + '&t=' + Date.parse(new Date());
							location.assign(ApiUrl);
						}
						//首次进入频道
						if(data.result[0].taskType == 7) {
							//电影频道
							if(id == '71f8f7t19x184a3f972c6f4ed19gv5tl') {
								var ApiUrl = '#/app/movie';
								location.assign(ApiUrl);
							}
							//小说频道
							if(id == 's59ef7t19x184a3f972c6f4ed19ga261') {
								var ApiUrl = '#/app/novel';
								location.assign(ApiUrl);
							}
							//新片速递
							if(id == 's53v8pt19x184a3f972c6f4e2m86axef') {
								var ApiUrl = './topic/20160525/newMovie.html';
								location.assign(ApiUrl);
							}
							//广告海报
							if(id == '4ab2b506d0a147f8beb2a94b198d177e') {
								var ApiUrl = '#/app/sanrenxing';
								location.assign(ApiUrl);
							}
						}
					})
				}
			}
			//任务总数大于1
			if(allNum > 1) {
				location.replace("#/app/integralCenter?taskId=" + id);
			}
		};
		//跳转历史纪录
		vm.history = function() {
			RecordDataService.recordData('hitID=sc.history');
			Cookie.set('hitIdReferer', 'sc.history');
			location.replace("#/app/integralrecord");
		};
		//banner打点
		vm.clickUrl = function() {
			RecordDataService.recordData('hitID=task.adbanner.1111111&posIdx=1');
			Cookie.set('hitIdReferer', 'task.adbanner.1111111&posIdx=1');
			location.assign('#/app/olympic-lottery');
		};
		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer','task.class.page');
			if(Cookie.get('movieUrl')) {
				Cookie.remove('movieUrl');
				history.back();
			} else if(Cookie.get('OlympicUrl')) {
				Cookie.remove('OlympicUrl');
				location.replace(Cookie.get('OlympicUrl'));
			} else {
				location.assign("#/app/person");
			}
		};
	})
	//积分记录
	.controller('integralrecordController', function($scope, $http, Cookie, API_ENDPOINT, getBalanceFlowService, RecordDataService, integralRecordService) {
		//打点
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=history&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'history&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;
		vm.showloading = true;
		vm.nonet = false;
		getBalanceFlowService.getInitStorage();
		integralRecordService.getInitStorage();
		vm.$on('getBalanceFlow.Updated', function() {
			vm.totalBalance = getBalanceFlowService.getStorage().balance;
		});
		vm.$on('integralRecord.Updated', function() {
			vm.showloading = false;
			vm.records = integralRecordService.getStorage();
			//console.log(vm.records);
		});
		setTimeout(function() {
			if(vm.records == undefined) {
				vm.nonet = true;
				vm.reload = function() {
					location.reload();
				}
			}
		}, 5000);
		// 上拉更新
		vm.loadMore = function() {
			// 重新获取一次
			integralRecordService.getMoreStorage();
			vm.$broadcast('scroll.infiniteScrollComplete');
		};
		//是够有下一页
		vm.hasNextPage = function() {
			return integralRecordService.hasNextPage();

			// 停止广播ion-refresher
			vm.$broadcast('scroll.infiniteScrollComplete');

		};
		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer','history');
			location.replace("#/app/integralRenwu");
		};
	})
	//目的地城市列表
	.controller('cityListController', function($scope, $http, Cookie, $rootScope, API_ENDPOINT, RecordDataService) {
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=city.list&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'city.list&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;
		var url = API_ENDPOINT.cityList;
		vm.showloading = true;
		//城市列表
		$http.get(url)
			.success(function(data) {
				$rootScope.cityList = data.result;
				vm.cityA = [];
				vm.cityB = [];
				vm.cityC = [];
				vm.cityD = [];
				vm.cityE = [];
				vm.cityF = [];
				vm.cityG = [];
				vm.cityH = [];
				vm.cityI = [];
				vm.cityJ = [];
				vm.cityK = [];
				vm.cityL = [];
				vm.cityM = [];
				vm.cityN = [];
				vm.cityO = [];
				vm.cityP = [];
				vm.cityQ = [];
				vm.cityR = [];
				vm.cityS = [];
				vm.cityT = [];
				vm.cityU = [];
				vm.cityV = [];
				vm.cityW = [];
				vm.cityX = [];
				vm.cityY = [];
				vm.cityZ = [];

				for(var i = 0, j = 15; i < j; i++) {

					switch($rootScope.cityList[i].firstLetter) {
						case "a":
							vm.cityA.push($rootScope.cityList[i]);
							break;
						case "b":
							vm.cityB.push($rootScope.cityList[i]);
							break;
						case "c":
							vm.cityC.push($rootScope.cityList[i]);
							break;
						case "d":
							vm.cityD.push($rootScope.cityList[i]);
							break;
						case "e":
							vm.cityE.push($rootScope.cityList[i]);
							break;
						case "f":
							vm.cityF.push($rootScope.cityList[i]);
							break;
						case "g":
							vm.cityG.push($rootScope.cityList[i]);
							break;
						case "h":
							vm.cityH.push($rootScope.cityList[i]);
							break;
						case "i":
							vm.cityI.push($rootScope.cityList[i]);
							break;
						case "j":
							vm.cityJ.push($rootScope.cityList[i]);
							break;
						case "k":
							vm.cityK.push($rootScope.cityList[i]);
							break;
						case "l":
							vm.cityL.push($rootScope.cityList[i]);
							break;
						case "m":
							vm.cityM.push($rootScope.cityList[i]);
							break;
						case "n":
							vm.cityN.push($rootScope.cityList[i]);
							break;
						case "o":
							vm.cityO.push($rootScope.cityList[i]);
							break;
						case "p":
							vm.cityP.push($rootScope.cityList[i]);
							break;
						case "q":
							vm.cityQ.push($rootScope.cityList[i]);
							break;
						case "r":
							vm.cityR.push($rootScope.cityList[i]);
							break;
						case "s":
							vm.cityS.push($rootScope.cityList[i]);
							break;
						case "t":
							vm.cityT.push($rootScope.cityList[i]);
							break;
						case "u":
							vm.cityU.push($rootScope.cityList[i]);
							break;
						case "v":
							vm.cityV.push($rootScope.cityList[i]);
							break;
						case "w":
							vm.cityW.push($rootScope.cityList[i]);
							break;
						case "x":
							vm.cityX.push($rootScope.cityList[i]);
							break;
						case "y":
							vm.cityY.push($rootScope.cityList[i]);
							break;
						case "z":
							vm.cityZ.push($rootScope.cityList[i]);
							break;

					}
				}

				vm.showloading = false;

				for(var i = 16, j = $rootScope.cityList.length; i < j; i++) {

					switch($rootScope.cityList[i].firstLetter) {
						case "a":
							vm.cityA.push($rootScope.cityList[i]);
							break;
						case "b":
							vm.cityB.push($rootScope.cityList[i]);
							break;
						case "c":
							vm.cityC.push($rootScope.cityList[i]);
							break;
						case "d":
							vm.cityD.push($rootScope.cityList[i]);
							break;
						case "e":
							vm.cityE.push($rootScope.cityList[i]);
							break;
						case "f":
							vm.cityF.push($rootScope.cityList[i]);
							break;
						case "g":
							vm.cityG.push($rootScope.cityList[i]);
							break;
						case "h":
							vm.cityH.push($rootScope.cityList[i]);
							break;
						case "i":
							vm.cityI.push($rootScope.cityList[i]);
							break;
						case "j":
							vm.cityJ.push($rootScope.cityList[i]);
							break;
						case "k":
							vm.cityK.push($rootScope.cityList[i]);
							break;
						case "l":
							vm.cityL.push($rootScope.cityList[i]);
							break;
						case "m":
							vm.cityM.push($rootScope.cityList[i]);
							break;
						case "n":
							vm.cityN.push($rootScope.cityList[i]);
							break;
						case "o":
							vm.cityO.push($rootScope.cityList[i]);
							break;
						case "p":
							vm.cityP.push($rootScope.cityList[i]);
							break;
						case "q":
							vm.cityQ.push($rootScope.cityList[i]);
							break;
						case "r":
							vm.cityR.push($rootScope.cityList[i]);
							break;
						case "s":
							vm.cityS.push($rootScope.cityList[i]);
							break;
						case "t":
							vm.cityT.push($rootScope.cityList[i]);
							break;
						case "u":
							vm.cityU.push($rootScope.cityList[i]);
							break;
						case "v":
							vm.cityV.push($rootScope.cityList[i]);
							break;
						case "w":
							vm.cityW.push($rootScope.cityList[i]);
							break;
						case "x":
							vm.cityX.push($rootScope.cityList[i]);
							break;
						case "y":
							vm.cityY.push($rootScope.cityList[i]);
							break;
						case "z":
							vm.cityZ.push($rootScope.cityList[i]);
							break;
					}
				}

			})
			.error(function() {
				setTimeout(function() {
					if(vm.tasks == undefined) {
						vm.showloading = false;
						$('#nonet').show();
						vm.reload = function() {
							location.reload();
						}
					}
				}, 5000);
			})

		var top8_url = API_ENDPOINT.top8;
		var deviceSn = Cookie.get('SN');
		//top8城市
		$http.get(top8_url + "?deviceSn=" + deviceSn)
			.success(function(data) {
				vm.top8 = data.result;
				var repeatCity = []; //重复的城市
				if(vm.top8.length < 8) {
					var default8City = [ //默认的8个城市
						{
							"code": 101010100,
							"firstLetter": "b",
							"latitude": 39.929986,
							"longitude": 116.395645,
							"name": "北京",
							"pinyin": "beijing"
						}, {
							"code": 101020100,
							"firstLetter": "s",
							"latitude": 31.249162,
							"longitude": 121.487899,
							"name": "上海",
							"pinyin": "shanghai"
						}, {
							"code": 101280101,
							"firstLetter": "g",
							"latitude": 23.120049,
							"longitude": 113.30765,
							"name": "广州",
							"pinyin": "guangzhou"
						}, {
							"code": 101270101,
							"firstLetter": "c",
							"latitude": 30.679943,
							"longitude": 104.067923,
							"name": "成都",
							"pinyin": "chengdu"
						}, {
							"code": 101030100,
							"firstLetter": "t",
							"latitude": 39.14393,
							"longitude": 117.210813,
							"name": "天津",
							"pinyin": "tianjin"
						}, {
							"code": 101120101,
							"firstLetter": "j",
							"latitude": 36.682785,
							"longitude": 117.024967,
							"name": "济南",
							"pinyin": "jinan"
						}, {
							"code": 101220101,
							"firstLetter": "h",
							"latitude": 31.866942,
							"longitude": 117.282699,
							"name": "合肥",
							"pinyin": "hefei"
						}, {
							"code": 101190101,
							"firstLetter": "n",
							"latitude": 32.057236,
							"longitude": 118.778074,
							"name": "南京",
							"pinyin": "nanjing"
						}
					];

					//对比并默认城市中存在的top8城市数据，若重复则push进repeatCity的数组中
					for(var i = 0; i < 8; i++) {

						for(var j = 0, k = vm.top8.length; j < k; j++) {
							if(vm.top8[j].name.indexOf(default8City[i].name) != -1) {
								repeatCity.push(default8City[i]);
							}
						}
					}
					//console.log(repeatCity);

					//删除数组中的重复数据
					for(var i = 0; i < repeatCity.length; i++) {
						var cityIndex = $.inArray(repeatCity[i], default8City);
						default8City.splice(cityIndex, 1);
					}
					vm.top8 = vm.top8.concat(default8City);
					//console.log(vm.top8);
				}
			});

		//选择城市,如果是在首页进入，则返回首页，在详情页进入则返回详情页
		vm.selectCity = function(code, longitude, latitude, cityName) {
			RecordDataService.recordData('hitID=city.list.select.' + code);
			Cookie.set("destination", code);
			Cookie.set('hitIdReferer', 'city.list.' + code);
			//目的地选择记录
			var save_url = API_ENDPOINT.saveDestination + '?mac=' + mac + '&deviceSn=' + Cookie.get('SN') + '&destName=' + cityName + '&destCode=' + code;
			//console.log(save_url);

			$http.get(save_url)
				.success(function() {
					//console.log("save_url success!");
				})
				.error(function(err) {
					//console.log(err);
				});

			if(Cookie.get("returnCity")) { //详情页进入
				var returnCity = Cookie.get("returnCity");
				Cookie.remove("returnCity");
				Cookie.set("desLongitude", longitude);
				Cookie.set("desLatitude", latitude)
					//alert(returnCity);
				location.assign("index.html#/app/city-detail/" + code);
			} else { //首页进入
				Cookie.set("desLongitude", longitude);
				Cookie.set("desLatitude", latitude)
				location.assign("index.html#/app/home");
				//				location.reload();
			}
		};

		//模糊查询
		vm.isInput = false;
		vm.inputCity = function() {
			vm.selectCitys = [];
			////console.log($rootScope.cityList);
			vm.isInput = true;
			if(vm.cityName == '') {
				vm.isInput = false;
			} else {
				for(var i = 0, j = $rootScope.cityList.length; i < j; i++) {
					if($rootScope.cityList[i].name.indexOf(vm.cityName) != -1) {
						vm.selectCitys.push($rootScope.cityList[i]);
					}
				}
			}

			//console.log(vm.selectCitys);
		};

		//退出输入时
		vm.exitInput = function() {
			vm.isInput = false;
			vm.cityName = '';
		};

		vm.back = function() {
			Cookie.set('hitIdReferer','city.list');
			history.back();
		};
	})
	//目的地城市详情
	.controller('cityDetailController', function($scope, $rootScope, $stateParams, $http, Cookie, API_ENDPOINT, RecordDataService) {
		var hitIdReferer = Cookie.get('hitIdReferer');
		var code = Cookie.get('destination');
		RecordDataService.recordData('hitID=city.detail.' + code + '&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'city.detail.' + code + '&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;
		var id = $stateParams['id'];
		var url = API_ENDPOINT.weather + "?cityId=" + id;
		//console.log("url:" + url);
		vm.showloading = true;
		$http.get(url)
			.success(function(data) {
				vm.today = data.retData.today;
				vm.forecast = data.retData.forecast;
				vm.city = data.retData.city;
				vm.cityid = data.retData.cityid;
				vm.curTemp = data.retData.today.curTemp;

				vm.todayImg = weatherSrc(vm.today.type);
				vm.forecastImg0 = weatherSrc(vm.forecast[0].type);
				vm.forecastImg1 = weatherSrc(vm.forecast[1].type);
				vm.forecastImg2 = weatherSrc(vm.forecast[2].type);
				vm.showloading = false;

			})
			.error(function() {
				setTimeout(function() {
					if(vm.tasks == undefined) {
						vm.showloading = false;
						$('#nonet').show();
						vm.reload = function() {
							location.reload();
						}
					}
				}, 5000);
			});

		//获取前往此地人数
		var peopleUrl = API_ENDPOINT.cityPeople + "?cityId=" + id;
		$http.get(peopleUrl)
			.success(function(data) {
				vm.peopleCount = data.result.count;
				//console.log(vm.peopleCount);
			});

		function weatherSrc(str) {
			switch(str) {
				case "暴雨":
					return "images/weather/baoyu.png";
					break;
				case "冰雹":
					return "images/weather/bingbao.png";
					break;
				case "大雪":
					return "images/weather/daxue.png";
					break;
				case "大到暴雪":
					return "images/weather/dadaobaoxue.png";
					break;
				case "暴雪":
					return "images/weather/baoxue.png";
					break;
				case "大雨":
					return "images/weather/dayu.png";
					break;
				case "大到暴雨":
					return "images/weather/dadaobaoyu.png";
					break;
				case "多云":
					return "images/weather/duoyun.png";
					break;
				case "雷阵雨":
					return "images/weather/leizhenyu.png";
					break;
				case "龙卷风":
					return "images/weather/longjuanfeng.png";
					break;
				case "晴":
					return "images/weather/qing.png";
					break;
				case "沙尘":
					return "images/weather/shachen.png";
					break;
				case "浮尘":
					return "images/weather/fuchen.png";
					break;
				case "扬沙":
					return "images/weather/yangsha.png";
					break;
				case "雾":
					return "images/weather/wu.png";
					break;
				case "雾霾":
					return "images/weather/wumai.png";
					break;
				case "雪":
					return "images/weather/xue.png";
					break;
				case "小雪":
					return "images/weather/xiaoxue.png";
					break;
				case "小到中雪":
					return "images/weather/xiaodaozhongxue.png";
					break;
				case "中雪":
					return "images/weather/zhongxue.png";
					break;
				case "中到大雪":
					return "images/weather/zhongdaodaxue.png";
					break;
				case "阴":
					return "images/weather/yin.png";
					break;
				case "雨":
					return "images/weather/xiaoyu.png";
					break;
				case "小雨":
					return "images/weather/xiaoyu.png";
					break;
				case "小到中雨":
					return "images/weather/xiaodaozhongyu.png";
					break;
				case "中雨":
					return "images/weather/zhongyu.png";
					break;
				case "雨夹雪":
					return "images/weather/yujiaxue.png";
					break;
				case "雨转多云":
					return "images/weather/yuzhuanduoyun.png";
					break;
				case "阵雨":
					return "images/weather/zhenyu.png";
					break;
				case "暴雨到大暴雨":
					return "images/weather/baoyudaodabaoyu.png";
					break;
				case "大暴雨":
					return "images/weather/dabaoyu.png";
					break;
				case "大暴雨到特大暴雨":
					return "images/weather/dabaoyudaotedabaoyu.png";
					break;
				case "冻雨":
					return "images/weather/dongyu.png";
					break;
				case "雷阵雨伴有冰雹":
					return "images/weather/leizhenyubaoyoubingbao.png";
					break;
				case "强沙尘暴":
					return "images/weather/qiangshachenbao.png";
					break;
				case "沙尘暴":
					return "images/weather/sahchenbao.png";
					break;
				case "特大暴雨":
					return "images/weather/tedabaoyu.png";
					break;
				case "阵雪":
					return "images/weather/zhenxue.png";
					break;
				case "中到大雨":
					return "images/weather/zhongdaodayu.png";
					break;
			}

		}

		//选择城市
		vm.selectCity = function(code) {
			RecordDataService.recordData('hitID=city.detail.' + code);
			Cookie.set('hitIdReferer', 'city.detail.' + code);
			Cookie.set("returnCity", code);
			location.assign("./index.html#/app/city");
			//			location.reload();
		};

		vm.back = function() {
			Cookie.set('hitIdReferer','city.detail.' + code);
			history.back();
		};

	})
	//奥运抽奖控制器
	.controller('lotteryController', function($scope, $rootScope, $http, Cookie, API_ENDPOINT, RecordDataService) {
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=lottery' + '&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'lottery' + '&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;
		//判断是否登录
		if(Cookie.get('userId')) {
			vm.lotteryLogin = true;
		} else {
			vm.lottery = false;
		};

		vm.lotteryPoints = [100, 150, 100, 100];
		vm.lotteryCity = ['巴黎', '纽约', '巴西利亚', '里约'];

		//获取第几次抽奖
		vm.getLotteryNum = function() {
			var numUrl = API_ENDPOINT.lotteryNum + '?userId=' + Cookie.get('userId') + '&mobile=' + Cookie.get('mobile');
			$http.get(numUrl)
				.success(function(data) {
					vm.distance = data.result.distance;
					//console.log('抽了' + vm.distance + '次');
					vm.distance1 = vm.distance + 1;
					vm.totalBalance = data.result.userPoints;
					$('.lottery-bac').eq(vm.distance).show().siblings().hide();
					vm.needPoints = vm.lotteryPoints[vm.distance]; //获取所需点数
					vm.nextCity = vm.lotteryCity[vm.distance]; //获取下一个城市节点信息
					if(vm.distance == 4) {
						$('.lottery-islog').hide();
						$('.lottery-over').show();
					}

					if(vm.totalBalance >= vm.needPoints) {
						$('.lottery-do').css('background', '#e9753e');
						vm.isOk = true;
					} else {
						$('.lottery-do').css('background', '#cacbcc');
						vm.isOk = false;
					}
				})
		};
		vm.getLotteryNum();
		//获取更多积分
		vm.getIntegral = function() {
			RecordDataService.recordData('hitID=lottery.getintegral');
			Cookie.set('hitIdReferer', 'lottery.getintegral');
			Cookie.set('OlympicUrl', location.hash);
			location.assign('#/app/integralRenwu');
		};

		//获奖名单获取
		vm.jdekLists = [];
		$http.get(API_ENDPOINT.lotteryJdek)
			.success(function(data) {
				var jdekLists = data.result;
				for(var i = 0, j = jdekLists.length; i < j; i++) {
					var mobile = jdekLists[i].mobile;
					var prizeName = jdekLists[i].prizeName;
					var moblieH = mobile.slice(0, 3);
					var mobileF = mobile.slice(7, 11);
					mobile = moblieH + '****' + mobileF;
					vm.jdekLists.push({
						"mobile": mobile,
						"prizeName": prizeName
					})
				}
			})
			.then(function() {
				setTimeout(function() {
					var jdekWidth = parseInt($('.lottery-name').eq(0).css('width'));
					$('.lottery-name-inner').eq(0).css('width', vm.jdekLists.length * jdekWidth * 2 + 'px');
					//console.log(vm.jdekLists.length * jdekWidth * 2 + 'px');
				}, 100)
			})

		//功能介绍
		vm.showExplain = function() {
			vm.mask = true;
			vm.explain = true;
		};

		//关闭功能介绍
		vm.closeExplain = function() {
			vm.mask = false;
			vm.explain = false;
		};

		var isDoing = "no";
		var prevNum = 0;

		//开始抽奖
		vm.lotteryReady = function() {
			if(vm.isOk == true) {
				RecordDataService.recordData('hitID=lottery.star');
				vm.mask = true;
				$('.lottery-start').show();
				//获取抽奖信息
				vm.resultUrl = API_ENDPOINT.lotteryResult + '?userId=' + Cookie.get('userId') + '&mobile=' + Cookie.get('mobile') + '&taskId=8' + vm.distance + '&mac=' + mac + '&busId=' + groupId + '&drawNode=' + vm.distance1 + '&points=' + vm.lotteryPoints[vm.distance];
				//console.log(vm.resultUrl);
				$http.get(vm.resultUrl)
					.success(function(data) {
						vm.jiang = data.result.list;
						vm.prizeCode = data.result.prizeCode;
						for(var i = 0, j = vm.jiang.length; i < j; i++) {
							if(vm.jiang[i].isWin == true) {
								vm.jiangNum = i;
								vm.prizeName = vm.jiang[i].prizeName;
							}
							$('.lottery-start-outer').eq(i).css('background-image', 'url("' + vm.jiang[i].icon + '")')
						}

						//抽奖动画
						var lotteryImg = $('.lottery-start-outer');
						if(isDoing == 'no') {
							isDoing = 'yes';
							var lotteryTimer = setInterval(function() {
								var num = parseInt(Math.random() * 8);
								if(prevNum == num) {
									num = parseInt(Math.random() * 8);
								}
								prevNum = num;
								lotteryImg.eq(num).children().css("border", "3px solid #ff3c00");
								lotteryImg.eq(num).siblings().children().css("border", "none");
							}, 80);
							setTimeout(function() {
								clearInterval(lotteryTimer);
								lotteryImg.children().css("border", "none");
								lotteryImg.eq(vm.jiangNum).children().css("border", "3px solid #ff3c00");
							}, 2000);
							setTimeout(function() {
								isDoing = 'no';
								$('.lottery-start').hide();
								$('.lottery-end').show();
								//lotteryImg.children().css({"border":"none","background-image":"none"});
							}, 4000);
						};
					})
			}
		};

		//确认按钮
		vm.affirm = function() {
			RecordDataService.recordData('hitID=' + Cookie.get('hitId') + '.lottery.success');
			vm.mask = false;
			$('.lottery-end').hide();
			vm.getLotteryNum();
		};

		//跳到注册页
		vm.regist = function() {
			Cookie.set('fromLocation', location.hash);
			RecordDataService.recordData('hitID=lottery.reg.btn');
			Cookie.set('hitIdReferer', 'lottery');
			if(IsApp) {
				window.location.href = 'iwangfan://login';
			} else {
				location.assign('#/app/userLogin?from=fromLocation');
			}
		};

		vm.back = function() {
			Cookie.set('hitIdReferer','lottery');
			history.back();
		};
	})
	// 综艺控制器
	.controller('varietyController', function($scope, $http, $timeout, Cookie, RecordDataService, API_ENDPOINT, VarietyService, AdsService) {
		//综艺列表页打点
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=variety&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'variety&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;

		// 显示 Loading 状态
		vm.showloading = true;

		// 初始化异步请求数据
		VarietyService.getInitStorage();
		AdsService.getInitStorage();

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('Ads.Updated', function() {
			vm.AdsService = AdsService.getStorage();
			vm.VarietyAdsService = [];
			if(vm.AdsService.variety){
				var one = vm.AdsService.variety.one;
				var date = new Date();
				var now = date.getTime();
				if(one){
					for(var i = 0, j = one.length; i < j; i++) {
						var onlineTime = one[i].onlineTime,
							offlineTime = one[i].offlineTime;
						if(now > onlineTime && now < offlineTime) {
							var onlyShow = one[i].onlyshow;
							switch (Cookie.get('platform')){
								case 'android':
									if(!onlyShow || onlyShow == 'noneapp' || onlyShow == 'android'){
										vm.VarietyAdsService.push(one[i]);
									}
									break;
								case 'ios':
									if(!onlyShow || onlyShow == 'noneapp' || onlyShow == 'ios'){
										vm.VarietyAdsService.push(one[i]);
									}
									break;
								case 'androidApp':
									if(!onlyShow || onlyShow == 'inapp' || onlyShow == 'android' || onlyShow == 'androidapp'){
										vm.VarietyAdsService.push(one[i]);
									}
									break;
								case 'iosApp':
									if(!onlyShow || onlyShow == 'inapp' || onlyShow == 'ios' || onlyShow == 'iosapp'){
										vm.VarietyAdsService.push(one[i]);
									}
									break;
								case 'unkonw':
									vm.VarietyAdsService.push(one[i]);
									break;
							}
						}
					}
				}
				//底部浮窗广告
				var four = vm.AdsService.variety.four;
				vm.closeWindow = false;
				vm.staticBanner = [];
				if(four){
					for(var i = 0, j = four.length; i < j; i++) {
						var onlineTimeFour = four[i].onlineTime,
							offlineTimeFour = four[i].offlineTime;
						if(now > onlineTimeFour && now < offlineTimeFour) {
							vm.staticBanner.push(four[i]);
						}
					}
					if(vm.staticBanner.length > 0) {
						vm.staticId = vm.staticBanner[0].id;
						RecordDataService.recordData('hitID=variety.bottom.onload.' + vm.staticId);
					}
				}
			}
		});

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('Variety.Updated', function() {

			vm.varietysData = VarietyService.getStorage();

			var timer = $timeout(function() {

				// 停止广播ion-refresher
				$scope.$broadcast('scroll.infiniteScrollComplete');

			}, 2000);

			// 隐藏 Loading 状态
			vm.showloading = false;

		});

		// 上拉更新
		vm.loadMore = function() {

			// 重新获取一次
			VarietyService.getMoreStorage();

		};

		vm.hasNextPage = function() {

			return VarietyService.hasNextPage();

			// 停止广播ion-refresher
			vm.$broadcast('scroll.infiniteScrollComplete');

		};
		//点击具体打点
		vm.VarietyDetail = function(id, time) {
			RecordDataService.recordData('hitID=variety.list.' + id);
			Cookie.set('hitIdReferer', 'variety.list.' + id);
			var url = "#/app/variety-detail/" + time + '/' + id;
			location.assign(url);
		};

		setTimeout(function() {
			var mySwiper = new Swiper('.swiper-container', {
				direction: 'horizontal',
				loop: true,
				pagination: '.swiper-pagination',
				scrollbarHide: true,
				autoplay: '4000'
			})
		}, 1000);

		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer','variety.list');
			history.back();
		};
		//关闭悬浮窗
		vm.closeBanner = function(id) {
			vm.closeWindow = true;
			RecordDataService.recordData('hitID=variety.bottom.close.' + vm.staticId);
		};
		var variety = document.getElementsByTagName('variety');
		for(var i = variety.length - 1; i >= 0; i--) {
			variety[i].pause();
		}
		//banner打点
		vm.clickUrl = function(id, url, index, isCheckLogin) {
			RecordDataService.recordData('hitID=variety.adbanner.' + id + '&posIdx=' + index);
			Cookie.set('hitIdReferer', 'variety.adbanner.' + id + '&posIdx=' + index);
			setTimeout(function() {
				if(isCheckLogin == 0) {
					location.assign(url);
				} else {
					if(Cookie.get('userId')) {
						location.assign(url);
					} else {
						if(IsApp) {
							//app登录
							window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
						} else {
							Cookie.set('bannerUrl', url);
							location.assign('#/app/userLogin?from=banner');
						}
					}
				}
			}, 200);
		};
		if(IsApp){
			App.finishLoad();
		}
		
	})

// 综艺控制器
.controller('varietyDetailController', function($scope, $stateParams, $sce, Cookie, VarietyDetailService, RecordDataService, API_ENDPOINT) {
		// 获取综艺对应的 ID
		var id = $stateParams['id'];

		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=variety.detail.' + id + '&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'variety.detail.' + id + '&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;

		// 显示 Loading 状态
		vm.showloading = true;

		// 获取综艺对应的时间戳
		var timestamp = $stateParams['date'];
		//console.log(timestamp);

		// 获取综艺接口内容
		VarietyDetailService.getTimestampId('data/variety/detail/', timestamp, id);

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('VarietyDetail.Updated', function() {

			// 获取综艺存储数据
			vm.VarietyDetailData = VarietyDetailService.getStorage();
			vm.VarietyMenuData = vm.VarietyDetailData.chapter;
			//视频源
			if(Cookie.get('variety' + id)) {
				vm.aplayer = {
					file: $sce.trustAsResourceUrl(vm.VarietyMenuData[Cookie.get('variety' + id)].file)
				}
			} else {
				vm.aplayer = {
					file: $sce.trustAsResourceUrl(vm.VarietyMenuData[0].file)
				}
			}

			setTimeout(function() {
				$('.amui-variety-bd-item-lr').eq(Cookie.get('variety' + id)).css('color', '#ee775e');
			}, 100);

			//简介
			var desc = vm.VarietyDetailData.description,
				descLen = vm.VarietyDetailData.description.substring(0, 60) + '...';

			if(desc.length > 60) {

				vm.VarietyDetailDescData = descLen;
				vm.onoff = true;
				vm.toggleClass = "icon ion-chevron-down amui-introduce-btn";

			} else {

				vm.VarietyDetailDescData = desc;
				vm.onoff = false;

			}
			//切换简介
			vm.changeVarietyDesc = function() {

					if(vm.VarietyDetailDescData == descLen) {

						vm.VarietyDetailDescData = desc;

						vm.toggleClass = "icon ion-chevron-up amui-introduce-btn";

					} else {

						vm.VarietyDetailDescData = descLen;

						vm.toggleClass = "icon ion-chevron-down amui-introduce-btn";

					}

				};
				//改变列表
			vm.changeVarietyList = function(index) {

				for(var i = a.length - 1; i >= 0; i--) {
					a[i].style.color = "#000";
				}
				a[index].style.color = "#ee775e";
				Cookie.set('variety' + id, index);
				location.reload();

			};

			//播放
			var browser = "";
			var Agent = navigator.userAgent.toLowerCase();
			var platform = navigator.platform;
			if(Agent.indexOf('qq') > 0) {
				browser = 'qq';
			} else if(Agent.indexOf('uc') > 0) {
				browser = 'uc';
			}

			vm.varietyPlay = function() {
				RecordDataService.recordData('hitID=variety.play.' + id);
				if(platform == 'iPhone') {
					$('video')[0].play();
				} else {
					$('.amui-video-mask').hide();
					$('video').show();
					$('video')[0].play();
				}
			};

			//播放次数
			if(Cookie.get('playNum')) {
				vm.playNum = Cookie.get('playNum');
			} else {
				vm.playNum = (2 + Math.random() * 3).toFixed(2);
				Cookie.set('playNum', vm.playNum);
			}
			// 获取综艺目录
			vm.VarietyMenuData = vm.VarietyDetailData.chapter;
			var a = document.getElementsByClassName("amui-variety-bd-item-lr");
			//a[Cookie.get('variety'+id)].style.color = "#ee775e";

			//console.log(vm.aplayer);

			//console.log(vm.VarietyDetailData)

			// 隐藏 Loading 状态
			vm.showloading = false;

		});

		//返回按钮
		vm.back = function() {
			Cookie.remove('variety' + id);
			Cookie.remove('playNum');
			$('video')[0].pause();
			Cookie.set('hitIdReferer','variety.detail.' + id);
			history.back();
		};
		if(IsApp){
			App.finishLoad();
		}

	})
	.controller('404Controller', function($scope, $state, $ionicHistory, $ionicLoading, Cookie, API_ENDPOINT, RecordDataService) {
		$scope.items = [{
			src: "images/404_04.png",
			title: "当前网络环境不佳，请重试",
			btnText: "重新加载",
			isTrue: false,
			_event: "reload()",
			_otherEvent: ""
		}, {
			src: "images/404_04.png",
			title: "网络连接超时，请重试",
			btnText: "重新加载",
			isTrue: false,
			_event: "reload()",
			_otherEvent: ""
		}];
		var state_url = $state.current.url.split("/")[$state.current.url.split("/").length - 1],
			str = state_url.replace("_", "");
		switch(str) {
			case '40404':
				$scope.showItem = $scope.items[0];
				break;
			case '40405':
				$scope.showItem = $scope.items[1];
				break;
		}

		//浏览往返精彩内容
		$scope.goHome = function() {
			$state.go("app.home");
		};
		//重新加载 页面 刷新网络 成功返回上一页
		$scope.reload = function() {
			//时间戳
			var myDate = Date.parse(new Date());
			//判断内网是否 可用  请求本地json
			$.ajax({
				type: "get",
				url: "./ver?t=" + myDate,
				timeout: 20000,
				beforeSend: function() {
					$ionicLoading.show({
						template: 'Loading...'
					});
				},
				success: function(res) {
					$ionicLoading.hide();
					//console.log("---------内网请求成功--------");
					var _url = Cookie.get("_backUrl") || "";
					if(_url){
						Cookie.remove("_backUrl");
						location.replace(_url);
					}else{
						$ionicHistory.goBack();
					}
				},
				error: function(error) {
					$ionicLoading.hide();
					if(error.statusText == "timeout") { //请求超时
						// $state.go("app.404_05");
						location.replace('#/app/404_05');
					} else { //无网络  跳转404无网络页面
						// $state.go("app.404_04");
						location.replace('#/app/404_04');
					}
				}
			})
		};

		$scope.$watch('$viewContentLoaded', function() {
			var ua = navigator.userAgent;
			if(ua.indexOf('App/') > 0) {
				$(".amui-error").removeClass("amui-error-top");
			}else{
				$(".amui-error").addClass("amui-error-top");
			}
		});
	});