angular.module('wangfan')
// 影视详情控制器有贴片
.controller('movieDetailController', function($scope, $http, $stateParams, $location, $sce, $interval, Cookie, MovieDetailService, API_ENDPOINT, RecordDataService, getBalanceFlowService, $compile) {
  var vm = $scope;
  //电影详情页打点
  var id = $stateParams['id'];
  Cookie.set('moviePlayId',id);
  var hitIdReferer = Cookie.get('hitIdReferer');
  RecordDataService.recordData('hitID=movie.' + id + '&refHitID=' + hitIdReferer);
  Cookie.set('hit', 'movie.' + id + '&refHitID=' + hitIdReferer);
  pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
	if(Cookie.get('userId')) {
    getBalanceFlowService.getInitStorage();
    vm.$on('getBalanceFlow.Updated', function() {
      vm.totalBalance = getBalanceFlowService.getStorage().balance;
    });
  }
  // 显示 Loading 状态
  vm.showloading = true;
  vm.movieDetail = true;
  //获取电影时间戳
  var timestamp = $stateParams['date'];
  MovieDetailService.getTimestampId('data/video/detail/', timestamp, id);
  // 接收服务传过来的广播通知，解决异步请求问题
  vm.$on('MovieDetail.Updated', function() {
    // 获取新闻存储数据
    vm.MovieDetailData = MovieDetailService.getStorage();
    vm.movieDetail = false;

    if(!vm.app) {
      $('.amui-app-down').show();
    }

    if(vm.MovieDetailData){
      // 隐藏 Loading 状态
      vm.showloading = false;
      //判断是否有网络接口
      var onLineStatus = API_ENDPOINT.uc + '/api/user4wifi/checkLogin?mac=' + mac + '&t=' + Date.parse(new Date());
      //判断浏览器
      if(judgeBrowser()){
        specialBrowser();
      } else {
        insertVideo();
        normalBrowser();
      }
      isBuied();
      getMovieBalance();
    }else{
      history.back();
    }
    //判断浏览器
    function judgeBrowser() {
      var browsers = API_ENDPOINT.prohibitBroswer;
      var browser = navigator.userAgent;
      vm.isSpecial = false;
      for(var i = 0, j = API_ENDPOINT.prohibitBroswer.length; i < j; i++) {
        if(browser.indexOf(browsers[i]) > 0) {
          vm.isSpecial = true;
          return true;
        }
      }
    }
    //插入播放器
    function insertVideo() {
      var videoLabel = '<video id="myVideo" class="amui-mplayer"'+
      'src="'+vm.MovieDetailData.file+'"'+
      'data-balance="'+vm.movieBalance+'" '+
      'x-webkit-airplay=true '+
      'webkit-playsinline=true '+
      'tvp_loadingad_ended="1" '+
      'data-playing-loadingad="0" '+
      'height="200"' +
      'preload="auto" ></video>';
      var el = $compile(videoLabel)($scope);
      $('.amui-video-top').append(el);
      console.log("已插入视频标签");
    }
    //去登陆
    vm.loginOk = function() {
      $('#buymovie').hide();
      RecordDataService.recordData('hitID=movie.' + id + '.modal.unlogin.commit');
      console.log('未登录点击确定');
      //模态框弹出打点
      RecordDataService.recordData('hitID=movie.' + id + '.modal.unlogin.modal.score');
      Cookie.set('movieId', id);
      if(IsApp) {
        window.location.href = 'iwangfan://login';
      } else {
        Cookie.set('hitIdReferer', 'movie');
        location.assign('#/app/userLogin?from=movie');
      }
    };
    vm.loginNo = function() {
      $('#buymovie').hide();
      RecordDataService.recordData('hitID=movie.' + id + '.modal.unlogin.cancel');
      console.log('未登录点击取消');
      history.back();
    };
    //去任务
    vm.renwuOk = function() {
      $('#renwu').hide();
      RecordDataService.recordData('hitID=movie.' + id + '.modal.login.unbuy.noscore.commit');
      console.log('已登录未购买积分不足点击做任务');
      Cookie.set('movieId', id);
      if(IsApp){
        window.location.href='iwangfan://credittask';
      }else{
        var hash = location.hash;
        Cookie.set('movieUrl', hash);
        Cookie.set('hitIdReferer', 'movie.paly.' + id);
        location.assign("#/app/integralRenwu");
      }
    };
    vm.renwuNo = function() {
      $('#renwu').hide();
      RecordDataService.recordData('hitID=movie.' + id + '.modal.login.unbuy.noscore.cancel');
      console.log('已登录未购买积分不足点击取消做任务');
      history.back();
    };
    vm.downLoadApp = function (argument) {
      RecordDataService.recordData('hitID=' + argument + '.layer.download.click');
      if(Cookie.get('platform') == 'ios'){
        if(Cookie.get('userId')){
          RecordDataService.recordData('hitID=' + argument + '.layer.download.downloaded');
          location.assign('https://itunes.apple.com/cn/app/qq/id1076496434?mt=8');
        } else {
          Cookie.set('downloadApp', argument);
          location.assign('#/app/userLogin?from=movie');
        }
      } else {
        RecordDataService.recordData('hitID=' + argument + '.layer.download.downloaded');
        location.assign('./cms/apps/20160927/wangfantrain.apk');
      }
    };
    //是否购买
    vm.buyMovieNo = function() {
      $('#buymovie').hide();
      RecordDataService.recordData('hitID=movie.' + id + '.modal.login.unbuy.cancel');
      console.log('不购买');
      clearInterval(vm.timer);
      history.back();
    };
    vm.buyMovieOk = function() {
      $('#buymovie').hide();
      RecordDataService.recordData('hitID=movie.' + id + '.modal.login.unbuy.commit');
      console.log('已登录未购买积分足够点击确认');
      var buyUrl = API_ENDPOINT.uc + '/points/buy/movie?userId=' + Cookie.get('userId') + '&movieId=' + id + '&mac=' + mac + '&busId=' + groupId + '&t=' + Date.parse(new Date());
      $http.get(buyUrl)
        .success(function(data) {
          console.log(data);
          if(data.flag == 1) {
            //兑换成功
            RecordDataService.recordData('hitID=movie.' + id + '.modal.login.unbuy.consume.success.' + vm.movieBalance);
            console.log('已登录未购买积分足够兑换成功');
            $('#duihuanok').show();
            vm.buied = true;
            if(vm.isSpecial == true){
              setTimeout(function () {
                location.reload();
              }, 1000);
            } else {
              setTimeout(function () {
                $('#duihuanok').hide();
                $('video').attr('src', vm.MovieDetailData.file).attr('autoplay', 'true');
                $('video')[0].currentTime = 295;
                clearInterval(vm.timer);
              }, 1000);
            }

          }
          if(data.flag == 2) {
            //兑换失败
            console.log('已登录未购买积分足够兑换失败');
            $('#duihuanno').show();
            setTimeout(function() {
              location.reload();
            }, 2000);
          }
          if(data.flag == 3) {
            //网络异常
            location.reload();
          }
        })
    };
    // 是否购买
    function isBuied(handleOnError) {
      if(Cookie.get('userId')){
        var getUrl = API_ENDPOINT.uc + '/points/get/movie?userId=' + Cookie.get('userId') + '&movieId=' + id + '&t=' + Date.parse(new Date());
        $http.get(getUrl)
          .success(function(data) {
            if(data.result != 0){
              vm.buied = true;
              console.log('---已购买---');
            } else {
              vm.buied = false;
              console.log('---未购买---');
            }
            vm.gettingBuied = true;
          })
          .error(function () {
             if(handleOnError){
               vm.buied = true;
             }
            vm.gettingBuied = true;
          });
      }
    }
    //电影积分
    function getMovieBalance(handleOnError) {
      var api = API_ENDPOINT.uc + '/api/resource/video/score?ids=' + id + '&groupId=' + groupId + '&t=' + Date.parse(new Date());
      $.ajax({
        type: "get",
        url: api,
        success: function(data) {
          console.log(data);
          vm.movieBalance = data.result[0].balance;
          if(vm.movieBalance){
            $('video').attr('data-balance', vm.movieBalance);
          }
          console.log("电影所需积分:" + vm.movieBalance);
          if(vm.movieBalance > 0 && !vm.app){
            $('.amui-information-desc-integral-num').parent().show();
            $('.amui-information-desc-integral-num').html(data.result[0].balance);
          }
          vm.gettingBal = true;
        },
        error: function () {
          if(handleOnError){
            vm.movieBalance = 0;
          }
          vm.gettingBal = true;
        }
      });
    }
    //普通浏览器
    function normalBrowser() {
      //是否之前看到一半
      if(Cookie.get('movieId') == id){
        isHalf();
        $('video').attr('controls','controls');
      } else {
        getBanner();
      }
      vm.adsNumNow = 1;
      vm.yanzheng = function() {
        var video = document.getElementById('myVideo');
        $('.amui-video-mask').hide();
        $(".amui-mplayer").show();
        //当之前看到了一半
        if(Cookie.get('movieId') == id && vm.buied == true){
          video.play();
          video.currentTime = 295;
          Cookie.remove('movieId');
        } else {
          video.play();
          video.addEventListener("play", function() {
            //贴片广告打点
            setTimeout(function() {
              //判断登录状态
              if(Cookie.get('userId')) {
                console.log('已登录'); //已登录

                clearInterval(vm.timer);
                vm.timer = setInterval(function() {
                  console.log('aaa');
                  if(video.currentTime && video.currentTime >= 300) {
                    //当购买
                    if(vm.buied == true){
                      clearInterval(vm.timer);
                      RecordDataService.recordData('hitID=movie.' + id + '.login.buy.success');
                    } else if (vm.buied == undefined) {
                      if(vm.gettingBuied == true){
                        vm.gettingBuied = false;
                      }
                      if(!vm.gettingBuied){
                        isBuied(true);
                      }
                    } else {
                      if(vm.movieBalance){
                        if(vm.movieBalance == 0 || vm.app == true){
                          clearInterval(vm.timer);
                        } else {
                          if(vm.totalBalance){
                            $('video').attr('src', './cms/videos/hangmei/5stips.mp4').attr("autoplay", "true");
                            vm.timerEnd5s = setTimeout(function() {
                              $('.amui-video-float').css("display", "block");
                              $('.amui-video-mask').hide();
                              if(parseInt(vm.totalBalance) >= parseInt(vm.movieBalance)) {
                                console.log('已登录未购买积分足够');
                                $('#buymovie').show();
                                RecordDataService.recordData('hitID=movie.' + id + '.modal.login.unbuy');
                              } else {
                                //已登录未购买积分不足
                                console.log('已登录未购买积分不足');
                                $('#renwu').show();
                                RecordDataService.recordData('hitID=movie.' + id + '.modal.login.unbuy.noscore');
                              }
                            }, 6000);
                          } else {
                            clearInterval(vm.timer);
                          }
                        }
                      } else {
                        if(vm.gettingBal == true){
                          vm.gettingBal = false;
                        }
                        if(!vm.gettingBal){
                          getMovieBalance(true);
                        }
                      }
                    }
                  }
                }, 1000);

              } else { //未登录
                console.log('未登录');
                //试播5分钟
                $('.amui-video-mask').hide();
                $(".amui-mplayer").show();
                video.play();

                clearInterval(vm.timer);
                vm.timer = setInterval(function() {
                  console.log('bbb');
                  if(video.currentTime >= 300) {
                    if(vm.movieBalance == 0 || vm.app == true){
                      clearInterval(vm.timer);
                    } else {
                      clearInterval(vm.timer);
                      $('video').attr('src', './cms/videos/hangmei/5stips.mp4').attr("autoplay", "true");
                      vm.timerEnd5s = setTimeout(function() {
                        $('#movieLogin').show();
                        $('.amui-video-float').css("display", "block");
                        $('.amui-video-mask').hide();
                        RecordDataService.recordData('hitID=movie.' + id + '.modal.unlogin');
                      }, 6000);
                    }
                  }
                }, 1000);
              }
            }, 100);
            showJumpAds();
          });
          $('video').on('ended', function() {
            if(vm.adsNumNow >= vm.adsNum + 1){
              $('video')[0].pause();
            } else {
              vm.adsNumNow++;//暂时不替换处理多个广告
              $('.amui-count').hide();
              $('.amui-jump').hide();
              $('video').attr('src', vm.MovieDetailData.file);
              $('video')[0].play();
            }
            console.log(vm.adsNumNow);
            console.log(vm.adsNum)
          })
        }
      }
    };
    //特殊浏览器
    function specialBrowser() {
      $scope.$watch("movieBalance", function () {
        if(vm.movieBalance){
          if(vm.movieBalance == 0){
            insertVideo();
          }else{
            if(Cookie.get('userId')) {
              console.log('已登录');
              vm.$watch('buied', function () {
                if(vm.buied == true) {//判断是否购买过
                  insertVideo();
                }
              })
            }
          }
        }
      });
      vm.yanzheng = function() {
        var video = document.getElementById("myVideo");
        //判断所需积分是否为0
        if(vm.movieBalance == 0){
          $('.amui-video-mask').hide();
          $(".amui-mplayer").show();
          video.play();
        } else {
          setTimeout(function() {
            //判断登录状态
            if(Cookie.get('userId')) {
              console.log('已登录');
              //判断是否购买过
              if(vm.buied == true) {
                RecordDataService.recordData('hitID=movie.' + id + '.login.buy.success');
                console.log('已登录已购买2');
                $('.amui-video-mask').hide();
                $(".amui-mplayer").show();
                video.play();
              } else {
                console.log('已登录未购买');
                if(vm.movieBalance && vm.totalBalance){
                  if(parseInt(vm.totalBalance) >= parseInt(vm.movieBalance)) {
                    console.log('已登录未购买积分足够');
                    $('#buymovie').show();
                    RecordDataService.recordData('hitID=movie.' + id + '.modal.login.unbuy');
                  } else {
                    console.log('已登录未购买积分不足');
                    $('#renwu').show();
                    RecordDataService.recordData('hitID=movie.' + id + '.modal.login.unbuy.noscore');
                  }
                } else {//当无网时
                  insertVideo();
                  $('.amui-video-mask').hide();
                  $(".amui-mplayer").show();
                  $('video')[0].play();
                }
              }
            } else {
              console.log('未登录');
              $('#movieLogin').show();
              RecordDataService.recordData('hitID=movie.' + id + '.modal.unlogin');
            }
          }, 100);
        }
      };
    }
    //是否之前看到一半
    function isHalf() {
      if(Cookie.get('movieId') == id && vm.buied == true && vm.isSpecial == false){
        $('viedo').attr('src', vm.MovieDetailData.file);
      }
    }
    //获取贴片广告
    function getBanner() {
      //获取贴片广告
      var ad_url = 'data/banner/paster_banner?t=' + Date.parse(new Date());
      var adsArr = []; //所有广告数据
      var adsArrOn = []; //上线广告数据
      var date = new Date();
      var now = date.getTime();
      $http.get(ad_url)//此页面对应的广告,有广告放广告,没广告放正片
        .success(function(data) {
          for(var item in data) {
            if(item == "banner" + id) {
              adsArr = data[item];
            }
          }
          //判断是否在上线时间
          for(var i = 0, j = adsArr.length; i < j; i++) {
            var onlineTime = adsArr[i].onlineTime,
              offlineTime = adsArr[i].offlineTime;
            if(now > onlineTime && now < offlineTime) {
              var adsData = {
                "adsId": adsArr[i].adsId,
                "file": adsArr[i].videoFile
              };
              adsArrOn.push(adsData); //插入广告
            }
          }
          vm.adsNum = adsArrOn.length;

          adsArrOn.push(vm.MovieDetailData);

          if(adsArrOn.length == 1){
            $('video').attr('controls', 'controls');
          }

          //判断是否存在广告数据以及资源
          $scope.$watch('$viewContentLoaded', function() {
            if(adsArrOn.length > 1) {//如果存在广告数据
              $('video').attr('src', adsArrOn[0].file);
              setTimeout(function () {
                var a = $('video')[0].duration;
                if(isNaN(a)){//如果不存在广告资源
                  $('video').attr('src', adsArrOn[adsArrOn.length - 1].file).attr('controls', 'controls');
                  vm.adsNumNow ++;
                }
              }, 1000);
            }
          });

          vm.adsId = adsArrOn[0].adsId;

          $('video').on("ended", function() {
            $('video').attr('controls', 'controls');
          })
        })
        .error(function() {
          $('video').attr('src', vm.MovieDetailData.file).attr('controls', 'controls');
        });
      //监听播放事件
    }
    //显示跳过广告按钮
    function showJumpAds() {
      //展示跳过广告按钮
      vm.countDown = 5;
      if(vm.adsNumNow <= vm.adsNum) {
        $('.amui-count').show();
        RecordDataService.recordData('hitID=movie.preadv.play.' + vm.adsId);
        vm.jumpShow = setTimeout(function() {
          $('.amui-count').hide();
          $('.amui-jump').show();
          clearInterval(vm.count);
        }, 5000);
        vm.count = setInterval(function() {
          vm.countDown = vm.countDown - 1;
          $('.amui-count').html(vm.countDown + '秒后可跳过广告');
        }, 1000);
      } else if(vm.adsNumNow == vm.adsNum + 1) {
        $('.amui-jump').hide();
      }
    }
  });

  //返回按钮
  vm.back = function() {
    if($('video')[0]){
      $('video')[0].pause();
    }
    Cookie.set('hitIdReferer','movie.' + id);
    history.back();
  };
  vm.jumpAds = function() {
    $('.amui-jump').hide();
    $('.amui-count').hide();
    vm.adsNumNow = vm.adsNum + 1;
    $('video').attr('src', vm.MovieDetailData.file).attr('controls', 'controls');
    $('video')[0].play();
    //关闭贴片广告打点
    RecordDataService.recordData('hitID=movie.preadv.close.' + vm.adsId);
  };
  if(IsApp){
    vm.app = true;
    App.finishLoad();
  }

  $scope.$on("$destroy", function () {
    clearInterval(vm.count);
    clearInterval(vm.timer);
    clearTimeout(vm.jumpShow);
    clearTimeout(vm.timerEnd5s);
  })
});